2007-06-09 13:16:03 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2556]
  - memory cleanups, purify-assisted.
  
  trunk/src/paranormal/libcalc/dict.c |    7 +++----
  1 file changed, 3 insertions(+), 4 deletions(-)


2007-06-09 13:10:17 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2554]
  - fix invalid write of size 4 (actuators.c:56)
  
  trunk/src/paranormal/actuators.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-06-08 22:02:31 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2552]
  - use g_random_double_ranged()
  
  trunk/src/paranormal/libcalc/function.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-06-08 21:24:30 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2550]
  - possible crash fixes wrt global regs
  
  trunk/src/paranormal/libcalc/dict.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-06-08 18:19:25 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2548]
  - add general_evaluate which can run arbitrary VM code
  
  trunk/src/paranormal/builtins.c |    2 
  trunk/src/paranormal/general.c  |   83 ++++++++++++++++++++++++++++++++++++++++
  2 files changed, 85 insertions(+)


2007-06-08 17:58:23 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2546]
  - i forgot to commit something here
  
  trunk/src/paranormal/libcalc/function.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-06-08 17:56:12 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2544]
  - libcalc (paranormal virtual evaluation machine): add rand() instruction, global registers (global_reg0-reg99).
  
  trunk/src/paranormal/libcalc/dict.c     |   64 +++++++++++++++++++++++---------
  trunk/src/paranormal/libcalc/function.c |    5 ++
  2 files changed, 52 insertions(+), 17 deletions(-)


2007-06-08 15:51:30 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2542]
  - remove unneeded externs
  
  trunk/src/paranormal/drawing.c |    2 --
  1 file changed, 2 deletions(-)


2007-06-08 14:33:14 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2540]
  - move transport plugins into Transport subdirectory.
  
  trunk/configure.ac        |   20 ++++++++++++++++----
  trunk/mk/rules.mk.in      |    2 ++
  trunk/src/Makefile        |    3 ++-
  trunk/src/curl/Makefile   |    2 +-
  trunk/src/lastfm/Makefile |    2 +-
  trunk/src/mms/Makefile    |    3 +--
  trunk/src/stdio/Makefile  |    3 +--
  7 files changed, 24 insertions(+), 11 deletions(-)


2007-06-08 13:27:15 +0000  Tomasz Mon <desowin@atheme.org>
  revision [2538]
  - fix scrobble from queue
  trunk/src/scrobbler/scrobbler.c |   44 +++++++++++++++++++++++++++++++++++++---
  1 file changed, 41 insertions(+), 3 deletions(-)


2007-06-08 11:37:56 +0000  Tomasz Mon <desowin@atheme.org>
  revision [2536]
  - keep old passwords if user doesn't change them in configuration
  trunk/src/scrobbler/configure.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-06-07 15:28:08 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2528]
  - fix a possible allocation overflow issue. found while merging to 1.3 stable.
  
  trunk/src/evdev-plug/ed_ui.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-06-07 13:34:42 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2504]
  - add check for string length before call g_convert(). it may close #962.
  
  trunk/src/wma/libffwma/asf.c |    2 ++
  1 file changed, 2 insertions(+)


2007-06-07 07:21:13 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2502]
  - ditto. this is necessary too.
  
  trunk/src/wma/wma.c |    5 +++--
  1 file changed, 3 insertions(+), 2 deletions(-)


2007-06-07 07:05:17 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2500]
  - add playback->playing = 0 where buffer_playing = FALSE is done. without this, playback_get_time() would be confused and playback wouldn't advance in playlist.
  
  trunk/src/aac/src/libmp4.c |    9 ++++++++-
  1 file changed, 8 insertions(+), 1 deletion(-)


2007-06-07 05:58:18 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2498]
  - handle metadata in better way.
  
  trunk/src/tta/libtta.c |   34 +++++++++++++++++++++-------------
  1 file changed, 21 insertions(+), 13 deletions(-)


2007-06-07 05:34:54 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2496]
  - add playback->playing code.
  - if tta file doesn't have metadata, file name will be used as the title.
  
  trunk/src/tta/libtta.c |   13 ++++++++++---
  1 file changed, 10 insertions(+), 3 deletions(-)


2007-06-07 04:44:52 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2494]
  - make wma plugin work again.
  
  trunk/src/wma/wma.c |    2 ++
  1 file changed, 2 insertions(+)


2007-06-07 04:35:26 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2492]
  - make aac plugin work again.
  
  trunk/src/aac/src/libmp4.c |    2 ++
  1 file changed, 2 insertions(+)


2007-06-04 14:46:52 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2490]
  - revise bitrate calculation with xing header. if number of bytes and number of frames are available in xing header, fast play time calculation yields almost appropriate duration upon a vbr file.
  - now fileinfo dialog shows duration in MM:SS format.
  
  trunk/src/madplug/decoder.c  |   47 +++++++++++++++++++++++--------------------
  trunk/src/madplug/fileinfo.c |    6 +++--
  2 files changed, 30 insertions(+), 23 deletions(-)


2007-06-03 23:54:43 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2488]
  Implicit declarations are bad, hmmkay?
  trunk/src/lastfm/lastfm.c |    1 +
  1 file changed, 1 insertion(+)


2007-06-03 18:20:23 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2486]
  - add a check for file existence to fileinfo dialog. closes #941.
  
  trunk/src/madplug/fileinfo.c |    5 +++++
  1 file changed, 5 insertions(+)


2007-06-03 14:16:44 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [2484]
  Replace sprintf with snprintf.
  
  trunk/src/wavpack/tags.cxx |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-06-01 23:03:58 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [2482]
  Revert r2480, thanks to FreeBSD.
  
  trunk/mk/objective.mk |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-06-01 22:48:43 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [2480]
  Same as r4658 in Audacious.
  
  trunk/mk/objective.mk |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-06-01 00:13:04 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2478]
  - avoid a memory leak with FD probing
  
  trunk/src/wma/libffwma/avformat.h |    1 +
  trunk/src/wma/libffwma/futils.c   |   31 +++++++++++++++++++++++++++++++
  trunk/src/wma/wma.c               |    6 ++++++
  3 files changed, 38 insertions(+)


2007-05-31 17:33:46 +0000  Giacomo Lozito <james@develia.org>
  revision [2476]
  - curl: allow user to customize connect timeout value using a connect_timeout entry in config file
  trunk/src/curl/curl.c |   52 +++++++++++++++++++++++++++++++++++++++++++++++++-
  1 file changed, 51 insertions(+), 1 deletion(-)


2007-05-30 16:13:31 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2474]
  Updated turkish translation by Murat ?\197?\158enel, closes bug #959.
  trunk/po/tr.po | 1082 +++++++++++++++++++++++++++------------------------------
  1 file changed, 515 insertions(+), 567 deletions(-)


2007-05-30 04:57:06 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2472]
  Fix handling of SPC efb register when echo instruction has been 
  called. Shift right of 14 is too high of a modifier and does not match 
  the response of the FIR filter in the SPC700. Shift right of 16 delivers 
  a more accurate result.
  
  trunk/src/console/Spc_Dsp.cxx |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-05-29 10:58:22 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2470]
  - fix for crash when file extension is not available.
  
  trunk/src/tta/libtta.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-29 07:59:45 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2468]
  - fix FD leakage. closes #954.
  
  trunk/src/flac/libflac/stream_decoder.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-29 06:29:02 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2466]
  - fix registration of lastfm session ID
  
  trunk/src/lastfm/lastfm.c |   10 ++--------
  1 file changed, 2 insertions(+), 8 deletions(-)


2007-05-29 06:16:25 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2464]
  - expose lastfm internal data over mowgli's global storage subsystem so that plugins can manipulate lastfm listening indirectly
  
  trunk/src/lastfm/lastfm.c |    5 +++++
  1 file changed, 5 insertions(+)


2007-05-28 10:15:02 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2462]
  - mms: convert to plugin2 architecture
  
  trunk/src/mms/mms.c |   14 +-------------
  1 file changed, 1 insertion(+), 13 deletions(-)


2007-05-28 10:14:08 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2460]
  - lastfm: convert to plugin2 architecture
  
  trunk/src/lastfm/lastfm.c |   13 +------------
  1 file changed, 1 insertion(+), 12 deletions(-)


2007-05-28 10:12:40 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2458]
  - curl, stdio: convert to plugin2 architecture
  
  trunk/src/curl/curl.c   |   14 +-------------
  trunk/src/stdio/stdio.c |   14 +-------------
  2 files changed, 2 insertions(+), 26 deletions(-)


2007-05-28 10:11:15 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2456]
  - xspf, m3u, pls: convert to plugin2 architecture
  
  trunk/src/m3u/m3u.c   |   13 +------------
  trunk/src/pls/pls.c   |   13 +------------
  trunk/src/xspf/xspf.c |   13 +------------
  3 files changed, 3 insertions(+), 36 deletions(-)


2007-05-28 10:05:08 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2454]
  - rootvis: convert to plugin2 architecture
  
  trunk/src/rootvis/rootvis.c |   11 +++++------
  1 file changed, 5 insertions(+), 6 deletions(-)


2007-05-28 10:03:18 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2452]
  - rocklight: convert to plugin2 architecture.
  
  trunk/src/rocklight/rocklight.c |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-05-28 10:01:41 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2450]
  - spectrum: convert to plugin2 architecture.
  
  trunk/src/spectrum/spectrum.c |    8 ++++----
  1 file changed, 4 insertions(+), 4 deletions(-)


2007-05-28 09:59:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2448]
  - blur_scope: convert to plugin2 architecture.
  
  trunk/src/blur_scope/blur_scope.c |   13 ++++---------
  1 file changed, 4 insertions(+), 9 deletions(-)


2007-05-28 09:57:42 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2446]
  - rovascope: convert to plugin2 architecture.
  
  trunk/src/rovascope/plugin.c |    8 +++-----
  1 file changed, 3 insertions(+), 5 deletions(-)


2007-05-28 09:56:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2444]
  - projectm: convert to plugin2 architecture. now SVN users have milkdrop back.
  
  trunk/src/projectm/main.c |    8 +++-----
  1 file changed, 3 insertions(+), 5 deletions(-)


2007-05-28 00:11:58 +0000  Giacomo Lozito <james@develia.org>
  revision [2442]
  - added options in configure.ac to disable sse2 and altivec support (madplug) even if available on the system
  trunk/configure.ac |   62 ++++++++++++++++++++++++++++++++---------------------
  1 file changed, 38 insertions(+), 24 deletions(-)


2007-05-27 21:30:06 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2440]
  Move effect plugin handling out of the output plugins
  trunk/src/esd/audio.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-27 21:29:45 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2438]
  Move effect plugin handling out of the output plugins
  trunk/src/null/null.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-27 21:28:52 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2436]
  Move effect plugin handling out of the output plugins
  trunk/src/sun/audio.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-27 21:27:41 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2434]
  Move effect plugin handling out of the output plugins
  trunk/src/jack/jack.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-27 21:26:32 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2432]
  Move effect plugin handling out of the output plugins
  trunk/src/OSS/audio.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-27 21:26:15 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2430]
  Move effect plugin handling out of the output plugins
  trunk/src/arts/audio.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-27 21:25:46 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2428]
  Move effect plugin handling out of the output plugins
  trunk/src/alsa/audio.c |    2 ++
  1 file changed, 2 insertions(+)


2007-05-27 04:15:27 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2426]
  - fix crash on plugin shutdown
  
  trunk/src/cdaudio/cdaudio.c |    3 ---
  1 file changed, 3 deletions(-)


2007-05-27 03:36:05 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2424]
  - remove g_free(description) in cleanup functions to avoid crash on quit.
  
  trunk/src/flac/plugin.c |    3 ---
  1 file changed, 3 deletions(-)


2007-05-26 23:14:16 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2422]
  - clean up some debugging stuff
  
  trunk/src/wavpack/libwavpack.cxx |    5 ++---
  1 file changed, 2 insertions(+), 3 deletions(-)


2007-05-26 21:54:07 +0000  
  revision [2420]
  (Re)added the description
  trunk/src/wavpack/libwavpack.cxx |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-26 21:50:52 +0000  
  revision [2418]
  (Re)added the description
  trunk/src/cdaudio/cdaudio.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-26 21:44:32 +0000  
  revision [2416]
  Added a lot of useful debug output
  trunk/src/cdaudio-ng/cdaudio-ng.c |   93 +++++++++++++++++++++++++++++++-------
  1 file changed, 78 insertions(+), 15 deletions(-)


2007-05-26 16:38:16 +0000  
  revision [2414]
  Removed Makefile.WRONG
  trunk/src/cdaudio-ng/Makefile.WRONG |   13 -------------
  1 file changed, 13 deletions(-)


2007-05-26 16:21:13 +0000  
  revision [2412]
  Implemented DAE feature (enabled by default)
  trunk/src/cdaudio-ng/cdaudio-ng.c |  402 +++++++++++++++++++++++++++++---------
  1 file changed, 316 insertions(+), 86 deletions(-)


2007-05-26 15:49:57 +0000  Michael Farber <01mf02@gmail.com>
  revision [2410]
  - Fix a little spelling error (It's not TiMiDIty just like it's not 
  FireFox)
  
  
  trunk/src/timidity/src/xmms-timidity.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-25 09:50:20 +0000  Giacomo Lozito <james@develia.org>
  revision [2408]
  - amidi-plug: small changes
  trunk/src/amidi-plug/amidi-plug.h |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-25 09:47:52 +0000  Giacomo Lozito <james@develia.org>
  revision [2406]
  - alarm: converted to v2 plugin system
  trunk/src/alarm/alarm.c |    8 +++-----
  1 file changed, 3 insertions(+), 5 deletions(-)


2007-05-25 09:45:58 +0000  Giacomo Lozito <james@develia.org>
  revision [2404]
  - songchange: converted to v2 plugin system
  trunk/src/song_change/song_change.c |    9 +++------
  1 file changed, 3 insertions(+), 6 deletions(-)


2007-05-25 09:43:45 +0000  Giacomo Lozito <james@develia.org>
  revision [2402]
  - lirc: converted to v2 plugin system
  trunk/src/lirc/lirc.c |    9 +++------
  1 file changed, 3 insertions(+), 6 deletions(-)


2007-05-25 09:41:52 +0000  Giacomo Lozito <james@develia.org>
  revision [2400]
  - evdev-plug: converted to v2 plugin system
  trunk/src/evdev-plug/ed.c |    9 +++------
  1 file changed, 3 insertions(+), 6 deletions(-)


2007-05-25 09:39:48 +0000  Giacomo Lozito <james@develia.org>
  revision [2398]
  - statusicon: converted to v2 plugin system
  trunk/src/statusicon/si.c |    9 +++------
  1 file changed, 3 insertions(+), 6 deletions(-)


2007-05-25 09:37:51 +0000  Giacomo Lozito <james@develia.org>
  revision [2396]
  - aosd: remove unused input.h inclusion
  trunk/src/aosd/aosd.c |    1 -
  1 file changed, 1 deletion(-)


2007-05-25 09:35:33 +0000  Giacomo Lozito <james@develia.org>
  revision [2394]
  - aosd: converted to v2 plugin system
  trunk/src/aosd/aosd.c |    9 +++------
  1 file changed, 3 insertions(+), 6 deletions(-)


2007-05-25 09:15:17 +0000  Giacomo Lozito <james@develia.org>
  revision [2392]
  - filewriter: stop pretending to be a input plugin
  trunk/src/filewriter/filewriter.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-25 09:07:04 +0000  Giacomo Lozito <james@develia.org>
  revision [2390]
  - amidi-plug: remove g_free(description) in cleanup function to avoid crash on quit
  trunk/src/amidi-plug/amidi-plug.c |    1 -
  1 file changed, 1 deletion(-)


2007-05-25 08:55:15 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2388]
  - remove g_free(description) in cleanup functions to avoid crash on quit.
  
  trunk/src/OSS/OSS.c                    |    3 ---
  trunk/src/alsa/alsa.c                  |    3 ---
  trunk/src/timidity/src/xmms-timidity.c |    3 ---
  trunk/src/vorbis/vorbis.c              |    3 ---
  4 files changed, 12 deletions(-)


2007-05-25 07:42:15 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2386]
  - build fix.
  
  trunk/src/ladspa/ladspa.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-25 06:50:52 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2384]
  - voice_removal: convert to plugin API v2
  
  trunk/src/voice_removal/voice_removal.c |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-05-25 06:47:20 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2382]
  - stereo: convert to plugin API v2
  
  trunk/src/stereo_plugin/stereo.c |   11 ++++-------
  1 file changed, 4 insertions(+), 7 deletions(-)


2007-05-25 06:46:18 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2380]
  - ladspa: convert to plugin API v2
  
  trunk/src/ladspa/ladspa.c |    9 ++++-----
  1 file changed, 4 insertions(+), 5 deletions(-)


2007-05-25 06:44:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2378]
  - echo: convert to plugin API v2
  
  trunk/src/echo_plugin/echo.c |   10 ++++------
  1 file changed, 4 insertions(+), 6 deletions(-)


2007-05-25 06:43:44 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2376]
  - audiocompress: convert to plugin API v2
  
  trunk/src/audiocompress/audacious-glue.c |    7 +++----
  1 file changed, 3 insertions(+), 4 deletions(-)


2007-05-25 06:41:51 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2374]
  - arts: convert to plugin API v2
  
  trunk/src/arts/arts.c |    9 ++++-----
  1 file changed, 4 insertions(+), 5 deletions(-)


2007-05-25 06:40:51 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2372]
  - coreaudio: convert to plugin API v2
  
  trunk/src/CoreAudio/coreaudio.c |   48 +++++++++++++++++++---------------------
  1 file changed, 23 insertions(+), 25 deletions(-)


2007-05-25 06:39:32 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2370]
  - jack: convert to plugin API v2
  
  trunk/src/jack/jack.c |    6 ++----
  1 file changed, 2 insertions(+), 4 deletions(-)


2007-05-25 06:37:12 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2368]
  - pulse: convert to plugin API v2
  
  trunk/src/pulse_audio/pulse_audio.c |   10 +++++-----
  1 file changed, 5 insertions(+), 5 deletions(-)


2007-05-25 06:35:49 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2366]
  - null: convert to plugin API v2
  
  trunk/src/null/null.c |    9 ++++-----
  1 file changed, 4 insertions(+), 5 deletions(-)


2007-05-25 06:34:49 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2364]
  - sun: convert to plugin API v2
  
  trunk/src/sun/sun.c |   10 +++-------
  1 file changed, 3 insertions(+), 7 deletions(-)


2007-05-25 06:33:06 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2362]
  - cdaudio-ng (aka Zither's CD Audio Plugin): convert to plugin API v2
  
  trunk/src/cdaudio-ng/cdaudio-ng.c |   10 +++-------
  1 file changed, 3 insertions(+), 7 deletions(-)


2007-05-25 06:30:47 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2360]
  - amidi-plug: convert to plugin API v2
  
  trunk/src/amidi-plug/amidi-plug.c |    8 ++------
  trunk/src/amidi-plug/amidi-plug.h |    2 +-
  2 files changed, 3 insertions(+), 7 deletions(-)


2007-05-25 06:25:59 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2358]
  - adplug: convert to plugin API v2
  
  trunk/src/adplug/adplug-xmms.cc |    8 +++-----
  1 file changed, 3 insertions(+), 5 deletions(-)


2007-05-25 06:24:14 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2356]
  - timidity: convert to plugin API v2
  
  trunk/src/timidity/src/xmms-timidity.c |   12 +++++-------
  1 file changed, 5 insertions(+), 7 deletions(-)


2007-05-25 06:22:37 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2354]
  - sid: convert to plugin API v2
  
  trunk/src/sid/xs_init.c |   10 ++--------
  1 file changed, 2 insertions(+), 8 deletions(-)


2007-05-25 06:21:29 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2352]
  - remove dead declarations
  
  trunk/src/musepack/libmpc.h      |    2 --
  trunk/src/wavpack/libwavpack.cxx |    1 -
  2 files changed, 3 deletions(-)


2007-05-25 06:19:48 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2350]
  - flacng: convert to plugin API v2
  
  trunk/src/flacng/plugin.c |   15 ++++-----------
  1 file changed, 4 insertions(+), 11 deletions(-)


2007-05-25 06:18:05 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2348]
  - cdaudio: convert to plugin API v2
  
  trunk/src/cdaudio/cdaudio.c |   13 ++++---------
  1 file changed, 4 insertions(+), 9 deletions(-)


2007-05-25 06:16:36 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2346]
  - sexypsf: convert to plugin API v2
  
  trunk/src/sexypsf/xmms.c |   13 +++++--------
  1 file changed, 5 insertions(+), 8 deletions(-)


2007-05-25 06:14:57 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2344]
  - metronom: convert to plugin API v2
  
  trunk/src/metronom/metronom.c |    9 ++++-----
  1 file changed, 4 insertions(+), 5 deletions(-)


2007-05-25 06:13:01 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2342]
  - cue: convert to plugin API v2
  
  trunk/src/cue/cuesheet.c |   12 +++++-------
  1 file changed, 5 insertions(+), 7 deletions(-)


2007-05-25 06:10:18 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2340]
  - tta: convert to plugin API v2
  
  trunk/src/tta/libtta.c |   11 ++++-------
  1 file changed, 4 insertions(+), 7 deletions(-)


2007-05-25 06:09:03 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2338]
  - vtx: convert to plugin API v2
  
  trunk/src/vtx/vtx.c |   11 +++--------
  1 file changed, 3 insertions(+), 8 deletions(-)


2007-05-25 06:07:22 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2336]
  - tonegen: convert to plugin API v2
  
  trunk/src/tonegen/tonegen.c |   10 ++++------
  1 file changed, 4 insertions(+), 6 deletions(-)


2007-05-25 06:06:58 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2334]
  - alsa: commit to plugin API v2
  
  trunk/src/alsa/alsa.c |    9 +++------
  1 file changed, 3 insertions(+), 6 deletions(-)


2007-05-25 03:30:08 +0000  Stephen Sokolow <deitarion@gmail.com>
  revision [2332]
  Switch pkg-config for cdaudio-ng from libcdio to libcdio_cdda (At the request of Crazy_Hopper)
  The change makes sense, and a quick manual call to pkg-config looks good, but blame him if something goes wrong. 
  
  trunk/configure.ac |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-05-25 03:06:47 +0000  Stephen Sokolow <deitarion@gmail.com>
  revision [2330]
  Fixed a typo in the cdaudio-ng portion of configure.ac as discovered by Crazy_Hopper.
  
  trunk/configure.ac |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-24 23:34:36 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2328]
  - modplug: transition to plugin API v2
  
  trunk/src/modplug/plugin.cxx |   12 ++++--------
  1 file changed, 4 insertions(+), 8 deletions(-)


2007-05-24 23:32:36 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2326]
  - wavpack: transition to plugin API v2
  
  trunk/src/wavpack/libwavpack.cxx |   10 +++-------
  1 file changed, 3 insertions(+), 7 deletions(-)


2007-05-24 23:30:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2324]
  - musepack: transition to plugin API v2
  
  trunk/src/musepack/libmpc.cxx |   11 ++++-------
  1 file changed, 4 insertions(+), 7 deletions(-)


2007-05-24 23:14:36 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2322]
  - vorbis: transition to plugin API v2
  
  trunk/src/vorbis/vorbis.c |   13 +++++--------
  1 file changed, 5 insertions(+), 8 deletions(-)


2007-05-24 23:12:47 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2320]
  - esd: transition to plugin API v2
  
  trunk/src/esd/esd.c |   14 +++++---------
  1 file changed, 5 insertions(+), 9 deletions(-)


2007-05-24 23:07:16 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2318]
  - filewriter: transition to plugin API v2
  
  trunk/src/filewriter/filewriter.c |   10 ++++------
  1 file changed, 4 insertions(+), 6 deletions(-)


2007-05-24 22:53:40 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2316]
  - conversion to yaz's style was not needed, just API v2 ;p
  
  trunk/src/aac/src/libmp4.c |    8 +++-----
  trunk/src/alac/plugin.c    |    4 +---
  trunk/src/wma/wma.c        |    4 +---
  3 files changed, 5 insertions(+), 11 deletions(-)


2007-05-24 22:46:25 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2314]
  Port to plugin API v2.
  trunk/src/alac/plugin.c |   66 +++++++++++++++---------------------------------
  1 file changed, 21 insertions(+), 45 deletions(-)


2007-05-24 22:21:11 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2312]
  Port to plugin API v2.
  trunk/src/aac/src/libmp4.c |   61 ++++++++++++++++-----------------------------
  1 file changed, 23 insertions(+), 38 deletions(-)


2007-05-24 21:54:58 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2310]
  Port to plugin API v2.
  trunk/src/wma/wma.c |   61 +++++++++++++++++-----------------------------------
  1 file changed, 20 insertions(+), 41 deletions(-)


2007-05-24 19:24:11 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2308]
  - update sndstretch to plugin API v2
  
  trunk/src/sndstretch/sndstretch_xmms.c |    6 ++----
  1 file changed, 2 insertions(+), 4 deletions(-)


2007-05-24 19:22:58 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2306]
  - update FLAC plugin to plugin API v2
  
  trunk/src/flac/plugin.c |   16 +++++-----------
  1 file changed, 5 insertions(+), 11 deletions(-)


2007-05-24 19:19:58 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2304]
  - update libconsole to plugin API v2
  
  trunk/src/console/Audacious_Driver.cxx |   14 ++++++++------
  1 file changed, 8 insertions(+), 6 deletions(-)


2007-05-24 19:16:55 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2302]
  - update paranormal visualizer to plugin API v2
  
  trunk/src/paranormal/plugin.c |   10 ++++------
  1 file changed, 4 insertions(+), 6 deletions(-)


2007-05-24 19:15:22 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2300]
  - update OSS plugin to plugin API v2
  
  trunk/src/OSS/OSS.c |   10 +++-------
  1 file changed, 3 insertions(+), 7 deletions(-)


2007-05-24 19:12:49 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2298]
  - convert scrobbler to plugin API v2
  
  trunk/src/scrobbler/plugin.c |   15 +++++----------
  1 file changed, 5 insertions(+), 10 deletions(-)


2007-05-24 19:09:40 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2296]
  - convert madplug to plugin API v2
  
  trunk/src/madplug/plugin.c |   46 +++++++++++++++++++++------------------------
  1 file changed, 22 insertions(+), 24 deletions(-)


2007-05-24 19:02:58 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2294]
  - update wav plugin to plugin API v2
  
  trunk/src/wav/wav.c |   11 ++++-------
  1 file changed, 4 insertions(+), 7 deletions(-)


2007-05-24 10:35:01 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2292]
  - port to plugin2 API
  
  trunk/src/wav/wav-sndfile.c |   12 +++++++++---
  1 file changed, 9 insertions(+), 3 deletions(-)


2007-05-24 09:12:43 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2290]
  - bump version of plugins and version requirements per plugin api v2
  
  trunk/configure.ac |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-05-24 09:11:23 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2288]
  - remove xmms_session values per plugin api v2
  
  trunk/src/blur_scope/blur_scope.c |    1 -
  trunk/src/paranormal/plugin.c     |    1 -
  trunk/src/projectm/main.c         |    1 -
  trunk/src/rootvis/rootvis.c       |    1 -
  trunk/src/rovascope/plugin.c      |    1 -
  trunk/src/spectrum/spectrum.c     |    1 -
  6 files changed, 6 deletions(-)


2007-05-24 09:07:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2286]
  - remove xmms_session value from GeneralPlugin structs per plugin api v2
  
  trunk/src/alarm/alarm.c             |    3 +--
  trunk/src/aosd/aosd.h               |    1 -
  trunk/src/evdev-plug/ed.h           |    1 -
  trunk/src/lirc/lirc.c               |    1 -
  trunk/src/scrobbler/plugin.c        |    1 -
  trunk/src/song_change/song_change.c |    1 -
  trunk/src/statusicon/si.h           |    1 -
  7 files changed, 1 insertion(+), 8 deletions(-)


2007-05-24 05:40:57 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2284]
  - get rid of warnings.
  
  trunk/src/rovascope/Makefile     |    2 +-
  trunk/src/rovascope/actuators.h  |    1 +
  trunk/src/rovascope/cmaps.c      |    2 +-
  trunk/src/rovascope/general.c    |    1 -
  trunk/src/rovascope/paranormal.c |    1 +
  trunk/src/rovascope/paranormal.h |    3 +++
  trunk/src/rovascope/plugin.c     |    4 ++++
  trunk/src/rovascope/wave.c       |    2 --
  trunk/src/rovascope/xform.c      |    5 -----
  9 files changed, 11 insertions(+), 10 deletions(-)


2007-05-23 13:08:35 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2282]
  - make build of cdaudio-ng configurable.
  
  trunk/configure.ac            |   20 +++++++++++++++++++-
  trunk/mk/rules.mk.in          |    2 ++
  trunk/src/cdaudio-ng/Makefile |    2 +-
  3 files changed, 22 insertions(+), 2 deletions(-)


2007-05-23 10:48:56 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2280]
  - add support for reading id3v2 TXXX replaygain tag. patch by Eugene Zagidullin.
  
  trunk/src/madplug/replaygain.c |   75 +++++++++++++++++++++++++++++++++++++++++
  1 file changed, 75 insertions(+)


2007-05-22 15:26:53 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2278]
  - FILEWRITER_LIBS had been left blank if bash 3.0 was used for configure, since this version doesn't accept '+='.
  
  trunk/configure.ac |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-05-22 12:24:09 +0000  Giacomo Lozito <james@develia.org>
  revision [2276]
  - evdev-plug 0.2: do not intercept all event types, currently only pick types KEY and ABSOLUTE; there could be other event types that are worth intercepting, feedback needed about this
  trunk/src/evdev-plug/ed_common.h |    2 +-
  trunk/src/evdev-plug/ed_ui.c     |   26 ++++++++++++++++++--------
  2 files changed, 19 insertions(+), 9 deletions(-)


2007-05-22 09:28:58 +0000  Giacomo Lozito <james@develia.org>
  revision [2274]
  - statusicon: partial rewrite of si_ui_statusicon_cb_hook_tchange , nicer this way
  trunk/src/statusicon/si_ui.c |   25 ++++++++++---------------
  1 file changed, 10 insertions(+), 15 deletions(-)


2007-05-22 08:56:51 +0000  Giacomo Lozito <james@develia.org>
  revision [2272]
  - statusicon: strenghten checks before last strcmp in si_ui_statusicon_cb_hook_tchange
  trunk/src/statusicon/si_ui.c |    4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)


2007-05-21 23:34:55 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2270]
  Isn't that cute. But it's WRONG
  trunk/src/modplug/modplug.cxx |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-05-21 23:32:42 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2268]
  dnl CD-Audio New Generation; you need to add cdaudio-ng to INPUT_PLUGINS if CDIO_LIBS is set. Or something like that. Good luck.
  trunk/configure.ac            |    2 ++
  trunk/src/modplug/modplug.cxx |    4 ++--
  2 files changed, 4 insertions(+), 2 deletions(-)


2007-05-21 23:18:14 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2266]
  .so != .c and lack of sleep is not an excuse.
  trunk/src/cdaudio-ng/Makefile |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-05-21 23:08:45 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2264]
  This Makefile upsets it less. Needs LIBCDIO detection in configure.ac though.
  trunk/src/cdaudio-ng/Makefile       |   22 ++++++++++++----------
  trunk/src/cdaudio-ng/Makefile.WRONG |   13 +++++++++++++
  2 files changed, 25 insertions(+), 10 deletions(-)


2007-05-21 22:28:07 +0000  
  revision [2262]
  Added cdaudio-ng
  trunk/src/cdaudio-ng/Makefile     |   13 +
  trunk/src/cdaudio-ng/cdaudio-ng.c |  410 ++++++++++++++++++++++++++++++++++++++
  2 files changed, 423 insertions(+)


2007-05-21 15:34:05 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2260]
  - suppress warnings.
  
  trunk/src/lastfm/lastfm.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-05-21 04:52:04 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2258]
  - add a check for gcc version. now -fgnu89-inline is added only if gcc is 4.2.0 or more.
  
  trunk/configure.ac        |   36 ++++++++++++++++++++++++++++++++++++
  trunk/mk/rules.mk.in      |    1 +
  trunk/src/lastfm/Makefile |    2 +-
  trunk/src/wma/Makefile    |    2 +-
  4 files changed, 39 insertions(+), 2 deletions(-)


2007-05-20 21:12:57 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2256]
  - fix crash if Exclude does not exist.
  
  trunk/src/adplug/adplug-xmms.cc |   20 ++++++++++----------
  1 file changed, 10 insertions(+), 10 deletions(-)


2007-05-20 19:05:48 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2254]
  - get rid of all warnings gcc 4.2.0 emits with my build configuration.
  - fix for minor bugs.
  
  trunk/src/aac/libfaad2/common.h             |    4 ++--
  trunk/src/adplug/adplug-xmms.cc             |   12 ++++++------
  trunk/src/adplug/core/mid.cxx               |    2 +-
  trunk/src/adplug/core/mid.h                 |    2 +-
  trunk/src/console/Audacious_Driver.cxx      |    4 ++--
  trunk/src/filewriter/flac.c                 |    2 +-
  trunk/src/filewriter/mp3.c                  |    8 ++++----
  trunk/src/flacng/Makefile                   |    2 +-
  trunk/src/flacng/plugin.c                   |    2 --
  trunk/src/flacng/tools.c                    |    3 +++
  trunk/src/lastfm/Makefile                   |    2 +-
  trunk/src/lastfm/lastfm.c                   |    5 +++--
  trunk/src/lastfm/lastfm.h                   |    2 +-
  trunk/src/modplug/fastmix.cxx               |    7 +++++--
  trunk/src/modplug/gui/support.cxx           |    4 ++--
  trunk/src/modplug/plugin.cxx                |    6 +++---
  trunk/src/musepack/libmpc.cxx               |   14 +++++++-------
  trunk/src/musepack/libmpc.h                 |    6 +++---
  trunk/src/rootvis/config_frontend_widgets.c |    2 +-
  trunk/src/scrobbler/scrobbler.c             |    2 +-
  trunk/src/wavpack/libwavpack.cxx            |    4 ++--
  trunk/src/wavpack/tags.cxx                  |    2 +-
  trunk/src/wavpack/ui.cxx                    |    2 +-
  trunk/src/wma/Makefile                      |    2 +-
  24 files changed, 53 insertions(+), 48 deletions(-)


2007-05-18 17:42:29 +0000  Kiyoshi Aman <kiyoshi.aman@gmail.com>
  revision [2252]
  I will murder someone if I have to fix the buildsystem again.
  trunk/configure.ac            |   39 ++++++++++++++++++++++++++-------------
  trunk/mk/rules.mk.in          |    2 +-
  trunk/src/filewriter/Makefile |    2 +-
  3 files changed, 28 insertions(+), 15 deletions(-)


2007-05-18 10:41:05 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2250]
  Use proper integer types in the code, patch by Pavel Vymetalek <pvymetalek@seznam.cz>.
  trunk/src/vtx/ay8912.c        |    8 ++++----
  trunk/src/vtx/ayemu_8912.h    |    3 ++-
  trunk/src/vtx/ayemu_vtxfile.h |    3 ++-
  trunk/src/vtx/vtxfile.c       |   10 ++++++++--
  4 files changed, 16 insertions(+), 8 deletions(-)


2007-05-16 20:00:14 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2248]
  
  - Do not complain about errors in the stream while testing a file
  
  trunk/src/flacng/flacng.h                    |    1 +
  trunk/src/flacng/seekable_stream_callbacks.c |   10 +++++++++-
  trunk/src/flacng/tools.c                     |    8 ++++++++
  3 files changed, 18 insertions(+), 1 deletion(-)


2007-05-16 11:10:36 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2246]
  
  - Add filename to error message for unreadable metadata
  
  trunk/src/flacng/tools.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-15 20:45:38 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2242]
  
  - Disable building the old flac plugin by default
  
  trunk/configure.ac |    5 +++--
  1 file changed, 3 insertions(+), 2 deletions(-)


2007-05-15 20:38:05 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2240]
  
  - Require FLAC >= 1.1.3 for flacng for the time being
  
  trunk/configure.ac |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-15 20:18:35 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2238]
  - upstream updates regarding handling of SPC700 instructions and runtime 
    length issues.
  
  trunk/src/console/Snes_Spc.cxx |  669 +++++++------------
  trunk/src/console/Snes_Spc.h   |  323 ++++++---
  trunk/src/console/Spc_Cpu.cxx  | 1436 +++++++++++++----------------------------
  trunk/src/console/Spc_Cpu.h    | 1251 ++++++++++++++++++++++++++++++++++-
  trunk/src/console/Spc_Dsp.cxx  | 1154 +++++++++++++++++---------------
  trunk/src/console/Spc_Dsp.h    |  306 +++++---
  trunk/src/console/Spc_Emu.cxx  |   12 
  trunk/src/console/Spc_Emu.h    |    2 
  8 files changed, 2990 insertions(+), 2163 deletions(-)


2007-05-13 00:06:13 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2236]
  smarter polling and lots of other changes
  
  trunk/src/lastfm/lastfm.c |  250 +++++++++++++++++++++++++++-------------------
  trunk/src/lastfm/lastfm.h |    5 
  2 files changed, 156 insertions(+), 99 deletions(-)


2007-05-12 22:03:26 +0000  Ben Tucker <bnt@interchange.ubc.ca>
  revision [2234]
  Changed alarm and projectm plugins so they use auddrct now.
  
  trunk/src/alarm/alarm.c   |   59 ++++++++++++++++------------------------------
  trunk/src/projectm/main.c |    7 ++---
  2 files changed, 24 insertions(+), 42 deletions(-)


2007-05-12 12:21:09 +0000  Giacomo Lozito <james@develia.org>
  revision [2232]
  - lirc: works again with auddrct
  trunk/src/lirc/lirc.c |  115 +++++++++++++++++---------------------------------
  1 file changed, 40 insertions(+), 75 deletions(-)


2007-05-12 11:29:22 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2230]
  fixed player crash when trying to get file info
  
  trunk/src/madplug/plugin.c |    4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)


2007-05-12 07:56:32 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2228]
  - fix memory-leak for protocol 1.2 code
  - disable accidental enabling of debugging code
  
  trunk/src/scrobbler/scrobbler.c |    4 ++--
  trunk/src/scrobbler/settings.h  |    6 +++---
  2 files changed, 5 insertions(+), 5 deletions(-)


2007-05-12 07:37:48 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2226]
  - protocol 1.2: use interval 1
  
  trunk/src/scrobbler/scrobbler.c |    2 +-
  trunk/src/scrobbler/settings.h  |    6 +++---
  2 files changed, 4 insertions(+), 4 deletions(-)


2007-05-12 07:30:49 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2224]
  - enforce audioscrobbler rules on queued tracks
  
  trunk/src/scrobbler/scrobbler.c |   17 ++++++++++++-----
  1 file changed, 12 insertions(+), 5 deletions(-)


2007-05-12 07:21:55 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2222]
  - NP pings apparently do not affect musical profile, so queue tracks for submission
  
  trunk/src/scrobbler/scrobbler.c |    7 +++++--
  1 file changed, 5 insertions(+), 2 deletions(-)


2007-05-12 07:19:43 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2220]
  - fully update to AudioScrobbler 1.2 protocol
  
  trunk/src/scrobbler/scrobbler.c |  185 +++++++++++++++++++++++++---------------
  1 file changed, 118 insertions(+), 67 deletions(-)


2007-05-12 05:52:07 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2218]
  - some more work here
  
  trunk/src/scrobbler/plugin.c |   10 ++++++++--
  1 file changed, 8 insertions(+), 2 deletions(-)


2007-05-12 05:49:11 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2216]
  - first attempt at implementing AudioScrobbler 1.2 protocol
  
  trunk/src/scrobbler/plugin.c    |  331 +++++-----------------------------------
  trunk/src/scrobbler/scrobbler.c |    4 
  2 files changed, 50 insertions(+), 285 deletions(-)


2007-05-12 03:59:58 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2214]
  - make scrobbler work again.
  
  trunk/src/scrobbler/plugin.c |   13 ++++++++-----
  1 file changed, 8 insertions(+), 5 deletions(-)


2007-05-12 03:39:37 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2212]
  - migrate to audacious_drct API.
  
  trunk/src/song_change/song_change.c |   22 +++++++++++-----------
  1 file changed, 11 insertions(+), 11 deletions(-)


2007-05-12 01:35:51 +0000  Giacomo Lozito <james@develia.org>
  revision [2210]
  - evdev-plug: works again with auddrct
  trunk/src/evdev-plug/ed.c        |   61 ++++++++++++++++++---------------------
  trunk/src/evdev-plug/ed_common.h |    2 -
  2 files changed, 30 insertions(+), 33 deletions(-)


2007-05-12 01:14:07 +0000  Giacomo Lozito <james@develia.org>
  revision [2208]
  - statusicon: works again with auddrct
  trunk/src/statusicon/si.c        |   46 +++++++++++++++++++--------------------
  trunk/src/statusicon/si_common.h |    2 -
  2 files changed, 24 insertions(+), 24 deletions(-)


2007-05-12 00:16:13 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2206]
  - fix pulse_audio output sink. reported by Chainsaw.
  
  trunk/src/pulse_audio/pulse_audio.c |   12 ++++++------
  1 file changed, 6 insertions(+), 6 deletions(-)


2007-05-12 00:01:10 +0000  Giacomo Lozito <james@develia.org>
  revision [2204]
  - amidi-plug works again (uses auddrct.h in place of the deprecated beepctrl.h)
  trunk/src/amidi-plug/amidi-plug.c  |    4 ++--
  trunk/src/amidi-plug/amidi-plug.h  |    2 +-
  trunk/src/amidi-plug/i_common.h    |    2 +-
  trunk/src/amidi-plug/i_configure.c |    4 ++--
  4 files changed, 6 insertions(+), 6 deletions(-)


2007-05-11 22:45:20 +0000  Giacomo Lozito <james@develia.org>
  revision [2202]
  - aosd: remove aosd_osd_check_composite_mgr from where it was not supposed to be
  trunk/src/aosd/aosd.c |    1 -
  1 file changed, 1 deletion(-)


2007-05-11 16:48:31 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2200]
  - make metadata display in Audacious again.
  
  trunk/src/lastfm/lastfm.c |   13 ++++++-------
  1 file changed, 6 insertions(+), 7 deletions(-)


2007-05-11 16:41:34 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2198]
  - returning -1 is invalid here for fsize(). make metadata display in Audacious.
  
  trunk/src/lastfm/lastfm.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-11 16:37:33 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2196]
  - don't report content-length
  
  trunk/src/lastfm/lastfm.c |    9 +++------
  1 file changed, 3 insertions(+), 6 deletions(-)


2007-05-11 16:32:54 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2194]
  - make this work without controlsocket
  
  trunk/src/scrobbler/plugin.c |   18 ++++++++++--------
  1 file changed, 10 insertions(+), 8 deletions(-)


2007-05-11 16:18:02 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2192]
  - lets avoid spawning >1 threads for metadata
  
  trunk/src/lastfm/lastfm.c |  151 ++++++++++++++++++++++------------------------
  1 file changed, 75 insertions(+), 76 deletions(-)


2007-05-11 13:08:46 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2190]
  lastfn's metadata seems to wotk, but still it has some glitches
  enjoy!
  
  trunk/src/lastfm/lastfm.c |  179 +++++++++++++++++++++++++---------------------
  1 file changed, 101 insertions(+), 78 deletions(-)


2007-05-11 08:15:39 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2188]
  import major update by Aleksander Djuric (the original author).
  - major code cleanups
  - fix for badly playlist names
  - remove unnecessary functions
  - remove no-longer-needed files
  
  trunk/src/tta/Makefile      |    2 
  trunk/src/tta/Readme        |   35 -
  trunk/src/tta/aud-support.h |   24 -
  trunk/src/tta/aud-tta.c     | 1019 --------------------------------------------
  trunk/src/tta/crc32.h       |  114 ----
  trunk/src/tta/filters.h     |  110 ----
  trunk/src/tta/id3.c         |   80 ---
  trunk/src/tta/id3genre.h    |  155 ------
  trunk/src/tta/libtta.c      |  861 +++++++++++++++++++++++++++++++++++++
  trunk/src/tta/ttadec.c      |  230 ++++++---
  trunk/src/tta/ttadec.h      |  128 ++++-
  trunk/src/tta/ttaid3tag.h   |   97 ----
  trunk/src/tta/ttalib.h      |   74 ++-
  13 files changed, 1175 insertions(+), 1754 deletions(-)


2007-05-11 05:27:38 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2186]
  - replace xmms_remote_*() with playlist functions.
  
  trunk/src/filewriter/filewriter.c |   30 +++++++++++++-----------------
  trunk/src/filewriter/filewriter.h |    2 +-
  2 files changed, 14 insertions(+), 18 deletions(-)


2007-05-11 04:43:57 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2184]
  - make this compile again and indent properly
  
  trunk/src/lastfm/lastfm.c |  149 +++++++++++++++++++++++-----------------------
  trunk/src/lastfm/lastfm.h |    5 -
  2 files changed, 78 insertions(+), 76 deletions(-)


2007-05-11 00:48:34 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2182]
  added primitive metadata handling (just gets printed in the terminal)
  
  trunk/src/lastfm/lastfm.c |   79 ++++++++++++++++++++++++++++++----------------
  1 file changed, 52 insertions(+), 27 deletions(-)


2007-05-10 23:41:13 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2180]
  a few cleanups
  
  trunk/src/lastfm/lastfm.c |  114 ++++++++++++++++------------------------------
  1 file changed, 41 insertions(+), 73 deletions(-)


2007-05-10 22:38:12 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2178]
  completed diskwriter and out_lame removal
  
  trunk/configure.ac |   17 +----------------
  1 file changed, 1 insertion(+), 16 deletions(-)


2007-05-10 19:13:22 +0000  Michael Farber <01mf02@gmail.com>
  revision [2176]
  - get rid of Disk-Writer and Out-Lame in favor of FileWriter finally
  
  
  0 files changed


2007-05-09 21:38:09 +0000  Ben Tucker <bnt@interchange.ubc.ca>
  revision [2174]
  Fixed rootvis' config to only declare stuff once; modified alarm.c to use dbus and made appropriate changes to the build system.
  
  trunk/configure.ac         |   12 +++++++++---
  trunk/mk/rules.mk.in       |    2 ++
  trunk/src/alarm/alarm.c    |   35 ++++++++++++++++++-----------------
  trunk/src/rootvis/config.h |    5 +++++
  4 files changed, 34 insertions(+), 20 deletions(-)


2007-05-07 05:53:19 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2172]
  - move bmp_title_input_free() into file_open() to avoid memory leak.
  - make vorbis.c check each tuple member has value.
  
  trunk/src/filewriter/filewriter.c |    6 +++++-
  trunk/src/filewriter/mp3.c        |    3 ---
  trunk/src/filewriter/vorbis.c     |   18 ++++++++++++------
  3 files changed, 17 insertions(+), 10 deletions(-)


2007-05-06 17:59:18 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2170]
  - fix itunes7 hack
  
  trunk/src/alac/demux.c |    8 +-------
  1 file changed, 1 insertion(+), 7 deletions(-)


2007-05-05 19:11:33 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [2168]
  ifdef filewriter/flac.c out completely if FILEWRITER_FLAC isn't defined
  
  trunk/src/filewriter/flac.c |    5 +++++
  1 file changed, 5 insertions(+)


2007-05-05 12:14:02 +0000  Michael Farber <01mf02@gmail.com>
  revision [2166]
  - configure.ac changes for FileWriter (are likely to have to be fixed)
  
  
  trunk/configure.ac |   62 ++++++++++++++++++++++++++++++++++++++++++++++++++---
  1 file changed, 59 insertions(+), 3 deletions(-)


2007-05-05 12:03:57 +0000  Michael Farber <01mf02@gmail.com>
  revision [2164]
  - Prepared FileWriter for partial compilation
  
  
  trunk/src/filewriter/filewriter.c |   44 ++++++++++++++++++++++++++++++++++++--
  trunk/src/filewriter/plugins.h    |   11 ++++++++-
  2 files changed, 52 insertions(+), 3 deletions(-)


2007-05-05 11:20:17 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2162]
  
  - We do not need the internal libflac anymore
  
  trunk/src/flacng/Makefile |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-05-04 17:59:01 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2160]
  Return 1 if we encounter an unknown tuple, this seems to happen in files 
  generated by iTunes 7. This works because the file will already be 
  rejected if it isn't ALAC; the format identification tuple is always first.
  This is however a hack at best, and we should probably look into why this
  is happening (has iTunes 7 changed the format for M4A containers again?)
  
  trunk/src/alac/demux.c |    4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)


2007-05-01 19:49:27 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2134]
  - fix a bug which counts number of frames twice in handling xing header.
  - now fileinfo dialog calculates play length even though TLEN tag exists so that it can overwrite wrong TLEN tag.
  
  trunk/src/madplug/decoder.c  |   15 ++++++++++++---
  trunk/src/madplug/fileinfo.c |    1 +
  trunk/src/madplug/input.c    |    2 ++
  trunk/src/madplug/plugin.h   |    4 +++-
  trunk/src/madplug/xing.c     |    4 ++++
  5 files changed, 22 insertions(+), 4 deletions(-)


2007-05-01 17:38:27 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2132]
  
  - Fix alternative code path in flac_write
  
  trunk/src/filewriter/flac.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-05-01 15:54:31 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2130]
  - add tuple handling, but i don't think i'm doing it right...
  
  trunk/src/filewriter/flac.c |   32 +++++++++++++++++++++++++++++++-
  1 file changed, 31 insertions(+), 1 deletion(-)


2007-05-01 15:33:07 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2128]
  - use my version for now as r2126 does not work
  
  trunk/src/filewriter/flac.c |    8 ++++----
  1 file changed, 4 insertions(+), 4 deletions(-)


2007-05-01 15:30:24 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2126]
  
  - A simpler version of flac_write()
  
  trunk/src/filewriter/flac.c |   17 +++++++++++++++++
  1 file changed, 17 insertions(+)


2007-05-01 15:26:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2124]
  - remove the padding, flac starts working.
  
  trunk/src/filewriter/flac.c |    8 ++++----
  1 file changed, 4 insertions(+), 4 deletions(-)


2007-05-01 15:07:48 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2122]
  - commit what i have, presently broken
  
  trunk/src/filewriter/Makefile     |    4 -
  trunk/src/filewriter/filewriter.c |    7 +
  trunk/src/filewriter/flac.c       |  147 ++++++++++++++++++++++++++++++++++++++
  trunk/src/filewriter/plugins.h    |    2 
  4 files changed, 155 insertions(+), 5 deletions(-)


2007-05-01 14:03:49 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2120]
  - remove support for hatena music as hatena ceased their musical profile service.
  
  trunk/src/scrobbler/Makefile    |    3 
  trunk/src/scrobbler/configure.c |   66 --
  trunk/src/scrobbler/gerpok.c    |    2 
  trunk/src/scrobbler/hatena.c    |  909 ----------------------------------------
  trunk/src/scrobbler/hatena.h    |   13 
  trunk/src/scrobbler/plugin.c    |   49 --
  trunk/src/scrobbler/scrobbler.c |    2 
  7 files changed, 12 insertions(+), 1032 deletions(-)


2007-05-01 05:03:19 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2118]
  - provide full metadata from the file's tuple when performing the transcode
  
  trunk/src/filewriter/vorbis.c |   18 ++++++++++++++++++
  1 file changed, 18 insertions(+)


2007-05-01 04:57:35 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2116]
  - add configure interface
  - default to -q5 as recommended by Xiph and hydrogenaudio.com
  
  trunk/src/filewriter/vorbis.c |   89 +++++++++++++++++++++++++++++++++++++++++-
  1 file changed, 87 insertions(+), 2 deletions(-)


2007-05-01 04:19:47 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2114]
  - add check for cfg.stopaftersong at the end of cue.
  
  trunk/src/cue/cuesheet.c |    3 +++
  1 file changed, 3 insertions(+)


2007-05-01 04:18:44 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2112]
  - add Vorbis output mode
  - change "Output file extension" to "Output file format"
  - link against -lvorbisenc, this will probably want to be adjusted before we make a release on a 1.4 branch
  
  trunk/src/filewriter/Makefile     |    4 
  trunk/src/filewriter/filewriter.c |    9 +
  trunk/src/filewriter/plugins.h    |    2 
  trunk/src/filewriter/vorbis.c     |  203 ++++++++++++++++++++++++++++++++++++++
  4 files changed, 212 insertions(+), 6 deletions(-)


2007-05-01 03:24:34 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2110]
  - rename titles of configure windows.
  - change packing order of OK and Cancel button in MP3 configuration window. now these buttons use stock icons.
  
  trunk/src/filewriter/filewriter.c |    2 +-
  trunk/src/filewriter/mp3.c        |   20 ++++++++++----------
  2 files changed, 11 insertions(+), 11 deletions(-)


2007-04-30 21:16:32 +0000  Michael Farber <01mf02@gmail.com>
  revision [2108]
  - We got a new plugin, captain!
  - FileWriter is the ultimate plugin for dumping audio to files. It 
  should be the successor of Disk Writer and Out-Lame, as it supports the 
  same output formats as those (WAVE and MP3). The main advantage of 
  having only one file dumping plugin for many formats is that not every 
  plugin has to think about file handling (where to write files to, how to 
  call them etc.) that much anymore.
  - FileWriter is also very extensible - adding new output formats should 
  be very easy.
  
  
  trunk/src/filewriter/Makefile     |   15 
  trunk/src/filewriter/filewriter.c |  624 +++++++++++
  trunk/src/filewriter/filewriter.h |   64 +
  trunk/src/filewriter/mp3.c        | 1999 ++++++++++++++++++++++++++++++++++++++
  trunk/src/filewriter/plugins.h    |   30 
  trunk/src/filewriter/wav.c        |  118 ++
  6 files changed, 2850 insertions(+)


2007-04-28 22:27:15 +0000  Michael Farber <01mf02@gmail.com>
  revision [2106]
  - Out-Lame can now prepend the playlist position to the filename if the 
  track number can't be found
  
  
  trunk/src/lame/out_lame.c |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-04-27 19:44:37 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2104]
  fixed all the warnings
  
  trunk/src/lastfm/Makefile |    1 
  trunk/src/lastfm/lastfm.c |   45 +++++++++------------------------------
  trunk/src/lastfm/lastfm.h |   53 ++++++++++++++++++++++++++++++++++++++++++++++
  3 files changed, 65 insertions(+), 34 deletions(-)


2007-04-27 09:29:33 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2102]
  - replace almost all of outlame_write() with standard code from disk_writer in hope of fixing endianness problem.
  - make use of audacious vfs functions.
  
  trunk/src/lame/Makefile   |    2 
  trunk/src/lame/out_lame.c |  120 +++++++++++++++++++++++++++++++++++++++-------
  2 files changed, 103 insertions(+), 19 deletions(-)


2007-04-26 09:06:12 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2100]
  - fix overflow when calculates bitrate with non-fast scan on a huge sized file.
  - make file info dialog always do non-fast scan. user can easily add TLEN tag of correct play time length to a VBR encoded file which does not go along with fast scan.
  - tweak debug output.
  
  
  trunk/src/madplug/decoder.c  |   57 +++++++++++++++++++++++++------------------
  trunk/src/madplug/fileinfo.c |    2 -
  2 files changed, 35 insertions(+), 24 deletions(-)


2007-04-24 09:53:37 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2098]
  - disable all use of puts() unless -DDEBUG is defined.
  
  trunk/src/lastfm/lastfm.c |  135 ++++++++++++++++++++++++----------------------
  1 file changed, 73 insertions(+), 62 deletions(-)


2007-04-23 23:24:55 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2096]
  got the metadata but couldnt make use of it yet
  
  trunk/src/lastfm/lastfm.c |  119 +++++++++++++++++++++++++++++++++++++++-------
  1 file changed, 101 insertions(+), 18 deletions(-)


2007-04-23 21:24:01 +0000  Cristi Magherusan <majeru@atheme.org>
  revision [2094]
  Fixed the embarassing situation i was in (writing a plugin and not being able to see/hear it work). 
  Now lastfm plays for all of us mortals, not only those who have a lastfm subscription.
  nenolod is not the one and only any more :p
  
  trunk/src/madplug/plugin.c |    6 +++++-
  1 file changed, 5 insertions(+), 1 deletion(-)


2007-04-23 00:23:29 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2092]
  - fix indentation
  
  trunk/src/lastfm/lastfm.c |  144 +++++++++++++++++++++++-----------------------
  1 file changed, 73 insertions(+), 71 deletions(-)


2007-04-22 21:51:16 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2090]
  New release by majeru.
  trunk/src/lastfm/lastfm.c |  214 ++++++++++++++++++++++++++--------------------
  1 file changed, 125 insertions(+), 89 deletions(-)


2007-04-22 12:29:46 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2088]
  
  - Make madplug use vfs_fsize()
  
  trunk/src/madplug/input.c |    4 +---
  1 file changed, 1 insertion(+), 3 deletions(-)


2007-04-22 11:31:31 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2086]
  - build the lastfm VFS plugin if the scrobbler plugin is going to be built.
  
  trunk/configure.ac |    1 +
  1 file changed, 1 insertion(+)


2007-04-22 11:16:08 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2084]
  Add lastfm:// transport, an abstract VFS class which derives from curl 
  to provide lastfm radio support. Written by majeru with some cleanups 
  by me. Most last.fm metadata support isn't yet implemented, however, and 
  will need to be done by majeru. ;)
  
  trunk/src/lastfm/Makefile |   24 +++
  trunk/src/lastfm/lastfm.c |  306 ++++++++++++++++++++++++++++++++++++++++++++++
  2 files changed, 330 insertions(+)


2007-04-22 11:06:00 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2082]
  
  - Implement vfs_fsize() for SMB transport
  
  trunk/src/smb/smb.c |    4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)


2007-04-20 20:30:36 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2080]
  Revert accidential Makefile change
  trunk/src/flacng/Makefile |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-04-20 20:29:12 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2078]
  
  - Properly wait for the flac decoder thread to finish
  
  trunk/src/flacng/Makefile |    2 +-
  trunk/src/flacng/plugin.c |   12 +++++++++++-
  2 files changed, 12 insertions(+), 2 deletions(-)


2007-04-20 14:42:53 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2076]
  
  - Rename flacng debug flag to FLACNG_DEBUG
  
  trunk/src/flacng/debug.h |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-04-20 14:41:13 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2074]
  
  - Add a useful vfs_fsize() implementation to curl
  
  trunk/src/curl/curl.c |   30 +++++++++++++++++++++++++++++-
  1 file changed, 29 insertions(+), 1 deletion(-)


2007-04-20 13:51:44 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2072]
  
  - Make flacng use vfs_fsize()
  
  trunk/src/flacng/seekable_stream_callbacks.c |   34 +++++++++------------------
  1 file changed, 12 insertions(+), 22 deletions(-)


2007-04-20 13:50:15 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [2070]
  
  - Implement vfs_fsize() for stdio
  - Implement dummys for curl/mms/smb
  
  trunk/src/curl/curl.c   |    8 ++++++++
  trunk/src/mms/mms.c     |    9 ++++++++-
  trunk/src/smb/smb.c     |    9 ++++++++-
  trunk/src/stdio/stdio.c |   23 +++++++++++++++++++++--
  4 files changed, 45 insertions(+), 4 deletions(-)


2007-04-18 14:38:58 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2068]
  Sync with upstream. Subsong improvements for ADL, new JBM player.
  trunk/src/adplug/core/Makefile   |    5 
  trunk/src/adplug/core/adl.cxx    |   11 +
  trunk/src/adplug/core/adl.h      |   19 ++
  trunk/src/adplug/core/adplug.cxx |    2 
  trunk/src/adplug/core/d00.cxx    |    3 
  trunk/src/adplug/core/d00.h      |    2 
  trunk/src/adplug/core/jbm.cxx    |  294 +++++++++++++++++++++++++++++++++++++++
  trunk/src/adplug/core/jbm.h      |   80 ++++++++++
  trunk/src/adplug/core/player.h   |    2 
  9 files changed, 410 insertions(+), 8 deletions(-)


2007-04-17 21:45:19 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2066]
  Warning fixes from SuSe.
  trunk/src/alarm/alarm.c                    |    5 ++-
  trunk/src/amidi-plug/backend-alsa/b-alsa.c |    3 -
  trunk/src/amidi-plug/i_configure-alsa.c    |    3 +
  trunk/src/cdaudio/cddb.c                   |   38 ++++++++++++++++++++---
  trunk/src/esd/audio.c                      |    1 
  trunk/src/modplug/archive/arch_bz2.cxx     |   14 ++++++--
  trunk/src/modplug/archive/arch_gzip.cxx    |   47 +++++++++++++++++++++++------
  trunk/src/modplug/archive/arch_rar.cxx     |   21 +++++++++++-
  trunk/src/modplug/archive/arch_zip.cxx     |    3 +
  trunk/src/modplug/sndfile.cxx              |    6 ++-
  trunk/src/paranormal/plugin.c              |    1 
  trunk/src/paranormal/presets.c             |   10 +++---
  trunk/src/wma/libffwma/mem.c               |    3 +
  trunk/src/xspf/urlencode.c                 |    2 -
  14 files changed, 123 insertions(+), 34 deletions(-)


2007-04-16 08:35:24 +0000  Giacomo Lozito <james@develia.org>
  revision [2064]
  - statusicon: added support for quit button in smallmenu; also, the field is being prepared for customizable smallmenu entries
  trunk/src/statusicon/si.c           |   14 +++-
  trunk/src/statusicon/si_audacious.h |    1 
  trunk/src/statusicon/si_cfg.h       |    3 -
  trunk/src/statusicon/si_common.h    |    2 
  trunk/src/statusicon/si_ui.c        |  104 +++++++++++++++++++++++++++---------
  5 files changed, 92 insertions(+), 32 deletions(-)


2007-04-15 19:23:05 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2062]
  - merge some local changes which makes curl threading more reliable.
  
  trunk/src/curl/curl.c |    9 ++++++---
  1 file changed, 6 insertions(+), 3 deletions(-)


2007-04-15 18:33:11 +0000  Giacomo Lozito <james@develia.org>
  revision [2060]
  - alsa: on volume changes, only use channel switches if the audio card supports separated ones
  trunk/src/alsa/audio.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-04-15 05:08:50 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [2058]
  bug fix for #897
  - make mp3 header parsing continue even if xing header is located first.
  - if xing header does not provide enough information to calculate average bitrate, scan_file() now calculate it from frames.
  
  trunk/src/madplug/decoder.c |   15 ++++++++++++---
  1 file changed, 12 insertions(+), 3 deletions(-)


2007-04-15 01:09:55 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2056]
  A cast a day keeps the compiler warning at bay.
  trunk/src/rootvis/config_frontend.c         |    8 ++++----
  trunk/src/rootvis/config_frontend_widgets.c |    8 ++++----
  2 files changed, 8 insertions(+), 8 deletions(-)


2007-04-15 00:38:32 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2054]
  Hammer the WMA plugin into shape enough to bolt the following upstream commit on: "WMA decoder improvement, output closer to the dmo binary.
  Patch by Ian Braithwaite ian braithwaite dot dk".
  trunk/src/wma/libffwma/dsputil.h |   17 +--
  trunk/src/wma/libffwma/wma.h     |  150 ++++++++++++++++++++++++++
  trunk/src/wma/libffwma/wmadata.h |   57 ++++++----
  trunk/src/wma/libffwma/wmadec.c  |  218 +++++++--------------------------------
  4 files changed, 240 insertions(+), 202 deletions(-)


2007-04-14 23:09:21 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2052]
  I said to indent it, not to break it, hmmkay?
  trunk/src/adplug/core/fprovide.cxx |   47 -
  trunk/src/adplug/core/players.cxx  |   82 +-
  trunk/src/adplug/core/rol.cxx      | 1024 ++++++++++++++++---------------------
  3 files changed, 523 insertions(+), 630 deletions(-)


2007-04-14 22:23:50 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2050]
  Run indent -ts4 -nut -bli0 -cdw on this messy lot. Upstream is not consistent with whitespace anyway, no loss there.
  trunk/src/adplug/adplug-xmms.cc    | 1222 ++++++++++++----------
  trunk/src/adplug/core/a2m.cxx      |  764 ++++++++------
  trunk/src/adplug/core/adl.cxx      | 2010 ++++++++++++++++++++++---------------
  trunk/src/adplug/core/adplug.cxx   |  178 +--
  trunk/src/adplug/core/adtrack.cxx  |  184 ++-
  trunk/src/adplug/core/amd.cxx      |  324 +++--
  trunk/src/adplug/core/bam.cxx      |  305 +++--
  trunk/src/adplug/core/bmf.cxx      |  586 +++++-----
  trunk/src/adplug/core/cff.cxx      |  678 ++++++------
  trunk/src/adplug/core/d00.cxx      |  810 ++++++++------
  trunk/src/adplug/core/database.cxx |  415 ++++---
  trunk/src/adplug/core/dfm.cxx      |  154 +-
  trunk/src/adplug/core/diskopl.cxx  |   87 -
  trunk/src/adplug/core/dmo.cxx      |  456 ++++----
  trunk/src/adplug/core/dro.cxx      |  121 +-
  trunk/src/adplug/core/dtm.cxx      |  417 ++++---
  trunk/src/adplug/core/emuopl.cxx   |  113 +-
  trunk/src/adplug/core/flash.cxx    |  191 ++-
  trunk/src/adplug/core/fmc.cxx      |  310 +++--
  trunk/src/adplug/core/fprovide.cxx |   47 
  trunk/src/adplug/core/hsc.cxx      |  355 +++---
  trunk/src/adplug/core/hsp.cxx      |   65 -
  trunk/src/adplug/core/hybrid.cxx   |  206 ++-
  trunk/src/adplug/core/hyp.cxx      |   48 
  trunk/src/adplug/core/imf.cxx      |  177 +--
  trunk/src/adplug/core/ksm.cxx      |  602 ++++++-----
  trunk/src/adplug/core/lds.cxx      |  949 +++++++++--------
  trunk/src/adplug/core/mad.cxx      |  120 +-
  trunk/src/adplug/core/mid.cxx      | 1708 ++++++++++++++++---------------
  trunk/src/adplug/core/mkj.cxx      |  239 ++--
  trunk/src/adplug/core/msc.cxx      |  507 ++++-----
  trunk/src/adplug/core/mtk.cxx      |  196 ++-
  trunk/src/adplug/core/player.cxx   |   43 
  trunk/src/adplug/core/players.cxx  |   82 -
  trunk/src/adplug/core/protrack.cxx | 1285 +++++++++++++----------
  trunk/src/adplug/core/psi.cxx      |   80 -
  trunk/src/adplug/core/rad.cxx      |  201 ++-
  trunk/src/adplug/core/rat.cxx      |  189 +--
  trunk/src/adplug/core/raw.cxx      |  100 +
  trunk/src/adplug/core/rix.cxx      |  714 +++++++------
  trunk/src/adplug/core/rol.cxx      | 1024 ++++++++++--------
  trunk/src/adplug/core/s3m.cxx      | 1015 ++++++++++--------
  trunk/src/adplug/core/sa2.cxx      |  464 ++++----
  trunk/src/adplug/core/sng.cxx      |   83 +
  trunk/src/adplug/core/temuopl.cxx  |   64 -
  trunk/src/adplug/core/u6m.cxx      | 1186 ++++++++++++---------
  trunk/src/adplug/core/xad.cxx      |   94 +
  trunk/src/adplug/core/xsm.cxx      |  107 +
  48 files changed, 12030 insertions(+), 9245 deletions(-)


2007-04-14 15:48:41 +0000  Giacomo Lozito <james@develia.org>
  revision [2048]
  - changed directory for amidi-plug backends
  trunk/configure.ac |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-04-13 16:27:41 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2040]
  Now in sync with AdPlug upstream, merging their commit: "Removed superfluous exit() call. This was detected as part of a GCC 4.3
  compilation regression test. Thanks to Martin Michlmayr! Fixes Debian bug
  #417078."
  trunk/src/adplug/core/rix.cxx |    6 ++++--
  1 file changed, 4 insertions(+), 2 deletions(-)


2007-04-13 16:09:50 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2038]
  Upstream commit "Vastly enhanced generic Protracker player and modified loaders accordingly.
  Copl now supports a getchip() method. A2M loader enhanced for OPL3 features." manually applied by decoding the actual changes from an ocean of whitespace damage. It compiles, but do test it.
  trunk/src/adplug/core/a2m.cxx      |  200 +++++++++++++++++-------------
  trunk/src/adplug/core/a2m.h        |    7 -
  trunk/src/adplug/core/amd.cxx      |    4 
  trunk/src/adplug/core/fmc.cxx      |    4 
  trunk/src/adplug/core/opl.h        |    7 -
  trunk/src/adplug/core/player.cxx   |    2 
  trunk/src/adplug/core/player.h     |    4 
  trunk/src/adplug/core/protrack.cxx |  240 ++++++++++++++++++++++++++-----------
  trunk/src/adplug/core/protrack.h   |  138 +++++++++++----------
  trunk/src/adplug/core/rad.cxx      |    4 
  trunk/src/adplug/core/sa2.cxx      |    6 
  11 files changed, 383 insertions(+), 233 deletions(-)


2007-04-13 15:07:32 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [2036]
  D00 Vibrato and Slides fix by Dennis Lindroos (from upstream CVS).
  trunk/src/adplug/core/d00.cxx |   11 +++++++++--
  trunk/src/adplug/core/d00.h   |    4 ++--
  2 files changed, 11 insertions(+), 4 deletions(-)


2007-04-13 12:23:27 +0000  Giacomo Lozito <james@develia.org>
  revision [2034]
  - curl: do NOT use signals with the new multi-thread layout, and take care of the url string value
  trunk/src/curl/curl.c |   14 +++++++++-----
  1 file changed, 9 insertions(+), 5 deletions(-)


2007-04-12 22:03:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2032]
  - revert r2028.
  
  trunk/src/curl/curl.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-04-12 21:55:59 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2030]
  - add DEBUG_CURL to enable curl internal debugging messages
  
  trunk/src/curl/curl.c |    4 ++++
  1 file changed, 4 insertions(+)


2007-04-12 21:04:26 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2028]
  - only create a new thread if handle->cancel is 0.
  
  trunk/src/curl/curl.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-04-12 20:22:28 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2022]
  - use a g_cond_wait() to ensure curl has started up before we try to read.
  
  trunk/src/curl/curl.c |   25 +++++++++++++++++++++++--
  1 file changed, 23 insertions(+), 2 deletions(-)


2007-04-12 19:57:45 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2020]
  - back out r2016,2018.
  
  trunk/src/curl/curl.c |   28 ++--------------------------
  1 file changed, 2 insertions(+), 26 deletions(-)


2007-04-12 19:33:04 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2018]
  - protect some functions with a mutex.
  
  trunk/src/curl/curl.c |   26 ++++++++++++++++++++++++--
  1 file changed, 24 insertions(+), 2 deletions(-)


2007-04-12 19:02:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2016]
  - if handle->cancel = TRUE, immediately abort the fread operation.
  
  trunk/src/curl/curl.c |    2 ++
  1 file changed, 2 insertions(+)


2007-04-12 18:35:08 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2012]
  - comment out debug cflags
  
  trunk/src/curl/Makefile |   10 +++++-----
  1 file changed, 5 insertions(+), 5 deletions(-)


2007-04-12 18:29:55 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2010]
  - fix last warnings
  
  trunk/src/curl/curl.c |    1 +
  1 file changed, 1 insertion(+)


2007-04-12 18:29:07 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2008]
  - fix curl.c:913: warning: implicit declaration of function 'strdup'
  
  trunk/src/curl/Makefile |    4 ++--
  trunk/src/curl/curl.c   |    6 +++---
  2 files changed, 5 insertions(+), 5 deletions(-)


2007-04-12 18:26:44 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2006]
  - clear up instantiation warnings
  
  trunk/src/curl/curl.c |    5 +++--
  1 file changed, 3 insertions(+), 2 deletions(-)


2007-04-12 18:07:04 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2004]
  - use unsigned char instead of gpointer for arithmetic to ensure that writes are 8-bit aligned.
  
  trunk/src/curl/curl.c |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-04-12 17:59:34 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2002]
  - get rid of shadowed variable
  
  trunk/src/curl/curl.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-04-12 17:58:04 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [2000]
  - fix a ton of warnings
  
  trunk/src/curl/Makefile |    6 ++++++
  trunk/src/curl/curl.c   |   23 +++++++++++++++++++++--
  2 files changed, 27 insertions(+), 2 deletions(-)


2007-04-12 17:51:15 +0000  Alexandr Orlov <alxorlov@pochta.ru>
  revision [1998]
  Update russian translation.
  trunk/po/ru.po | 1103 +++++++++++++++++++++++++++++----------------------------
  1 file changed, 576 insertions(+), 527 deletions(-)


2007-04-12 17:47:23 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1996]
  - fix warnings with -Wunsigned -Wextra
  
  trunk/src/curl/Makefile |    2 +-
  trunk/src/curl/curl.c   |   36 ++++++++++++++++++------------------
  2 files changed, 19 insertions(+), 19 deletions(-)


2007-04-10 21:43:25 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1994]
  - allow AOSD to be forcefully enabled
  
  trunk/configure.ac |   26 +++++++++++++++++++++-----
  1 file changed, 21 insertions(+), 5 deletions(-)


2007-04-10 21:19:15 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1992]
  - chase audacious r4268 (patch by Joker).
  
  trunk/src/cue/cuesheet.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-04-09 18:12:20 +0000  Ralf Ertzinger <ralf@skytale.net>
  revision [1990]
  
  - Implement seek support for files without a seektable
  
  trunk/src/flacng/plugin.c                    |   20 ++++++++------------
  trunk/src/flacng/seekable_stream_callbacks.c |   25 +++++++++++++++++++++++--
  2 files changed, 31 insertions(+), 14 deletions(-)


2007-04-09 17:55:23 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1988]
  - initial import of flacng from audacious-flacng-0.012
  
  trunk/configure.ac                           |   24 
  trunk/mk/rules.mk.in                         |    5 
  trunk/src/flacng/AUTHORS                     |   28 +
  trunk/src/flacng/Makefile                    |   16 
  trunk/src/flacng/README                      |  109 ++++
  trunk/src/flacng/debug.h                     |   35 +
  trunk/src/flacng/flac_compat112.h            |   35 +
  trunk/src/flacng/flac_compat113.h            |    7 
  trunk/src/flacng/flac_compat114.h            |    7 
  trunk/src/flacng/flacng.h                    |   94 +++
  trunk/src/flacng/plugin.c                    |  706 +++++++++++++++++++++++++++
  trunk/src/flacng/plugin.h                    |   14 
  trunk/src/flacng/seekable_stream_callbacks.c |  338 ++++++++++++
  trunk/src/flacng/seekable_stream_callbacks.h |   35 +
  trunk/src/flacng/tools.c                     |  478 ++++++++++++++++++
  trunk/src/flacng/tools.h                     |   34 +
  trunk/src/flacng/version.h                   |    6 
  17 files changed, 1969 insertions(+), 2 deletions(-)


2007-04-09 15:51:31 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1986]
  - use C-style vectors (part 2)
  
  trunk/src/madplug/SFMT-params19937.h |    8 ++++----
  1 file changed, 4 insertions(+), 4 deletions(-)


2007-04-09 15:50:46 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1984]
  - use C-style vectors instead of apple's stuff
  
  trunk/src/madplug/SFMT-alti.c |   10 +++++-----
  1 file changed, 5 insertions(+), 5 deletions(-)


2007-04-09 15:30:03 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1982]
  - fix altivec implementation
  
  trunk/src/madplug/SFMT.c |    1 +
  1 file changed, 1 insertion(+)


2007-04-09 15:11:42 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [1980]
  Spell internal & pseudorandom in a consistent way. Add missing altivec.h include in SFMT-alti.h; more work to be done as it still does not build.
  trunk/src/madplug/SFMT-alti.c |   16 ++++++++--------
  trunk/src/madplug/SFMT-alti.h |    1 +
  2 files changed, 9 insertions(+), 8 deletions(-)


2007-04-09 10:51:00 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1978]
  - make madplug ignore crc error. closes #884.
  
  trunk/src/madplug/decoder.c |    1 +
  1 file changed, 1 insertion(+)


2007-04-09 10:21:02 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1976]
  -adjust size of variable in dither code.
  
  trunk/src/madplug/decoder.c |    2 +-
  trunk/src/madplug/dither.c  |    6 +++---
  2 files changed, 4 insertions(+), 4 deletions(-)


2007-04-09 09:26:28 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1974]
  - replace SSE2 detection macro.
  
  trunk/configure.ac |   33 ++++++++++++++++++---------------
  1 file changed, 18 insertions(+), 15 deletions(-)


2007-04-09 04:30:22 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1972]
  - replace random number generator in dithering code with SIMD-oriented Fast Mersenne Twister (SFMT). it reduces CPU load on SSE2 or AltiVec capable platform.
  
  trunk/configure.ac                   |   22 +
  trunk/mk/rules.mk.in                 |    1 
  trunk/src/madplug/Makefile           |    2 
  trunk/src/madplug/SFMT-alti.c        |  126 +++++++
  trunk/src/madplug/SFMT-alti.h        |   40 ++
  trunk/src/madplug/SFMT-params.h      |   90 +++++
  trunk/src/madplug/SFMT-params19937.h |   22 +
  trunk/src/madplug/SFMT-sse2.c        |  113 ++++++
  trunk/src/madplug/SFMT-sse2.h        |   36 ++
  trunk/src/madplug/SFMT.c             |  589 +++++++++++++++++++++++++++++++++++
  trunk/src/madplug/SFMT.h             |  121 +++++++
  trunk/src/madplug/dither.c           |  104 ------
  trunk/src/madplug/plugin.c           |    4 
  13 files changed, 1175 insertions(+), 95 deletions(-)


2007-04-07 18:06:36 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1970]
  - now wav plugin can handle remaining buffered data at the end of playing.
  - reduce cpu usage significantly.
  - add cleanup code.
  - remove decode_start_mutex and decode_start_cond.
  
  trunk/src/wav/wav-sndfile.c |   69 +++++++++++++++++++-------------------------
  trunk/src/wav/wav-sndfile.h |    1 
  2 files changed, 31 insertions(+), 39 deletions(-)


2007-04-06 19:38:11 +0000  Giacomo Lozito <james@develia.org>
  revision [1968]
  - statusicon: fix preferences window name
  trunk/src/statusicon/si_ui.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-04-06 19:34:10 +0000  Giacomo Lozito <james@develia.org>
  revision [1966]
  - statusicon: invert skip direction in mouse wheel; much better this way
  trunk/src/statusicon/si_ui.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-04-06 18:47:07 +0000  Giacomo Lozito <james@develia.org>
  revision [1964]
  - statusicon: add an option to use mouse wheel to change playing song instead of volume
  trunk/src/statusicon/si.c           |   20 ++++++++++
  trunk/src/statusicon/si_audacious.h |    1 
  trunk/src/statusicon/si_cfg.c       |    7 +++
  trunk/src/statusicon/si_cfg.h       |    4 ++
  trunk/src/statusicon/si_ui.c        |   72 ++++++++++++++++++++++++++++++++----
  5 files changed, 97 insertions(+), 7 deletions(-)


2007-04-06 17:30:17 +0000  Giacomo Lozito <james@develia.org>
  revision [1962]
  - aosd: updated ghosd license
  trunk/src/aosd/ghosd-license |    3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)


2007-04-06 04:12:59 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1960]
  revise reopen output code for #880. time count would be reset if output was closed. so I took two measures for it.
  - 1. time count will be recorded and restored on reopen. this seems to be right way, but it causes a short stoppage of playback.
  - 2. introduce a new plugin option "force_reopen_audio". if this is set to FALSE (default), decoder will not reopen output. this is a bit rude, but does not cause any interruption.
  
  trunk/src/madplug/configure.c |   13 +++++++++++--
  trunk/src/madplug/decoder.c   |   32 +++++++++++++++++++-------------
  trunk/src/madplug/plugin.c    |    3 +++
  trunk/src/madplug/plugin.h    |    1 +
  4 files changed, 34 insertions(+), 15 deletions(-)


2007-04-05 17:47:18 +0000  Giacomo Lozito <james@develia.org>
  revision [1958]
  - statusicon: memorize player windows visibility status between sessions
  trunk/src/statusicon/si.c     |   25 ++++++++++++-------------
  trunk/src/statusicon/si_cfg.c |   17 +++++++++++++++++
  trunk/src/statusicon/si_cfg.h |    3 +++
  3 files changed, 32 insertions(+), 13 deletions(-)


2007-04-04 18:49:12 +0000  Giacomo Lozito <james@develia.org>
  revision [1946]
  - statusicon: smarter show/hide on statusicon click (plugin will now correctly handle the situation where the player window is always hidden and the playlist window should be shown/hidden)
  trunk/src/statusicon/si.c        |   22 ++++++++++++++--------
  trunk/src/statusicon/si_common.h |    2 +-
  2 files changed, 15 insertions(+), 9 deletions(-)


2007-04-04 17:53:50 +0000  Giacomo Lozito <james@develia.org>
  revision [1926]
  - aosd: small changes
  trunk/src/aosd/aosd_ui.c |   10 ++++++----
  1 file changed, 6 insertions(+), 4 deletions(-)


2007-04-04 17:52:15 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1924]
  - patches from upstream TTA author. see http://boards.nenolod.net/viewtopic.php?t=375
  
  trunk/src/tta/aud-tta.c   |    7 +++----
  trunk/src/tta/crc32.h     |    4 ++--
  trunk/src/tta/ttadec.c    |    8 ++++----
  trunk/src/tta/ttadec.h    |    8 +-------
  trunk/src/tta/ttaid3tag.h |    3 +--
  5 files changed, 11 insertions(+), 19 deletions(-)


2007-04-04 14:48:53 +0000  Giacomo Lozito <james@develia.org>
  revision [1922]
  - aosd: added support to detect whether a composite manager is running (either standard with _NET_WM_CM_Sn or xcompmgr)
  trunk/src/aosd/aosd.c        |    1 
  trunk/src/aosd/aosd_cfg.c    |    2 -
  trunk/src/aosd/aosd_common.h |    2 -
  trunk/src/aosd/aosd_osd.c    |   57 ++++++++++++++++++++++++++++++++++--
  trunk/src/aosd/aosd_osd.h    |    3 +
  trunk/src/aosd/aosd_ui.c     |   67 +++++++++++++++++++++++++++++++++++++++++--
  trunk/src/aosd/ghosd.c       |   31 ++++++++++++++++---
  trunk/src/aosd/ghosd.h       |    3 +
  8 files changed, 151 insertions(+), 15 deletions(-)


2007-04-02 20:54:59 +0000  Giacomo Lozito <james@develia.org>
  revision [1920]
  rootvis: do not call cleanup routines if the plugin was not initted
  trunk/src/rootvis/rootvis.c |   17 ++++++++++++-----
  1 file changed, 12 insertions(+), 5 deletions(-)


2007-04-02 17:35:45 +0000  Giacomo Lozito <james@develia.org>
  revision [1918]
  - aosd: added function to detect if a composite manager is active for a certain screen; this is not used for now, cause the _NET_WM_CM_Sn hint is pretty new; it will certainly prove useful at some time
  trunk/src/aosd/ghosd.c |   27 ++++++++++++++++++++++++---
  1 file changed, 24 insertions(+), 3 deletions(-)


2007-04-02 11:03:06 +0000  Giacomo Lozito <james@develia.org>
  revision [1916]
  aosd: added compile option in configure for composite support; this way, if support is compiled in, we can safely check if the composite module is loaded
  trunk/configure.ac        |   24 +++++++++++++++++++++++-
  trunk/mk/rules.mk.in      |    4 ++++
  trunk/src/aosd/Makefile   |    4 ++--
  trunk/src/aosd/aosd_osd.c |   23 ++++++++++++++++++++++-
  trunk/src/aosd/aosd_osd.h |    4 ++++
  trunk/src/aosd/aosd_ui.c  |   23 ++++++++++++++++++++---
  trunk/src/aosd/ghosd.c    |   32 ++++++++++++++++++++++++++++++++
  trunk/src/aosd/ghosd.h    |    7 ++++++-
  8 files changed, 113 insertions(+), 8 deletions(-)


2007-04-01 18:36:52 +0000  Giacomo Lozito <james@develia.org>
  revision [1914]
  aosd: added some more error checking
  trunk/src/aosd/aosd_osd.c |   65 +++++++++++++++++++++++++++++-----------------
  trunk/src/aosd/ghosd.c    |    2 +
  2 files changed, 43 insertions(+), 24 deletions(-)


2007-04-01 00:44:23 +0000  Giacomo Lozito <james@develia.org>
  revision [1912]
  - aosd: beta4, ghosd source was rewritten to support argb visual (x composite extension) as an option, this allows to have real transparency in the OSD
  trunk/src/aosd/aosd.c           |    2 
  trunk/src/aosd/aosd_cfg.c       |   10 ++
  trunk/src/aosd/aosd_cfg.h       |   14 +++
  trunk/src/aosd/aosd_common.h    |    2 
  trunk/src/aosd/aosd_osd.c       |    9 +-
  trunk/src/aosd/aosd_osd.h       |    2 
  trunk/src/aosd/aosd_ui.c        |   72 +++++++++++++++-
  trunk/src/aosd/ghosd-internal.h |    9 ++
  trunk/src/aosd/ghosd-main.c     |    3 
  trunk/src/aosd/ghosd.c          |  176 +++++++++++++++++++++++++++++++++-------
  trunk/src/aosd/ghosd.h          |    4 
  11 files changed, 261 insertions(+), 42 deletions(-)


2007-03-31 13:40:00 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1910]
  - for security reasons, do not try all of the players (only check extension)
  
  trunk/src/adplug/core/adplug.cxx |    2 ++
  1 file changed, 2 insertions(+)


2007-03-30 13:37:26 +0000  Michael Farber <01mf02@gmail.com>
  revision [1908]
  - Added option to save output files to original file directory
  
  
  trunk/src/disk_writer/disk_writer.c |  578 +++++++++++++++++++-----------------
  1 file changed, 314 insertions(+), 264 deletions(-)


2007-03-30 08:52:06 +0000  Giacomo Lozito <james@develia.org>
  revision [1906]
  - flac: when bitrate update is disabled, always display VBR instead of a useless value
  trunk/src/flac/plugin.c |   10 ++++++++--
  1 file changed, 8 insertions(+), 2 deletions(-)


2007-03-29 10:14:36 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [1904]
  Fix MOD title read by not permanently byteswapping the stream in the PSM loader. Patch by Joseph Jezak <josejx@gentoo.org>.
  trunk/src/modplug/load_psm.cxx |   11 ++++++-----
  1 file changed, 6 insertions(+), 5 deletions(-)


2007-03-26 21:44:46 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1902]
  - now do_setpos() takes relative position as the argument and works even if cuesheets are included in large playlist. may close #869.
  - improve handling of end of cue.
  - suppress warnings.
  
  trunk/src/cue/Makefile   |    2 -
  trunk/src/cue/cuesheet.c |   66 +++++++++++++++++++++++++++++++++--------------
  2 files changed, 48 insertions(+), 20 deletions(-)


2007-03-26 08:19:26 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1900]
  - add a starting point for xmms-rootvis port. giacomo will need to 
  finish this up, as my XLib skills are not enough at this time.
  
  trunk/configure.ac                          |   24 +
  trunk/mk/rules.mk.in                        |    2 
  trunk/src/rootvis/Makefile                  |   22 +
  trunk/src/rootvis/config.h                  |   57 +++
  trunk/src/rootvis/config_backend.c          |  172 +++++++++
  trunk/src/rootvis/config_definition.c       |  152 ++++++++
  trunk/src/rootvis/config_frontend.c         |  210 ++++++++++++
  trunk/src/rootvis/config_frontend.h         |   62 +++
  trunk/src/rootvis/config_frontend_widgets.c |  486 ++++++++++++++++++++++++++++
  trunk/src/rootvis/getroot.c                 |  400 +++++++++++++++++++++++
  trunk/src/rootvis/rootvis.c                 |  456 ++++++++++++++++++++++++++
  trunk/src/rootvis/rootvis.h                 |  103 +++++
  12 files changed, 2146 insertions(+)


2007-03-25 16:26:39 +0000  Giacomo Lozito <james@develia.org>
  revision [1898]
  - aosd: use XMapRaised in place of XMapWindow to ensure that the osd window is raised with some window managers
  trunk/src/aosd/ghosd.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-25 06:15:05 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1896]
  - non-utf string had been used for file name in window title of File Info window. patch by M.H.
  - tweak debug printout.
  
  
  trunk/src/madplug/fileinfo.c |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-03-25 00:31:14 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1894]
  - fix validation of mpeg2 files, by ccr.
  
  trunk/src/madplug/plugin.c |   14 ++++++++++----
  1 file changed, 10 insertions(+), 4 deletions(-)


2007-03-24 16:44:44 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1892]
  - small cleanups.
  
  trunk/src/madplug/decoder.c |   36 ++++++++++++++++++++----------------
  1 file changed, 20 insertions(+), 16 deletions(-)


2007-03-24 16:29:41 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1890]
  - now wma can handle wide characters in metadata.
  - wma no longer returns tuple with empty strings. (these should be NULL instead.)
  
  trunk/src/wma/libffwma/asf.c |   24 +++++++++++--------
  trunk/src/wma/wma.c          |   52 +++++++++++++++++++++++--------------------
  2 files changed, 43 insertions(+), 33 deletions(-)


2007-03-24 16:08:58 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1888]
  maintenance of build system:
  - link for OBJECTIVE_LIBS had not occurred even if OBJECTIVE_LIBS_NOINST was re-linked. LIBDEP macro is introduced to indicate dependency.
  - make rules such as $(AR) cq $@ $(OBJECTS) in individual Makefile have been removed. these linkage will be done through objective.mk.
  - *.h has been removed from SOURCES. these files had been passed to linker as object files.
  
  trunk/mk/objective.mk                            |    6 +++---
  trunk/src/aac/libfaad2/Makefile                  |    3 ---
  trunk/src/aac/mp4ff/Makefile                     |    3 ---
  trunk/src/aac/src/Makefile                       |    2 ++
  trunk/src/adplug/Makefile                        |    2 ++
  trunk/src/amidi-plug/Makefile                    |    2 ++
  trunk/src/amidi-plug/backend-alsa/Makefile       |    2 ++
  trunk/src/amidi-plug/backend-dummy/Makefile      |    2 ++
  trunk/src/amidi-plug/backend-fluidsynth/Makefile |    2 ++
  trunk/src/flac/Makefile                          |    2 ++
  trunk/src/flac/libflac/Makefile                  |    3 ---
  trunk/src/flac/plugin_common/Makefile            |    3 ---
  trunk/src/modplug/Makefile                       |    2 ++
  trunk/src/modplug/archive/Makefile               |    3 ---
  trunk/src/modplug/gui/Makefile                   |    3 ---
  trunk/src/paranormal/Makefile                    |    2 ++
  trunk/src/paranormal/libcalc/Makefile            |    3 ---
  trunk/src/rovascope/Makefile                     |    2 ++
  trunk/src/rovascope/libcalc/Makefile             |    2 --
  trunk/src/timidity/libtimidity/Makefile          |    4 ----
  trunk/src/timidity/src/Makefile                  |    2 ++
  trunk/src/wma/Makefile                           |    2 ++
  trunk/src/wma/libffwma/Makefile                  |   15 +++++----------
  23 files changed, 32 insertions(+), 40 deletions(-)


2007-03-23 13:46:04 +0000  Giacomo Lozito <james@develia.org>
  revision [1886]
  - aosd: added an option to enable/disable utf8 text conversion done by the plugin
  trunk/src/aosd/aosd_cfg.c     |   19 +++++++++++++++++--
  trunk/src/aosd/aosd_cfg.h     |    3 ++-
  trunk/src/aosd/aosd_trigger.c |   16 ++++++++++++++--
  trunk/src/aosd/aosd_ui.c      |   26 +++++++++++++++++++++++++-
  4 files changed, 58 insertions(+), 6 deletions(-)


2007-03-23 05:19:41 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1884]
  - initial support for writing relative path.
  
  trunk/src/xspf/xspf.c |  204 +++++++++++++++++++++++++++++++++++++++++++++-----
  1 file changed, 184 insertions(+), 20 deletions(-)


2007-03-23 05:17:15 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1882]
  justify indentation by gnu indent. current state is a mixture of some styles and very hard to maintain. the code is exactly same to previous revision. this is preparation for upcoming commit so that to make taking diff easier.
  
  trunk/src/xspf/xspf.c |  674 ++++++++++++++++++++++++--------------------------
  1 file changed, 333 insertions(+), 341 deletions(-)


2007-03-21 21:14:06 +0000  Giacomo Lozito <james@develia.org>
  revision [1880]
  - aosd: use str_to_utf8 (I'll probably add an option to disable the utf8 conversion attempt as well)
  trunk/src/aosd/aosd_trigger.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-03-21 18:19:49 +0000  Giacomo Lozito <james@develia.org>
  revision [1878]
  - aosd: fixed ugly memleak in ghosd sources
  trunk/src/aosd/ghosd-internal.h |    9 +++++++--
  trunk/src/aosd/ghosd.c          |   21 +++++++++++++++------
  2 files changed, 22 insertions(+), 8 deletions(-)


2007-03-21 14:36:32 +0000  Giacomo Lozito <james@develia.org>
  revision [1876]
  alsa: small changes
  trunk/src/alsa/audio.c |    3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)


2007-03-21 14:24:33 +0000  Giacomo Lozito <james@develia.org>
  revision [1874]
  aosd: use g_locale_to_utf8 for osd strings (needs testing)
  trunk/src/aosd/aosd_trigger.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-03-21 14:15:43 +0000  Giacomo Lozito <james@develia.org>
  revision [1872]
  - statusicon: use function/define names that do not collide with gtk >= 2.10 internals (paranoia)
  trunk/src/statusicon/gtktrayicon-x11.c |  166 ++++++++++++++++-----------------
  trunk/src/statusicon/gtktrayicon.h     |   42 ++++----
  trunk/src/statusicon/si_ui.c           |   12 +-
  3 files changed, 110 insertions(+), 110 deletions(-)


2007-03-21 12:18:25 +0000  Giacomo Lozito <james@develia.org>
  revision [1870]
  - alsa: handle errors on snd_pcm_wait (xrun, supend)
  trunk/src/alsa/audio.c |    7 ++++++-
  1 file changed, 6 insertions(+), 1 deletion(-)


2007-03-21 09:32:49 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1868]
  improve support for static playlist:
  - make use of Playlist.attribute.
  - now xspf plugin is capable of embedding static playlist marker. user can specify at "Save Playlist" dialog.
  - all meaningful mtime value will be preserved even if a playlist file is handled as static playlist.
  
  trunk/src/xspf/xspf.c |   46 +++++++++++++++++++++++++++-------------------
  1 file changed, 27 insertions(+), 19 deletions(-)


2007-03-21 01:55:57 +0000  Giacomo Lozito <james@develia.org>
  revision [1866]
  - aosd: use a single ghosd object for all of the osd showups; this will be a lot gentler to XLib and should definitely help with stability
  trunk/src/aosd/aosd.c         |   11 ++++++----
  trunk/src/aosd/aosd_osd.c     |   45 +++++++++++++++++++++++++++++-------------
  trunk/src/aosd/aosd_osd.h     |    6 +++--
  trunk/src/aosd/aosd_trigger.c |    6 ++---
  trunk/src/aosd/aosd_ui.c      |   14 ++++++++++---
  trunk/src/aosd/ghosd.c        |    1 
  6 files changed, 57 insertions(+), 26 deletions(-)


2007-03-20 21:01:54 +0000  Michael Farber <01mf02@gmail.com>
  revision [1864]
  - integrated SndStretch into build process
  
  
  trunk/configure.ac |    3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)


2007-03-20 19:22:25 +0000  Michael Farber <01mf02@gmail.com>
  revision [1862]
  - Made port of XMMS plugin SndStretch
  
  
  trunk/src/sndstretch/FB_logo.xpm              |  130 ++
  trunk/src/sndstretch/Makefile                 |   15 
  trunk/src/sndstretch/sndstretch.c             | 1298 ++++++++++++++++++++++++++
  trunk/src/sndstretch/sndstretch.h             |  152 +++
  trunk/src/sndstretch/sndstretch_xmms-logo.xpm |   46 
  trunk/src/sndstretch/sndstretch_xmms.c        |  459 +++++++++
  6 files changed, 2100 insertions(+)


2007-03-19 23:49:57 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1860]
  - suppress a warning.
  
  trunk/src/scrobbler/plugin.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-03-19 20:18:28 +0000  Giacomo Lozito <james@develia.org>
  revision [1858]
  alsa output plugin: use snd_pcm_wait in place of raw polls to handle device readyness; this allows to use alsa plugins such as jackplug; requires testing
  trunk/src/alsa/audio.c |   23 +++--------------------
  1 file changed, 3 insertions(+), 20 deletions(-)


2007-03-19 20:15:52 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [1856]
  Goodbye ffmpeg, welcome back WMA.
  trunk/configure.ac                   |   14 
  trunk/src/wma/Makefile               |   18 
  trunk/src/wma/libffwma/Makefile      |   23 
  trunk/src/wma/libffwma/allcodecs.c   |   34 
  trunk/src/wma/libffwma/allformats.c  |   30 
  trunk/src/wma/libffwma/asf.c         | 1008 +++++++++++++++
  trunk/src/wma/libffwma/asfheader.h   |  261 +++
  trunk/src/wma/libffwma/avcodec.h     | 1806 +++++++++++++++++++++++++++
  trunk/src/wma/libffwma/avformat.h    |  632 +++++++++
  trunk/src/wma/libffwma/avi.h         |   43 
  trunk/src/wma/libffwma/avio.c        |  184 ++
  trunk/src/wma/libffwma/avio.h        |  175 ++
  trunk/src/wma/libffwma/aviobuf.c     |  397 ++++++
  trunk/src/wma/libffwma/bswap.h       |  173 ++
  trunk/src/wma/libffwma/common.c      |  311 ++++
  trunk/src/wma/libffwma/common.h      |  941 ++++++++++++++
  trunk/src/wma/libffwma/cutils.c      |  239 +++
  trunk/src/wma/libffwma/cutils.h      |   14 
  trunk/src/wma/libffwma/dsputil.c     |  892 +++++++++++++
  trunk/src/wma/libffwma/dsputil.h     |  512 +++++++
  trunk/src/wma/libffwma/fft.c         |  441 ++++++
  trunk/src/wma/libffwma/file.c        |   91 +
  trunk/src/wma/libffwma/futils.c      | 2310 +++++++++++++++++++++++++++++++++++
  trunk/src/wma/libffwma/mdct.c        |  175 ++
  trunk/src/wma/libffwma/mem.c         |   78 +
  trunk/src/wma/libffwma/os_support.c  |   44 
  trunk/src/wma/libffwma/os_support.h  |   33 
  trunk/src/wma/libffwma/parser.c      |  135 ++
  trunk/src/wma/libffwma/simple_idct.c |  585 ++++++++
  trunk/src/wma/libffwma/simple_idct.h |   36 
  trunk/src/wma/libffwma/uri.c         |  858 +++++++++++++
  trunk/src/wma/libffwma/uri.h         |   92 +
  trunk/src/wma/libffwma/utils.c       |  635 +++++++++
  trunk/src/wma/libffwma/utils.h       |    8 
  trunk/src/wma/libffwma/wmadata.h     | 1412 +++++++++++++++++++++
  trunk/src/wma/libffwma/wmadec.c      | 1337 ++++++++++++++++++++
  trunk/src/wma/wma.c                  |  478 +++++++
  37 files changed, 16448 insertions(+), 7 deletions(-)


2007-03-19 03:24:01 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1854]
  - kill bad .depend file
  
  trunk/src/smb/.depend |  654 --------------------------------------------------
  1 file changed, 654 deletions(-)


2007-03-18 23:21:10 +0000  Giacomo Lozito <james@develia.org>
  revision [1852]
  statusicon: do not behave strangely (or crash) when the plugin is loaded/unloaded multiple times
  trunk/src/statusicon/gtktrayicon-x11.c |   38 ++++++++++++++++++++++++++++++++-
  1 file changed, 37 insertions(+), 1 deletion(-)


2007-03-18 18:13:45 +0000  Giacomo Lozito <james@develia.org>
  revision [1850]
  - aosd: beta3, fixes for handling X display open/close
  trunk/src/aosd/aosd_common.h |    2 +-
  trunk/src/aosd/aosd_osd.c    |    4 +++-
  trunk/src/aosd/ghosd.c       |    1 +
  3 files changed, 5 insertions(+), 2 deletions(-)


2007-03-17 07:58:49 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1848]
  - clear up some configure bugs, pointed out by freebsd port patches
  
  trunk/configure.ac |   18 +++++++++---------
  1 file changed, 9 insertions(+), 9 deletions(-)


2007-03-17 07:30:46 +0000  Daniel Bradshaw <nazca@atheme.org>
  revision [1846]
  - These two lines probably shouldn't be in here as it is doubtful they do anything helpful
  trunk/src/smb/smb.c |    2 --
  1 file changed, 2 deletions(-)


2007-03-17 07:25:24 +0000  Daniel Bradshaw <nazca@atheme.org>
  revision [1844]
  - Slight tweak ... smbc_init returns 0 on sucess, not fail
  trunk/src/smb/smb.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-17 07:07:05 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1842]
  - make this work, i think.
  
  trunk/src/smb/smb.c |   57 ++++++++++++++++++++++++++++------------------------
  1 file changed, 31 insertions(+), 26 deletions(-)


2007-03-17 04:13:22 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1840]
  - in C++, using __null/NULL is improper. 0 should be used instead.
  - guard against double-deletes
  
  trunk/src/adplug/core/rol.cxx |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-03-17 04:08:34 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1838]
  - guard some potentially improper double delete [] usage
  
  trunk/src/adplug/core/a2m.cxx     |   18 ++++++++++++------
  trunk/src/adplug/core/adl.cxx     |    4 ++--
  trunk/src/adplug/core/sng.h       |    4 ++--
  trunk/src/adplug/core/temuopl.cxx |    2 +-
  trunk/src/adplug/core/u6m.cxx     |    4 ++--
  trunk/src/adplug/core/xad.cxx     |    3 +--
  trunk/src/adplug/core/xsm.cxx     |    2 +-
  7 files changed, 21 insertions(+), 16 deletions(-)


2007-03-17 01:58:17 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1836]
  - fix double delete[] possibility.
  
  trunk/src/adplug/core/u6m.cxx |    4 ++--
  trunk/src/adplug/core/u6m.h   |    2 +-
  2 files changed, 3 insertions(+), 3 deletions(-)


2007-03-17 01:58:10 +0000  Giacomo Lozito <james@develia.org>
  revision [1834]
  - last commit wasn't obviously related wit changes here; revert stuff that is still being tested
  trunk/src/ffmpeg/libavformat/utils.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-17 01:47:24 +0000  Giacomo Lozito <james@develia.org>
  revision [1832]
  - prevent skin list overlap when it's first populated and user quickly switchs to other tabs in the prefswin
  trunk/src/ffmpeg/libavformat/utils.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-16 20:41:19 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1830]
  - add slovak translation. closes #854.
  
  trunk/po/LINGUAS |    1 
  trunk/po/sk.po   | 4026 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
  2 files changed, 4027 insertions(+)


2007-03-16 20:05:14 +0000  Giacomo Lozito <james@develia.org>
  revision [1828]
  - ffmpeg: prevent it from crashing when probing remote sources
  trunk/src/ffmpeg/libavformat/aviobuf.c |    3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)


2007-03-16 05:36:55 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1826]
  - add mseek support to wav.c (without libsndfile version) too.
  
  trunk/src/wav/wav.c |   16 ++++++++++++----
  trunk/src/wav/wav.h |    4 +++-
  2 files changed, 15 insertions(+), 5 deletions(-)


2007-03-16 05:09:36 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1824]
  - add mseek support.
  - fix a major bug which consumes CPU time heavily.
  
  trunk/src/wav/Makefile      |    2 +-
  trunk/src/wav/wav-sndfile.c |   38 +++++++++++++++++++++++---------------
  trunk/src/wav/wav-sndfile.h |    2 +-
  3 files changed, 25 insertions(+), 17 deletions(-)


2007-03-15 15:04:47 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1822]
  - refine watchdog thread.
  
  trunk/src/cue/cuesheet.c |   17 +++++++----------
  1 file changed, 7 insertions(+), 10 deletions(-)


2007-03-15 11:43:58 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1820]
  - support "Repeat".
  - fill index of last_cue_tack before activate watchdog thread.
  - improve handling of last track.
  
  trunk/src/cue/cuesheet.c |   39 ++++++++++++++++++++++++---------------
  1 file changed, 24 insertions(+), 15 deletions(-)


2007-03-15 06:50:12 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1818]
  - make use of playlist_set_position() instead of playlist_prev/next(). now cuesheet directly jumps to the objective track.
  - now eof handling code checks output->buffer_playing().
  - revise guard time logic and reduce the amount of time to 500msec.
  
  trunk/src/cue/cuesheet.c |   78 ++++++++++++++++++++++-------------------------
  1 file changed, 37 insertions(+), 41 deletions(-)


2007-03-15 06:34:56 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1816]
  - implement real buffer_free() and buffer_playing().
  - remove unused code.
  - apply cast to (short *) in lame_encode_xx()
  - change version number from 0.2d6 to 0.2.
  
  trunk/src/lame/out_lame.c |   53 +++++++++++++---------------------------------
  1 file changed, 15 insertions(+), 38 deletions(-)


2007-03-14 15:59:50 +0000  Giacomo Lozito <james@develia.org>
  revision [1814]
  statusicon: add missing files
  trunk/src/statusicon/si_cfg.c |   52 ++++++++++++++++++++++++++++++++++++++++++
  trunk/src/statusicon/si_cfg.h |   41 +++++++++++++++++++++++++++++++++
  2 files changed, 93 insertions(+)


2007-03-14 15:58:24 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1812]
  - couldn't disable statusicon.
  
  trunk/configure.ac |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-14 14:50:31 +0000  Giacomo Lozito <james@develia.org>
  revision [1810]
  statusicon: added a open-file item in the small right-click menu
  trunk/src/statusicon/si.c           |    4 ++++
  trunk/src/statusicon/si_audacious.h |    1 +
  trunk/src/statusicon/si_ui.c        |   12 +++++++++++-
  3 files changed, 16 insertions(+), 1 deletion(-)


2007-03-14 14:44:00 +0000  Giacomo Lozito <james@develia.org>
  revision [1808]
  statusicon 0.3: alternative right-click menu with simple playback control commands
  trunk/src/statusicon/Makefile       |    4 
  trunk/src/statusicon/si.c           |   37 +++++++
  trunk/src/statusicon/si.h           |    3 
  trunk/src/statusicon/si_audacious.h |    7 +
  trunk/src/statusicon/si_common.h    |    2 
  trunk/src/statusicon/si_ui.c        |  173 +++++++++++++++++++++++++++++++++++-
  6 files changed, 218 insertions(+), 8 deletions(-)


2007-03-14 13:43:19 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1806]
  - add 1sec guard time after issue of playlist_prev/next.
  - some tweeks on debug printouts.
  
  trunk/src/cue/cuesheet.c |   19 +++++++++++++------
  1 file changed, 13 insertions(+), 6 deletions(-)


2007-03-14 13:07:57 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1804]
  - remove unnecessary sleep code so that out_lame can encode at full speed.
  
  trunk/src/tta/aud-tta.c |   19 +++++++------------
  1 file changed, 7 insertions(+), 12 deletions(-)


2007-03-14 10:16:45 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1802]
  - add support for mseek.
  - fix inaccurate seek position calculation. this bug prevented tta working with cuesheet.
  - move to GThread API and make use of GCond signaling.
  
  trunk/src/tta/aud-tta.c |  188 +++++++++++++++++++++++++++++-------------------
  1 file changed, 117 insertions(+), 71 deletions(-)


2007-03-14 06:26:25 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1800]
  - fix a silly typedef bug.
  
  trunk/src/tta/ttadec.h |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-14 00:17:44 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1798]
  - add missing file, utils.h
  
  trunk/src/ffmpeg/libavcodec/utils.h |    8 ++++++++
  1 file changed, 8 insertions(+)


2007-03-13 16:37:27 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1796]
  - make "stop after current song" work.
  - now cuesheet plugin handles the end of file nicely.
  - improve reliability.
  
  trunk/src/cue/cuesheet.c |  119 +++++++++++++++++++++++++++++++++++++++++------
  1 file changed, 105 insertions(+), 14 deletions(-)


2007-03-13 13:17:24 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1794]
  - if (result >= 0) return the result of ftell, otherwise return -1.
  
  trunk/src/ffmpeg/libavformat/file.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-13 12:21:50 +0000  Daniel Bradshaw <nazca@atheme.org>
  revision [1792]
  - Adjust indenting cause the previous indenting was painful
  trunk/src/smb/smb.c |  179 +++++++++++++++++++++++-----------------------------
  1 file changed, 82 insertions(+), 97 deletions(-)


2007-03-13 12:11:48 +0000  Daniel Bradshaw <nazca@atheme.org>
  revision [1790]
  - Prototype smb:// vfs transport.  Needs testing.
  trunk/src/smb/.depend  |  654 +++++++++++++++++++++++++++++++++++++++++++++++++
  trunk/src/smb/Makefile |   14 +
  trunk/src/smb/smb.c    |  238 +++++++++++++++++
  3 files changed, 906 insertions(+)


2007-03-13 01:53:58 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1788]
  - seek is implemented as it should be, but appears to not work
  
  trunk/src/ffmpeg/TODO     |    1 +
  trunk/src/ffmpeg/ffmpeg.c |    2 +-
  2 files changed, 2 insertions(+), 1 deletion(-)


2007-03-13 01:12:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1786]
  - this shouldn't be called "WMA Player"
  
  trunk/src/ffmpeg/ffmpeg.c |    9 ++++++---
  1 file changed, 6 insertions(+), 3 deletions(-)


2007-03-13 01:07:46 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1784]
  - remove some old wma leftovers
  
  trunk/src/ffmpeg/ffmpeg.c |   57 ----------------------------------------------
  1 file changed, 1 insertion(+), 56 deletions(-)


2007-03-13 00:37:02 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1782]
  - implement shorten support more correctly.
  
  trunk/src/ffmpeg/ffmpeg.c                 |    4 ++--
  trunk/src/ffmpeg/libavformat/allformats.c |    1 +
  trunk/src/ffmpeg/libavformat/raw.c        |    2 ++
  trunk/src/ffmpeg/libavformat/wav.c        |   16 ----------------
  4 files changed, 5 insertions(+), 18 deletions(-)


2007-03-13 00:20:48 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1780]
  - add a TODO for people wanting to play with this
  
  trunk/src/ffmpeg/TODO |    6 ++++++
  1 file changed, 6 insertions(+)


2007-03-13 00:17:39 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1778]
  - remove ffwma
  - remove wma plugin
  - hook up ffmpeg plugin to configure (deprecating wma plugin)
  
  trunk/configure.ac |   14 +++++++-------
  1 file changed, 7 insertions(+), 7 deletions(-)


2007-03-13 00:14:31 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1776]
  - fix crash
  
  trunk/src/ffmpeg/ffmpeg.c |    7 +++++--
  1 file changed, 5 insertions(+), 2 deletions(-)


2007-03-12 23:04:03 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1774]
  - shorten support
  
  trunk/src/ffmpeg/libavformat/allformats.c |    2 ++
  1 file changed, 2 insertions(+)


2007-03-12 23:02:59 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1772]
  - namespace changes
  
  trunk/src/ffmpeg/ffmpeg.c |  182 +++++++++++++++++++++++-----------------------
  1 file changed, 91 insertions(+), 91 deletions(-)


2007-03-12 23:02:16 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1770]
  - working WMA playback. thanks to chainsaw for providing a ton and a half of WMA files.
  
  trunk/src/ffmpeg/ffmpeg.c |   10 +++++-----
  1 file changed, 5 insertions(+), 5 deletions(-)


2007-03-12 22:52:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1768]
  - codec support here too.
  
  trunk/src/ffmpeg/libavcodec/allcodecs.c |   16 ++--------------
  1 file changed, 2 insertions(+), 14 deletions(-)


2007-03-12 22:50:24 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1766]
  - base wma support
  
  trunk/src/ffmpeg/libavformat/allformats.c |  470 ------------------------------
  1 file changed, 470 deletions(-)


2007-03-12 22:43:38 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1764]
  - works
  
  trunk/src/ffmpeg/Makefile              |    1 
  trunk/src/ffmpeg/libavcodec/cabac.c    |  265 ---
  trunk/src/ffmpeg/libavcodec/cabac.h    |  850 ----------
  trunk/src/ffmpeg/libavcodec/dsputil.c  | 2796 +++++++++++++++++++++++++++++++--
  trunk/src/ffmpeg/libavformat/aviobuf.c |    6 
  5 files changed, 2700 insertions(+), 1218 deletions(-)


2007-03-12 22:28:22 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1762]
  - remove more video codecs.
  
  trunk/src/ffmpeg/Makefile            |    3 
  trunk/src/ffmpeg/libavcodec/cscd.c   |  264 ---------
  trunk/src/ffmpeg/libavcodec/lcl.c    |  928 -----------------------------------
  trunk/src/ffmpeg/libavcodec/tscc.c   |  348 -------------
  trunk/src/ffmpeg/libavcodec/utils.c  |    2 
  trunk/src/ffmpeg/libavformat/utils.c |    3 
  6 files changed, 1548 deletions(-)


2007-03-12 22:23:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1760]
  - more symbol cleanups.
  
  trunk/src/ffmpeg/libavcodec/bitstream.c |    8 +----
  trunk/src/ffmpeg/libavcodec/flac.c      |    4 +-
  trunk/src/ffmpeg/libavcodec/shorten.c   |    2 -
  trunk/src/ffmpeg/libavformat/aviobuf.c  |    8 +++++
  trunk/src/ffmpeg/libavformat/dsicin.c   |    2 -
  trunk/src/ffmpeg/libavformat/raw.c      |   50 --------------------------------
  trunk/src/ffmpeg/libavformat/utils.c    |   11 +++++--
  7 files changed, 23 insertions(+), 62 deletions(-)


2007-03-12 22:15:54 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1758]
  - more video demuxing removed
  
  trunk/src/ffmpeg/Makefile               |    5 
  trunk/src/ffmpeg/libavformat/img.c      |  400 -----------------------
  trunk/src/ffmpeg/libavformat/v4l2.c     |  541 --------------------------------
  trunk/src/ffmpeg/libavformat/yuv4mpeg.c |  408 ------------------------
  4 files changed, 1 insertion(+), 1353 deletions(-)


2007-03-12 22:05:25 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1756]
  - more stuff to kill
  
  trunk/src/ffmpeg/Makefile               |    8 
  trunk/src/ffmpeg/libavformat/avidec.c   |  984 ----------------
  trunk/src/ffmpeg/libavformat/avienc.c   |  580 ---------
  trunk/src/ffmpeg/libavformat/aviobuf.c  |  131 ++
  trunk/src/ffmpeg/libavformat/avs.c      |  227 ---
  trunk/src/ffmpeg/libavformat/dv.c       |  451 -------
  trunk/src/ffmpeg/libavformat/dv.h       |   37 
  trunk/src/ffmpeg/libavformat/mov.c      | 1870 --------------------------------
  trunk/src/ffmpeg/libavformat/movenc.c   | 1674 ----------------------------
  trunk/src/ffmpeg/libavformat/rtpproto.c |  303 -----
  trunk/src/ffmpeg/libavformat/voc.c      |  274 ----
  11 files changed, 131 insertions(+), 6408 deletions(-)


2007-03-12 21:49:42 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1754]
  - remove some more stuff
  
  trunk/src/ffmpeg/Makefile                     |    8 
  trunk/src/ffmpeg/libavformat/gxf.c            |  516 ----------------
  trunk/src/ffmpeg/libavformat/gxf.h            |   34 -
  trunk/src/ffmpeg/libavformat/gxfenc.c         |  819 --------------------------
  trunk/src/ffmpeg/libavformat/ogg.c            |  283 --------
  trunk/src/ffmpeg/libavformat/ogg2.c           |  697 ----------------------
  trunk/src/ffmpeg/libavformat/ogg2.h           |   85 --
  trunk/src/ffmpeg/libavformat/oggparseflac.c   |   82 --
  trunk/src/ffmpeg/libavformat/oggparseogm.c    |  166 -----
  trunk/src/ffmpeg/libavformat/oggparsetheora.c |  129 ----
  trunk/src/ffmpeg/libavformat/oggparsevorbis.c |  205 ------
  11 files changed, 3024 deletions(-)


2007-03-12 21:43:32 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1752]
  - start removing demuxers for video and images
  
  trunk/src/ffmpeg/Makefile               |    3 
  trunk/src/ffmpeg/libavcodec/allcodecs.c |  582 --------------------
  trunk/src/ffmpeg/libavformat/gif.c      |  432 ---------------
  trunk/src/ffmpeg/libavformat/jpeg.c     |  240 --------
  trunk/src/ffmpeg/libavformat/png.c      |  889 --------------------------------
  5 files changed, 2146 deletions(-)


2007-03-12 21:37:31 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1750]
  - make this compile again
  
  trunk/src/ffmpeg/Makefile               |   91 +++++++++++++++++++++++++++++--
  trunk/src/ffmpeg/libavformat/Makefile   |   35 ------------
  trunk/src/ffmpeg/libavformat/avformat.h |    6 +-
  trunk/src/ffmpeg/libavformat/grab.c     |    1 
  trunk/src/ffmpeg/libavformat/utils.c    |   93 ++++++++++++++++++++++++++++++++
  trunk/src/ffmpeg/libavutil/common.h     |    2 
  6 files changed, 187 insertions(+), 41 deletions(-)


2007-03-12 21:19:59 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1748]
  - url_fsize support.
  - directly link libavutil to our module
  
  trunk/src/ffmpeg/Makefile              |   17 +++++++++++++++--
  trunk/src/ffmpeg/libavformat/aviobuf.c |   11 +++++++++++
  trunk/src/ffmpeg/libavutil/Makefile    |   15 ---------------
  3 files changed, 26 insertions(+), 17 deletions(-)


2007-03-12 21:12:00 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1746]
  - merge VFS support from wma plugin.
  
  trunk/src/ffmpeg/libavformat/avformat.h |    7 
  trunk/src/ffmpeg/libavformat/avio.c     |  107 ++----
  trunk/src/ffmpeg/libavformat/avio.h     |   52 ---
  trunk/src/ffmpeg/libavformat/aviobuf.c  |  553 ++++----------------------------
  4 files changed, 150 insertions(+), 569 deletions(-)


2007-03-12 21:04:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1744]
  - i don't want to hear about deprecation, thanks.
  
  trunk/src/ffmpeg/libavformat/avformat.h |   22 +++++++++++-----------
  1 file changed, 11 insertions(+), 11 deletions(-)


2007-03-12 21:03:42 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1742]
  - make a dumb makefile for libavcodec so that it can be a make clean target.
  
  trunk/src/ffmpeg/Makefile            |    2 -
  trunk/src/ffmpeg/libavcodec/Makefile |   60 -----------------------------------
  2 files changed, 1 insertion(+), 61 deletions(-)


2007-03-12 21:02:32 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1740]
  - remove more video codecs
  
  trunk/src/ffmpeg/Makefile               |   12 
  trunk/src/ffmpeg/libavcodec/ac3enc.c    | 1557 ------------------
  trunk/src/ffmpeg/libavcodec/dvbsub.c    |  445 -----
  trunk/src/ffmpeg/libavcodec/dvbsubdec.c | 1633 -------------------
  trunk/src/ffmpeg/libavcodec/dvdata.h    | 2724 --------------------------------
  trunk/src/ffmpeg/libavcodec/dvdsub.c    |  477 -----
  trunk/src/ffmpeg/libavcodec/dvdsubenc.c |  247 --
  trunk/src/ffmpeg/libavcodec/faac.c      |  133 -
  trunk/src/ffmpeg/libavcodec/flacenc.c   | 1383 ----------------
  trunk/src/ffmpeg/libavcodec/flicvideo.c |  748 --------
  trunk/src/ffmpeg/libavcodec/msrle.c     |  309 ---
  trunk/src/ffmpeg/libavcodec/msvideo1.c  |  349 ----
  trunk/src/ffmpeg/libavcodec/raw.c       |  206 --
  trunk/src/ffmpeg/libavcodec/utils.c     |  118 +
  trunk/src/ffmpeg/libavformat/Makefile   |    2 
  15 files changed, 104 insertions(+), 10239 deletions(-)


2007-03-12 20:58:35 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1738]
  - don't enforce stupid coding rules on us
  
  trunk/src/ffmpeg/libavutil/internal.h |   14 --------------
  1 file changed, 14 deletions(-)


2007-03-12 20:49:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1736]
  - remove some more stuff
  - build libavcodec directly into the module
  
  trunk/src/ffmpeg/Makefile               |   78 -
  trunk/src/ffmpeg/ffmpeg.c               |   15 
  trunk/src/ffmpeg/libavcodec/avcodec.h   |   14 
  trunk/src/ffmpeg/libavcodec/bmp.c       |  253 ---
  trunk/src/ffmpeg/libavcodec/dct-test.c  |  535 ------
  trunk/src/ffmpeg/libavcodec/dtsdec.c    |  320 ----
  trunk/src/ffmpeg/libavcodec/eval.c      |    8 
  trunk/src/ffmpeg/libavcodec/fft-test.c  |  297 ---
  trunk/src/ffmpeg/libavcodec/gifdec.c    |  500 ------
  trunk/src/ffmpeg/libavcodec/mjpeg.c     | 2464 --------------------------------
  trunk/src/ffmpeg/libavcodec/oggvorbis.c |  381 ----
  trunk/src/ffmpeg/libavcodec/parser.c    |   10 
  trunk/src/ffmpeg/libavcodec/png.c       |  965 ------------
  trunk/src/ffmpeg/libavcodec/utils.c     |   83 -
  trunk/src/ffmpeg/libavformat/utils.c    |    2 
  trunk/src/ffmpeg/libavutil/avutil.h     |    1 
  trunk/src/ffmpeg/libavutil/common.h     |    1 
  17 files changed, 129 insertions(+), 5798 deletions(-)


2007-03-12 20:14:40 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1734]
  - make this compile again
  
  trunk/src/ffmpeg/libavcodec/dsputil.c |    2 
  trunk/src/ffmpeg/libavcodec/dsputil.h |  273 +++++++--
  trunk/src/ffmpeg/libavcodec/parser.c  | 1014 ----------------------------------
  3 files changed, 254 insertions(+), 1035 deletions(-)


2007-03-12 20:11:29 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1732]
  - remove more video stuff, remove vorbis
  
  trunk/src/ffmpeg/libavcodec/Makefile           |   14 
  trunk/src/ffmpeg/libavcodec/error_resilience.c | 1030 -----------
  trunk/src/ffmpeg/libavcodec/eval.c             |    1 
  trunk/src/ffmpeg/libavcodec/parser.c           |    2 
  trunk/src/ffmpeg/libavcodec/pnm.c              |  598 ------
  trunk/src/ffmpeg/libavcodec/qdrw.c             |  160 -
  trunk/src/ffmpeg/libavcodec/ratecontrol.c      |  937 ----------
  trunk/src/ffmpeg/libavcodec/utils.c            |   91 -
  trunk/src/ffmpeg/libavcodec/vorbis.c           | 1814 ---------------------
  trunk/src/ffmpeg/libavcodec/vorbis.h           |   43 
  trunk/src/ffmpeg/libavcodec/vorbis_data.c      | 2155 -------------------------
  trunk/src/ffmpeg/libavcodec/vorbis_enc.c       | 1087 ------------
  12 files changed, 6 insertions(+), 7926 deletions(-)


2007-03-12 20:06:30 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1730]
  - bork bork bork
  
  trunk/src/ffmpeg/libavcodec/4xm.c         |  759 ------
  trunk/src/ffmpeg/libavcodec/8bps.c        |  236 -
  trunk/src/ffmpeg/libavcodec/Makefile      |   24 
  trunk/src/ffmpeg/libavcodec/asv1.c        |  655 -----
  trunk/src/ffmpeg/libavcodec/cavs.c        | 1502 ------------
  trunk/src/ffmpeg/libavcodec/cavsdsp.c     |  546 ----
  trunk/src/ffmpeg/libavcodec/cljr.c        |  158 -
  trunk/src/ffmpeg/libavcodec/cyuv.c        |  190 -
  trunk/src/ffmpeg/libavcodec/dsputil.c     | 3545 ------------------------------
  trunk/src/ffmpeg/libavcodec/dsputil.h     |  273 --
  trunk/src/ffmpeg/libavcodec/dv.c          | 1265 ----------
  trunk/src/ffmpeg/libavcodec/huffyuv.c     | 1290 ----------
  trunk/src/ffmpeg/libavcodec/imgconvert.c  | 2735 -----------------------
  trunk/src/ffmpeg/libavcodec/imgresample.c |  942 -------
  trunk/src/ffmpeg/libavcodec/jfdctfst.c    |  338 --
  trunk/src/ffmpeg/libavcodec/jfdctint.c    |  406 ---
  trunk/src/ffmpeg/libavcodec/jrevdct.c     | 1159 ---------
  trunk/src/ffmpeg/libavcodec/mpegvideo.h   |  943 -------
  trunk/src/ffmpeg/libavcodec/rtjpeg.c      |  164 -
  trunk/src/ffmpeg/libavcodec/targa.c       |  244 --
  trunk/src/ffmpeg/libavcodec/tiff.c        |  432 ---
  trunk/src/ffmpeg/libavcodec/utils.c       | 1206 ++--------
  22 files changed, 412 insertions(+), 18600 deletions(-)


2007-03-12 20:00:06 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1728]
  - make the whole thing compile. runtime linking is another story.
  
  trunk/src/ffmpeg/Makefile                     |    8 
  trunk/src/ffmpeg/ffmpeg.c                     |  478 +
  trunk/src/ffmpeg/libavcodec/Makefile          |   16 
  trunk/src/ffmpeg/libavcodec/mpegvideo.c       | 6881 --------------------------
  trunk/src/ffmpeg/libavcodec/qpeg.c            |  324 -
  trunk/src/ffmpeg/libavcodec/svq1.c            | 1431 -----
  trunk/src/ffmpeg/libavcodec/svq1_cb.h         | 1580 -----
  trunk/src/ffmpeg/libavcodec/svq1_vlc.h        |  281 -
  trunk/src/ffmpeg/libavcodec/svq3.c            | 1014 ---
  trunk/src/ffmpeg/libavcodec/tiertexseqv.c     |  232 
  trunk/src/ffmpeg/libavcodec/truemotion1.c     |  923 ---
  trunk/src/ffmpeg/libavcodec/truemotion1data.h |  829 ---
  trunk/src/ffmpeg/libavcodec/truemotion2.c     |  893 ---
  trunk/src/ffmpeg/libavcodec/ulti.c            |  428 -
  trunk/src/ffmpeg/libavcodec/ulti_cb.h         | 4119 ---------------
  trunk/src/ffmpeg/libavcodec/vc1dsp.c          |  453 -
  trunk/src/ffmpeg/libavcodec/zmbv.c            |  692 --
  trunk/src/ffmpeg/libavformat/Makefile         |   18 
  trunk/src/ffmpeg/libavformat/avformat.h       |    4 
  trunk/src/ffmpeg/libavformat/avisynth.c       |  222 
  trunk/src/ffmpeg/libavformat/dc1394.c         |  193 
  trunk/src/ffmpeg/libavformat/dv1394.c         |  240 
  trunk/src/ffmpeg/libavformat/dv1394.h         |  357 -
  trunk/src/ffmpeg/libavformat/file.c           |    1 
  trunk/src/ffmpeg/libavformat/grab_bktr.c      |  330 -
  trunk/src/ffmpeg/libavformat/rtp.c            |  876 ---
  trunk/src/ffmpeg/libavformat/rtp.h            |  127 
  trunk/src/ffmpeg/libavformat/tcp.c            |  232 
  trunk/src/ffmpeg/libavformat/udp.c            |  504 -
  trunk/src/ffmpeg/wma.c                        |  478 -
  30 files changed, 499 insertions(+), 23665 deletions(-)


2007-03-12 18:47:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1726]
  - remove more video stuff
  
  trunk/src/ffmpeg/libavcodec/Makefile   |   14 
  trunk/src/ffmpeg/libavcodec/mmvideo.c  |  206 -
  trunk/src/ffmpeg/libavcodec/roqvideo.c |  474 ---
  trunk/src/ffmpeg/libavcodec/smacker.c  |  723 -----
  trunk/src/ffmpeg/libavcodec/vc1.c      | 4315 ---------------------------------
  trunk/src/ffmpeg/libavcodec/vcr1.c     |  190 -
  trunk/src/ffmpeg/libavcodec/vmdav.c    |  583 ----
  trunk/src/ffmpeg/libavcodec/vmnc.c     |  525 ----
  8 files changed, 7 insertions(+), 7023 deletions(-)


2007-03-12 18:44:33 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1724]
  - remove a lot of video codecs
  
  trunk/src/ffmpeg/libavcodec/Makefile         |   30 
  trunk/src/ffmpeg/libavcodec/cinepak.c        |  453 --
  trunk/src/ffmpeg/libavcodec/idcinvideo.c     |  272 -
  trunk/src/ffmpeg/libavcodec/indeo2.c         |  221 -
  trunk/src/ffmpeg/libavcodec/indeo2data.h     |  134 
  trunk/src/ffmpeg/libavcodec/indeo3.c         | 1153 ------
  trunk/src/ffmpeg/libavcodec/indeo3data.h     | 2335 -------------
  trunk/src/ffmpeg/libavcodec/interplayvideo.c |  964 -----
  trunk/src/ffmpeg/libavcodec/nuv.c            |  216 -
  trunk/src/ffmpeg/libavcodec/rv10.c           |  803 ----
  trunk/src/ffmpeg/libavcodec/snow.c           | 4682 ---------------------------
  trunk/src/ffmpeg/libavcodec/vp3.c            | 2659 ---------------
  trunk/src/ffmpeg/libavcodec/vp3data.h        | 3178 ------------------
  trunk/src/ffmpeg/libavcodec/vp3dsp.c         |  225 -
  trunk/src/ffmpeg/libavcodec/vp5.c            |  291 -
  trunk/src/ffmpeg/libavcodec/vp56.c           |  665 ---
  trunk/src/ffmpeg/libavcodec/vp56.h           |  250 -
  trunk/src/ffmpeg/libavcodec/vp56data.c       |   67 
  trunk/src/ffmpeg/libavcodec/vp56data.h       |  248 -
  trunk/src/ffmpeg/libavcodec/vp5data.h        |  175 -
  trunk/src/ffmpeg/libavcodec/vp6.c            |  514 --
  trunk/src/ffmpeg/libavcodec/vp6data.h        |  293 -
  trunk/src/ffmpeg/libavcodec/vqavideo.c       |  610 ---
  trunk/src/ffmpeg/libavcodec/xan.c            |  492 --
  trunk/src/ffmpeg/libavcodec/xl.c             |  140 
  trunk/src/ffmpeg/libavcodec/xvmcvideo.c      |  318 -
  26 files changed, 15 insertions(+), 21373 deletions(-)


2007-03-12 18:38:51 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1722]
  - remove h261/h263/h264 stuff
  
  trunk/src/ffmpeg/libavcodec/Makefile   |   10 
  trunk/src/ffmpeg/libavcodec/h261.c     | 1055 ----
  trunk/src/ffmpeg/libavcodec/h261data.h |  157 
  trunk/src/ffmpeg/libavcodec/h263.c     | 6291 -----------------------
  trunk/src/ffmpeg/libavcodec/h263data.h |  308 -
  trunk/src/ffmpeg/libavcodec/h263dec.c  |  913 ---
  trunk/src/ffmpeg/libavcodec/h264.c     | 8655 ---------------------------------
  trunk/src/ffmpeg/libavcodec/h264data.h | 1280 ----
  trunk/src/ffmpeg/libavcodec/h264idct.c |  168 
  9 files changed, 5 insertions(+), 18832 deletions(-)


2007-03-12 18:37:35 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1720]
  - delete a lot of stuff
  
  trunk/src/ffmpeg/libavcodec/Makefile              |   39 
  trunk/src/ffmpeg/libavcodec/a52dec.c              |  257 -
  trunk/src/ffmpeg/libavcodec/ac3dec.c              |  184 -
  trunk/src/ffmpeg/libavcodec/amr.c                 |  666 ----
  trunk/src/ffmpeg/libavcodec/faad.c                |  332 --
  trunk/src/ffmpeg/libavcodec/jpeg_ls.c             |  847 -----
  trunk/src/ffmpeg/libavcodec/libgsm.c              |   97 
  trunk/src/ffmpeg/libavcodec/mdec.c                |  270 -
  trunk/src/ffmpeg/libavcodec/motion_est.c          | 2117 --------------
  trunk/src/ffmpeg/libavcodec/motion_est_template.c | 1104 -------
  trunk/src/ffmpeg/libavcodec/mp3lameaudio.c        |  221 -
  trunk/src/ffmpeg/libavcodec/mpeg12.c              | 3316 ----------------------
  trunk/src/ffmpeg/libavcodec/msmpeg4.c             | 1938 ------------
  trunk/src/ffmpeg/libavcodec/wmv2.c                |  855 -----
  trunk/src/ffmpeg/libavcodec/x264.c                |  295 -
  trunk/src/ffmpeg/libavcodec/xvid_internal.h       |   32 
  trunk/src/ffmpeg/libavcodec/xvid_rc.c             |  148 
  trunk/src/ffmpeg/libavcodec/xvidff.c              |  768 -----
  18 files changed, 19 insertions(+), 13467 deletions(-)


2007-03-12 18:31:14 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1718]
  - make use of new millisecond seek API.
  - watchdog_func has been implemented as a thread. this thread will wake up every 10msec and will check changes of track while playing.
  
  trunk/src/cue/cuesheet.c |  236 ++++++++++++++++++++++++++++++++++++-----------
  1 file changed, 181 insertions(+), 55 deletions(-)


2007-03-12 18:18:54 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1716]
  - add ffmpeg
  
  trunk/src/ffmpeg/libavcodec/4xm.c                            |  759 
  trunk/src/ffmpeg/libavcodec/8bps.c                           |  236 
  trunk/src/ffmpeg/libavcodec/Makefile                         |   69 
  trunk/src/ffmpeg/libavcodec/a52dec.c                         |  257 
  trunk/src/ffmpeg/libavcodec/aasc.c                           |  176 
  trunk/src/ffmpeg/libavcodec/ac3.h                            |   65 
  trunk/src/ffmpeg/libavcodec/ac3dec.c                         |  184 
  trunk/src/ffmpeg/libavcodec/ac3enc.c                         | 1557 +
  trunk/src/ffmpeg/libavcodec/ac3tab.h                         |  205 
  trunk/src/ffmpeg/libavcodec/adpcm.c                          | 1370 +
  trunk/src/ffmpeg/libavcodec/adx.c                            |  412 
  trunk/src/ffmpeg/libavcodec/alac.c                           |  856 +
  trunk/src/ffmpeg/libavcodec/allcodecs.c                      |  867 +
  trunk/src/ffmpeg/libavcodec/alpha/asm.h                      |  191 
  trunk/src/ffmpeg/libavcodec/alpha/dsputil_alpha.c            |  362 
  trunk/src/ffmpeg/libavcodec/alpha/dsputil_alpha_asm.S        |  285 
  trunk/src/ffmpeg/libavcodec/alpha/motion_est_alpha.c         |  345 
  trunk/src/ffmpeg/libavcodec/alpha/motion_est_mvi_asm.S       |  185 
  trunk/src/ffmpeg/libavcodec/alpha/mpegvideo_alpha.c          |  147 
  trunk/src/ffmpeg/libavcodec/alpha/regdef.h                   |   66 
  trunk/src/ffmpeg/libavcodec/alpha/simple_idct_alpha.c        |  308 
  trunk/src/ffmpeg/libavcodec/amr.c                            |  666 
  trunk/src/ffmpeg/libavcodec/apiexample.c                     |  457 
  trunk/src/ffmpeg/libavcodec/armv4l/dsputil_arm.c             |  262 
  trunk/src/ffmpeg/libavcodec/armv4l/dsputil_arm_s.S           |  696 
  trunk/src/ffmpeg/libavcodec/armv4l/dsputil_iwmmxt.c          |  188 
  trunk/src/ffmpeg/libavcodec/armv4l/dsputil_iwmmxt_rnd.h      | 1114 +
  trunk/src/ffmpeg/libavcodec/armv4l/jrevdct_arm.S             |  386 
  trunk/src/ffmpeg/libavcodec/armv4l/mathops.h                 |   49 
  trunk/src/ffmpeg/libavcodec/armv4l/mpegvideo_arm.c           |   33 
  trunk/src/ffmpeg/libavcodec/armv4l/mpegvideo_iwmmxt.c        |  119 
  trunk/src/ffmpeg/libavcodec/armv4l/simple_idct_arm.S         |  487 
  trunk/src/ffmpeg/libavcodec/armv4l/simple_idct_armv5te.S     |  718 
  trunk/src/ffmpeg/libavcodec/asv1.c                           |  655 
  trunk/src/ffmpeg/libavcodec/audioconvert.c                   |   79 
  trunk/src/ffmpeg/libavcodec/avcodec.h                        | 2691 +++
  trunk/src/ffmpeg/libavcodec/avs.c                            |  160 
  trunk/src/ffmpeg/libavcodec/beosthread.c                     |  182 
  trunk/src/ffmpeg/libavcodec/bfin/dsputil_bfin.c              |   55 
  trunk/src/ffmpeg/libavcodec/bitstream.c                      |  254 
  trunk/src/ffmpeg/libavcodec/bitstream.h                      |  956 +
  trunk/src/ffmpeg/libavcodec/bitstream_filter.c               |  143 
  trunk/src/ffmpeg/libavcodec/bmp.c                            |  253 
  trunk/src/ffmpeg/libavcodec/bytestream.h                     |   50 
  trunk/src/ffmpeg/libavcodec/cabac.c                          |  265 
  trunk/src/ffmpeg/libavcodec/cabac.h                          |  850 +
  trunk/src/ffmpeg/libavcodec/cavs.c                           | 1502 +
  trunk/src/ffmpeg/libavcodec/cavsdata.h                       |  641 
  trunk/src/ffmpeg/libavcodec/cavsdsp.c                        |  546 
  trunk/src/ffmpeg/libavcodec/cinepak.c                        |  453 
  trunk/src/ffmpeg/libavcodec/cljr.c                           |  158 
  trunk/src/ffmpeg/libavcodec/cook.c                           | 1312 +
  trunk/src/ffmpeg/libavcodec/cookdata.h                       |  559 
  trunk/src/ffmpeg/libavcodec/cscd.c                           |  264 
  trunk/src/ffmpeg/libavcodec/cyuv.c                           |  190 
  trunk/src/ffmpeg/libavcodec/dct-test.c                       |  535 
  trunk/src/ffmpeg/libavcodec/dpcm.c                           |  335 
  trunk/src/ffmpeg/libavcodec/dsicinav.c                       |  362 
  trunk/src/ffmpeg/libavcodec/dsputil.c                        | 4233 +++++
  trunk/src/ffmpeg/libavcodec/dsputil.h                        |  701 
  trunk/src/ffmpeg/libavcodec/dtsdec.c                         |  320 
  trunk/src/ffmpeg/libavcodec/dv.c                             | 1265 +
  trunk/src/ffmpeg/libavcodec/dvbsub.c                         |  445 
  trunk/src/ffmpeg/libavcodec/dvbsubdec.c                      | 1633 ++
  trunk/src/ffmpeg/libavcodec/dvdata.h                         | 2724 +++
  trunk/src/ffmpeg/libavcodec/dvdsub.c                         |  477 
  trunk/src/ffmpeg/libavcodec/dvdsubenc.c                      |  247 
  trunk/src/ffmpeg/libavcodec/error_resilience.c               | 1030 +
  trunk/src/ffmpeg/libavcodec/eval.c                           |  312 
  trunk/src/ffmpeg/libavcodec/eval.h                           |   42 
  trunk/src/ffmpeg/libavcodec/faac.c                           |  133 
  trunk/src/ffmpeg/libavcodec/faad.c                           |  332 
  trunk/src/ffmpeg/libavcodec/faandct.c                        |  220 
  trunk/src/ffmpeg/libavcodec/faandct.h                        |   33 
  trunk/src/ffmpeg/libavcodec/fdctref.c                        |  158 
  trunk/src/ffmpeg/libavcodec/fft-test.c                       |  297 
  trunk/src/ffmpeg/libavcodec/fft.c                            |  262 
  trunk/src/ffmpeg/libavcodec/ffv1.c                           | 1040 +
  trunk/src/ffmpeg/libavcodec/flac.c                           |  743 
  trunk/src/ffmpeg/libavcodec/flacenc.c                        | 1383 +
  trunk/src/ffmpeg/libavcodec/flashsv.c                        |  276 
  trunk/src/ffmpeg/libavcodec/flicvideo.c                      |  748 
  trunk/src/ffmpeg/libavcodec/fraps.c                          |  250 
  trunk/src/ffmpeg/libavcodec/g726.c                           |  430 
  trunk/src/ffmpeg/libavcodec/gifdec.c                         |  500 
  trunk/src/ffmpeg/libavcodec/golomb.c                         |  156 
  trunk/src/ffmpeg/libavcodec/golomb.h                         |  479 
  trunk/src/ffmpeg/libavcodec/h261.c                           | 1055 +
  trunk/src/ffmpeg/libavcodec/h261data.h                       |  157 
  trunk/src/ffmpeg/libavcodec/h263.c                           | 6291 +++++++
  trunk/src/ffmpeg/libavcodec/h263data.h                       |  308 
  trunk/src/ffmpeg/libavcodec/h263dec.c                        |  913 +
  trunk/src/ffmpeg/libavcodec/h264.c                           | 8655 +++++++++++
  trunk/src/ffmpeg/libavcodec/h264data.h                       | 1280 +
  trunk/src/ffmpeg/libavcodec/h264idct.c                       |  168 
  trunk/src/ffmpeg/libavcodec/huffyuv.c                        | 1290 +
  trunk/src/ffmpeg/libavcodec/i386/cavsdsp_mmx.c               |  518 
  trunk/src/ffmpeg/libavcodec/i386/cputest.c                   |  126 
  trunk/src/ffmpeg/libavcodec/i386/dsputil_h264_template_mmx.c |  326 
  trunk/src/ffmpeg/libavcodec/i386/dsputil_mmx.c               | 3532 ++++
  trunk/src/ffmpeg/libavcodec/i386/dsputil_mmx_avg.h           |  870 +
  trunk/src/ffmpeg/libavcodec/i386/dsputil_mmx_rnd.h           |  592 
  trunk/src/ffmpeg/libavcodec/i386/fdct_mmx.c                  |  566 
  trunk/src/ffmpeg/libavcodec/i386/fft_3dn.c                   |  125 
  trunk/src/ffmpeg/libavcodec/i386/fft_3dn2.c                  |  210 
  trunk/src/ffmpeg/libavcodec/i386/fft_sse.c                   |  247 
  trunk/src/ffmpeg/libavcodec/i386/h264dsp_mmx.c               | 1524 +
  trunk/src/ffmpeg/libavcodec/i386/idct_mmx.c                  |  597 
  trunk/src/ffmpeg/libavcodec/i386/idct_mmx_xvid.c             |  535 
  trunk/src/ffmpeg/libavcodec/i386/mathops.h                   |   41 
  trunk/src/ffmpeg/libavcodec/i386/mmx.h                       |  283 
  trunk/src/ffmpeg/libavcodec/i386/motion_est_mmx.c            |  408 
  trunk/src/ffmpeg/libavcodec/i386/mpegvideo_mmx.c             |  726 
  trunk/src/ffmpeg/libavcodec/i386/mpegvideo_mmx_template.c    |  348 
  trunk/src/ffmpeg/libavcodec/i386/simple_idct_mmx.c           | 1294 +
  trunk/src/ffmpeg/libavcodec/i386/snowdsp_mmx.c               |  921 +
  trunk/src/ffmpeg/libavcodec/i386/vp3dsp_mmx.c                |  324 
  trunk/src/ffmpeg/libavcodec/i386/vp3dsp_sse2.c               |  827 +
  trunk/src/ffmpeg/libavcodec/idcinvideo.c                     |  272 
  trunk/src/ffmpeg/libavcodec/imgconvert.c                     | 2735 +++
  trunk/src/ffmpeg/libavcodec/imgconvert_template.h            |  859 +
  trunk/src/ffmpeg/libavcodec/imgresample.c                    |  942 +
  trunk/src/ffmpeg/libavcodec/indeo2.c                         |  221 
  trunk/src/ffmpeg/libavcodec/indeo2data.h                     |  134 
  trunk/src/ffmpeg/libavcodec/indeo3.c                         | 1153 +
  trunk/src/ffmpeg/libavcodec/indeo3data.h                     | 2335 ++
  trunk/src/ffmpeg/libavcodec/interplayvideo.c                 |  964 +
  trunk/src/ffmpeg/libavcodec/jfdctfst.c                       |  338 
  trunk/src/ffmpeg/libavcodec/jfdctint.c                       |  406 
  trunk/src/ffmpeg/libavcodec/jpeg_ls.c                        |  847 +
  trunk/src/ffmpeg/libavcodec/jrevdct.c                        | 1159 +
  trunk/src/ffmpeg/libavcodec/kmvc.c                           |  417 
  trunk/src/ffmpeg/libavcodec/lcl.c                            |  928 +
  trunk/src/ffmpeg/libavcodec/libgsm.c                         |   97 
  trunk/src/ffmpeg/libavcodec/loco.c                           |  287 
  trunk/src/ffmpeg/libavcodec/lzo.c                            |  226 
  trunk/src/ffmpeg/libavcodec/lzo.h                            |   35 
  trunk/src/ffmpeg/libavcodec/mace.c                           |  456 
  trunk/src/ffmpeg/libavcodec/mathops.h                        |   69 
  trunk/src/ffmpeg/libavcodec/mdct.c                           |  177 
  trunk/src/ffmpeg/libavcodec/mdec.c                           |  270 
  trunk/src/ffmpeg/libavcodec/mjpeg.c                          | 2464 +++
  trunk/src/ffmpeg/libavcodec/mlib/dsputil_mlib.c              |  464 
  trunk/src/ffmpeg/libavcodec/mmvideo.c                        |  206 
  trunk/src/ffmpeg/libavcodec/motion_est.c                     | 2117 ++
  trunk/src/ffmpeg/libavcodec/motion_est_template.c            | 1104 +
  trunk/src/ffmpeg/libavcodec/motion_test.c                    |  159 
  trunk/src/ffmpeg/libavcodec/mp3lameaudio.c                   |  221 
  trunk/src/ffmpeg/libavcodec/mpeg12.c                         | 3316 ++++
  trunk/src/ffmpeg/libavcodec/mpeg12data.h                     |  469 
  trunk/src/ffmpeg/libavcodec/mpeg4data.h                      |  423 
  trunk/src/ffmpeg/libavcodec/mpegaudio.c                      |  801 +
  trunk/src/ffmpeg/libavcodec/mpegaudio.h                      |  106 
  trunk/src/ffmpeg/libavcodec/mpegaudiodec.c                   | 2848 +++
  trunk/src/ffmpeg/libavcodec/mpegaudiodectab.h                |  795 +
  trunk/src/ffmpeg/libavcodec/mpegaudiotab.h                   |  111 
  trunk/src/ffmpeg/libavcodec/mpegvideo.c                      | 6881 ++++++++
  trunk/src/ffmpeg/libavcodec/mpegvideo.h                      |  943 +
  trunk/src/ffmpeg/libavcodec/msmpeg4.c                        | 1938 ++
  trunk/src/ffmpeg/libavcodec/msmpeg4data.h                    | 2028 ++
  trunk/src/ffmpeg/libavcodec/msrle.c                          |  309 
  trunk/src/ffmpeg/libavcodec/msvideo1.c                       |  349 
  trunk/src/ffmpeg/libavcodec/nuv.c                            |  216 
  trunk/src/ffmpeg/libavcodec/oggvorbis.c                      |  381 
  trunk/src/ffmpeg/libavcodec/opt.c                            |  381 
  trunk/src/ffmpeg/libavcodec/opt.h                            |   83 
  trunk/src/ffmpeg/libavcodec/os2thread.c                      |  150 
  trunk/src/ffmpeg/libavcodec/parser.c                         | 1107 +
  trunk/src/ffmpeg/libavcodec/pcm.c                            |  548 
  trunk/src/ffmpeg/libavcodec/png.c                            |  965 +
  trunk/src/ffmpeg/libavcodec/pnm.c                            |  598 
  trunk/src/ffmpeg/libavcodec/ppc/dsputil_altivec.c            | 1591 ++
  trunk/src/ffmpeg/libavcodec/ppc/dsputil_altivec.h            |  106 
  trunk/src/ffmpeg/libavcodec/ppc/dsputil_ppc.c                |  324 
  trunk/src/ffmpeg/libavcodec/ppc/dsputil_ppc.h                |  155 
  trunk/src/ffmpeg/libavcodec/ppc/fdct_altivec.c               |  493 
  trunk/src/ffmpeg/libavcodec/ppc/fft_altivec.c                |  170 
  trunk/src/ffmpeg/libavcodec/ppc/float_altivec.c              |  194 
  trunk/src/ffmpeg/libavcodec/ppc/gcc_fixes.h                  |  119 
  trunk/src/ffmpeg/libavcodec/ppc/gmc_altivec.c                |  146 
  trunk/src/ffmpeg/libavcodec/ppc/h264_altivec.c               |  438 
  trunk/src/ffmpeg/libavcodec/ppc/h264_template_altivec.c      |  719 
  trunk/src/ffmpeg/libavcodec/ppc/idct_altivec.c               |  237 
  trunk/src/ffmpeg/libavcodec/ppc/mathops.h                    |   33 
  trunk/src/ffmpeg/libavcodec/ppc/mpegvideo_altivec.c          |  603 
  trunk/src/ffmpeg/libavcodec/ppc/mpegvideo_ppc.c              |   87 
  trunk/src/ffmpeg/libavcodec/ppc/snow_altivec.c               |  788 +
  trunk/src/ffmpeg/libavcodec/ppc/vc1dsp_altivec.c             |  338 
  trunk/src/ffmpeg/libavcodec/ps2/dsputil_mmi.c                |  163 
  trunk/src/ffmpeg/libavcodec/ps2/idct_mmi.c                   |  363 
  trunk/src/ffmpeg/libavcodec/ps2/mmi.h                        |  172 
  trunk/src/ffmpeg/libavcodec/ps2/mpegvideo_mmi.c              |   89 
  trunk/src/ffmpeg/libavcodec/pthread.c                        |  170 
  trunk/src/ffmpeg/libavcodec/qdm2.c                           | 2042 ++
  trunk/src/ffmpeg/libavcodec/qdm2data.h                       |  530 
  trunk/src/ffmpeg/libavcodec/qdrw.c                           |  160 
  trunk/src/ffmpeg/libavcodec/qpeg.c                           |  324 
  trunk/src/ffmpeg/libavcodec/qtrle.c                          |  630 
  trunk/src/ffmpeg/libavcodec/ra144.c                          |  519 
  trunk/src/ffmpeg/libavcodec/ra144.h                          | 2428 +++
  trunk/src/ffmpeg/libavcodec/ra288.c                          |  258 
  trunk/src/ffmpeg/libavcodec/ra288.h                          |  205 
  trunk/src/ffmpeg/libavcodec/rangecoder.c                     |  181 
  trunk/src/ffmpeg/libavcodec/rangecoder.h                     |  127 
  trunk/src/ffmpeg/libavcodec/ratecontrol.c                    |  937 +
  trunk/src/ffmpeg/libavcodec/ratecontrol.h                    |  100 
  trunk/src/ffmpeg/libavcodec/raw.c                            |  206 
  trunk/src/ffmpeg/libavcodec/resample.c                       |  249 
  trunk/src/ffmpeg/libavcodec/resample2.c                      |  274 
  trunk/src/ffmpeg/libavcodec/roqvideo.c                       |  474 
  trunk/src/ffmpeg/libavcodec/rpza.c                           |  292 
  trunk/src/ffmpeg/libavcodec/rtjpeg.c                         |  164 
  trunk/src/ffmpeg/libavcodec/rtjpeg.h                         |   40 
  trunk/src/ffmpeg/libavcodec/rv10.c                           |  803 +
  trunk/src/ffmpeg/libavcodec/sh4/dsputil_align.c              |  430 
  trunk/src/ffmpeg/libavcodec/sh4/dsputil_sh4.c                |  120 
  trunk/src/ffmpeg/libavcodec/sh4/idct_sh4.c                   |  366 
  trunk/src/ffmpeg/libavcodec/sh4/qpel.c                       | 1667 ++
  trunk/src/ffmpeg/libavcodec/shorten.c                        |  532 
  trunk/src/ffmpeg/libavcodec/simple_idct.c                    |  587 
  trunk/src/ffmpeg/libavcodec/simple_idct.h                    |   38 
  trunk/src/ffmpeg/libavcodec/smacker.c                        |  723 
  trunk/src/ffmpeg/libavcodec/smc.c                            |  493 
  trunk/src/ffmpeg/libavcodec/snow.c                           | 4682 +++++
  trunk/src/ffmpeg/libavcodec/snow.h                           |  176 
  trunk/src/ffmpeg/libavcodec/sonic.c                          |  981 +
  trunk/src/ffmpeg/libavcodec/sp5x.h                           |  332 
  trunk/src/ffmpeg/libavcodec/sparc/dsputil_vis.c              | 4090 +++++
  trunk/src/ffmpeg/libavcodec/sparc/vis.h                      |  327 
  trunk/src/ffmpeg/libavcodec/svq1.c                           | 1431 +
  trunk/src/ffmpeg/libavcodec/svq1_cb.h                        | 1580 ++
  trunk/src/ffmpeg/libavcodec/svq1_vlc.h                       |  281 
  trunk/src/ffmpeg/libavcodec/svq3.c                           | 1014 +
  trunk/src/ffmpeg/libavcodec/swscale.h                        |   66 
  trunk/src/ffmpeg/libavcodec/targa.c                          |  244 
  trunk/src/ffmpeg/libavcodec/tiertexseqv.c                    |  232 
  trunk/src/ffmpeg/libavcodec/tiff.c                           |  432 
  trunk/src/ffmpeg/libavcodec/truemotion1.c                    |  923 +
  trunk/src/ffmpeg/libavcodec/truemotion1data.h                |  829 +
  trunk/src/ffmpeg/libavcodec/truemotion2.c                    |  893 +
  trunk/src/ffmpeg/libavcodec/truespeech.c                     |  381 
  trunk/src/ffmpeg/libavcodec/truespeech_data.h                |  157 
  trunk/src/ffmpeg/libavcodec/tscc.c                           |  348 
  trunk/src/ffmpeg/libavcodec/tta.c                            |  446 
  trunk/src/ffmpeg/libavcodec/ulti.c                           |  428 
  trunk/src/ffmpeg/libavcodec/ulti_cb.h                        | 4119 +++++
  trunk/src/ffmpeg/libavcodec/utils.c                          | 1327 +
  trunk/src/ffmpeg/libavcodec/vc1.c                            | 4315 +++++
  trunk/src/ffmpeg/libavcodec/vc1acdata.h                      |  585 
  trunk/src/ffmpeg/libavcodec/vc1data.h                        |  652 
  trunk/src/ffmpeg/libavcodec/vc1dsp.c                         |  453 
  trunk/src/ffmpeg/libavcodec/vcr1.c                           |  190 
  trunk/src/ffmpeg/libavcodec/vmdav.c                          |  583 
  trunk/src/ffmpeg/libavcodec/vmnc.c                           |  525 
  trunk/src/ffmpeg/libavcodec/vorbis.c                         | 1814 ++
  trunk/src/ffmpeg/libavcodec/vorbis.h                         |   43 
  trunk/src/ffmpeg/libavcodec/vorbis_data.c                    | 2155 ++
  trunk/src/ffmpeg/libavcodec/vorbis_enc.c                     | 1087 +
  trunk/src/ffmpeg/libavcodec/vorbis_enc_data.h                |  498 
  trunk/src/ffmpeg/libavcodec/vp3.c                            | 2659 +++
  trunk/src/ffmpeg/libavcodec/vp3data.h                        | 3178 ++++
  trunk/src/ffmpeg/libavcodec/vp3dsp.c                         |  225 
  trunk/src/ffmpeg/libavcodec/vp5.c                            |  291 
  trunk/src/ffmpeg/libavcodec/vp56.c                           |  665 
  trunk/src/ffmpeg/libavcodec/vp56.h                           |  250 
  trunk/src/ffmpeg/libavcodec/vp56data.c                       |   67 
  trunk/src/ffmpeg/libavcodec/vp56data.h                       |  248 
  trunk/src/ffmpeg/libavcodec/vp5data.h                        |  175 
  trunk/src/ffmpeg/libavcodec/vp6.c                            |  514 
  trunk/src/ffmpeg/libavcodec/vp6data.h                        |  293 
  trunk/src/ffmpeg/libavcodec/vqavideo.c                       |  610 
  trunk/src/ffmpeg/libavcodec/w32thread.c                      |  136 
  trunk/src/ffmpeg/libavcodec/wavpack.c                        |  556 
  trunk/src/ffmpeg/libavcodec/wmadata.h                        | 1433 +
  trunk/src/ffmpeg/libavcodec/wmadec.c                         | 1337 +
  trunk/src/ffmpeg/libavcodec/wmv2.c                           |  855 +
  trunk/src/ffmpeg/libavcodec/wnv1.c                           |  146 
  trunk/src/ffmpeg/libavcodec/ws-snd1.c                        |  144 
  trunk/src/ffmpeg/libavcodec/x264.c                           |  295 
  trunk/src/ffmpeg/libavcodec/xan.c                            |  492 
  trunk/src/ffmpeg/libavcodec/xl.c                             |  140 
  trunk/src/ffmpeg/libavcodec/xvid_internal.h                  |   32 
  trunk/src/ffmpeg/libavcodec/xvid_rc.c                        |  148 
  trunk/src/ffmpeg/libavcodec/xvidff.c                         |  768 
  trunk/src/ffmpeg/libavcodec/xvmcvideo.c                      |  318 
  trunk/src/ffmpeg/libavcodec/zmbv.c                           |  692 
  trunk/src/ffmpeg/libavformat/4xm.c                           |  331 
  trunk/src/ffmpeg/libavformat/Makefile                        |   39 
  trunk/src/ffmpeg/libavformat/adtsenc.c                       |  123 
  trunk/src/ffmpeg/libavformat/aiff.c                          |  436 
  trunk/src/ffmpeg/libavformat/allformats.c                    |  513 
  trunk/src/ffmpeg/libavformat/allformats.h                    |  190 
  trunk/src/ffmpeg/libavformat/amr.c                           |  201 
  trunk/src/ffmpeg/libavformat/asf-enc.c                       |  866 +
  trunk/src/ffmpeg/libavformat/asf.c                           |  953 +
  trunk/src/ffmpeg/libavformat/asf.h                           |  285 
  trunk/src/ffmpeg/libavformat/au.c                            |  209 
  trunk/src/ffmpeg/libavformat/audio.c                         |  352 
  trunk/src/ffmpeg/libavformat/avformat.h                      |  578 
  trunk/src/ffmpeg/libavformat/avi.h                           |   39 
  trunk/src/ffmpeg/libavformat/avidec.c                        |  984 +
  trunk/src/ffmpeg/libavformat/avienc.c                        |  580 
  trunk/src/ffmpeg/libavformat/avio.c                          |  192 
  trunk/src/ffmpeg/libavformat/avio.h                          |  201 
  trunk/src/ffmpeg/libavformat/aviobuf.c                       |  788 +
  trunk/src/ffmpeg/libavformat/avisynth.c                      |  222 
  trunk/src/ffmpeg/libavformat/avs.c                           |  227 
  trunk/src/ffmpeg/libavformat/barpainet.c                     |   44 
  trunk/src/ffmpeg/libavformat/barpainet.h                     |   45 
  trunk/src/ffmpeg/libavformat/beosaudio.cpp                   |  465 
  trunk/src/ffmpeg/libavformat/crc.c                           |   98 
  trunk/src/ffmpeg/libavformat/cutils.c                        |  275 
  trunk/src/ffmpeg/libavformat/daud.c                          |   58 
  trunk/src/ffmpeg/libavformat/dc1394.c                        |  193 
  trunk/src/ffmpeg/libavformat/dsicin.c                        |  224 
  trunk/src/ffmpeg/libavformat/dv.c                            |  451 
  trunk/src/ffmpeg/libavformat/dv.h                            |   37 
  trunk/src/ffmpeg/libavformat/dv1394.c                        |  240 
  trunk/src/ffmpeg/libavformat/dv1394.h                        |  357 
  trunk/src/ffmpeg/libavformat/dvenc.c                         |  413 
  trunk/src/ffmpeg/libavformat/electronicarts.c                |  291 
  trunk/src/ffmpeg/libavformat/ffm.c                           |  792 +
  trunk/src/ffmpeg/libavformat/file.c                          |   91 
  trunk/src/ffmpeg/libavformat/flic.c                          |  221 
  trunk/src/ffmpeg/libavformat/flvdec.c                        |  248 
  trunk/src/ffmpeg/libavformat/flvenc.c                        |  284 
  trunk/src/ffmpeg/libavformat/framehook.c                     |  121 
  trunk/src/ffmpeg/libavformat/framehook.h                     |   50 
  trunk/src/ffmpeg/libavformat/gif.c                           |  432 
  trunk/src/ffmpeg/libavformat/gifdec.c                        |  644 
  trunk/src/ffmpeg/libavformat/grab.c                          |  860 +
  trunk/src/ffmpeg/libavformat/grab_bktr.c                     |  330 
  trunk/src/ffmpeg/libavformat/gxf.c                           |  516 
  trunk/src/ffmpeg/libavformat/gxf.h                           |   34 
  trunk/src/ffmpeg/libavformat/gxfenc.c                        |  819 +
  trunk/src/ffmpeg/libavformat/idcin.c                         |  301 
  trunk/src/ffmpeg/libavformat/idroq.c                         |  291 
  trunk/src/ffmpeg/libavformat/img.c                           |  400 
  trunk/src/ffmpeg/libavformat/img2.c                          |  423 
  trunk/src/ffmpeg/libavformat/ipmovie.c                       |  625 
  trunk/src/ffmpeg/libavformat/isom.c                          |  131 
  trunk/src/ffmpeg/libavformat/isom.h                          |   38 
  trunk/src/ffmpeg/libavformat/jpeg.c                          |  240 
  trunk/src/ffmpeg/libavformat/matroska.c                      | 2648 +++
  trunk/src/ffmpeg/libavformat/mm.c                            |  212 
  trunk/src/ffmpeg/libavformat/mmf.c                           |  331 
  trunk/src/ffmpeg/libavformat/mov.c                           | 1870 ++
  trunk/src/ffmpeg/libavformat/movenc.c                        | 1674 ++
  trunk/src/ffmpeg/libavformat/mp3.c                           |  430 
  trunk/src/ffmpeg/libavformat/mpeg.c                          | 1824 ++
  trunk/src/ffmpeg/libavformat/mpegts.c                        | 1527 +
  trunk/src/ffmpeg/libavformat/mpegts.h                        |   63 
  trunk/src/ffmpeg/libavformat/mpegtsenc.c                     |  676 
  trunk/src/ffmpeg/libavformat/mpjpeg.c                        |   67 
  trunk/src/ffmpeg/libavformat/mtv.c                           |  186 
  trunk/src/ffmpeg/libavformat/mxf.c                           | 1078 +
  trunk/src/ffmpeg/libavformat/nsvdec.c                        |  756 
  trunk/src/ffmpeg/libavformat/nut.c                           | 1457 +
  trunk/src/ffmpeg/libavformat/nuv.c                           |  241 
  trunk/src/ffmpeg/libavformat/ogg.c                           |  283 
  trunk/src/ffmpeg/libavformat/ogg2.c                          |  697 
  trunk/src/ffmpeg/libavformat/ogg2.h                          |   85 
  trunk/src/ffmpeg/libavformat/oggparseflac.c                  |   82 
  trunk/src/ffmpeg/libavformat/oggparseogm.c                   |  166 
  trunk/src/ffmpeg/libavformat/oggparsetheora.c                |  129 
  trunk/src/ffmpeg/libavformat/oggparsevorbis.c                |  205 
  trunk/src/ffmpeg/libavformat/os_support.c                    |   69 
  trunk/src/ffmpeg/libavformat/os_support.h                    |   53 
  trunk/src/ffmpeg/libavformat/png.c                           |  889 +
  trunk/src/ffmpeg/libavformat/pnm.c                           |  478 
  trunk/src/ffmpeg/libavformat/psxstr.c                        |  364 
  trunk/src/ffmpeg/libavformat/qtpalette.h                     |  295 
  trunk/src/ffmpeg/libavformat/raw.c                           |  813 +
  trunk/src/ffmpeg/libavformat/riff.c                          |  470 
  trunk/src/ffmpeg/libavformat/riff.h                          |   51 
  trunk/src/ffmpeg/libavformat/rm.c                            | 1146 +
  trunk/src/ffmpeg/libavformat/rtp.c                           |  876 +
  trunk/src/ffmpeg/libavformat/rtp.h                           |  127 
  trunk/src/ffmpeg/libavformat/rtpproto.c                      |  303 
  trunk/src/ffmpeg/libavformat/segafilm.c                      |  310 
  trunk/src/ffmpeg/libavformat/sgi.c                           |  460 
  trunk/src/ffmpeg/libavformat/sierravmd.c                     |  332 
  trunk/src/ffmpeg/libavformat/smacker.c                       |  345 
  trunk/src/ffmpeg/libavformat/sol.c                           |  160 
  trunk/src/ffmpeg/libavformat/swf.c                           |  941 +
  trunk/src/ffmpeg/libavformat/tcp.c                           |  232 
  trunk/src/ffmpeg/libavformat/tiertexseq.c                    |  310 
  trunk/src/ffmpeg/libavformat/tta.c                           |  152 
  trunk/src/ffmpeg/libavformat/udp.c                           |  504 
  trunk/src/ffmpeg/libavformat/utils.c                         | 3184 ++++
  trunk/src/ffmpeg/libavformat/v4l2.c                          |  541 
  trunk/src/ffmpeg/libavformat/voc.c                           |  274 
  trunk/src/ffmpeg/libavformat/voc.h                           |   34 
  trunk/src/ffmpeg/libavformat/wav.c                           |  253 
  trunk/src/ffmpeg/libavformat/wc3movie.c                      |  394 
  trunk/src/ffmpeg/libavformat/westwood.c                      |  383 
  trunk/src/ffmpeg/libavformat/wv.c                            |  202 
  trunk/src/ffmpeg/libavformat/yuv.c                           |  161 
  trunk/src/ffmpeg/libavformat/yuv4mpeg.c                      |  408 
  trunk/src/ffmpeg/libavutil/Makefile                          |   18 
  trunk/src/ffmpeg/libavutil/adler32.c                         |   71 
  trunk/src/ffmpeg/libavutil/adler32.h                         |   27 
  trunk/src/ffmpeg/libavutil/avutil.h                          |  133 
  trunk/src/ffmpeg/libavutil/bswap.h                           |  175 
  trunk/src/ffmpeg/libavutil/common.h                          |  418 
  trunk/src/ffmpeg/libavutil/crc.c                             |  104 
  trunk/src/ffmpeg/libavutil/crc.h                             |   35 
  trunk/src/ffmpeg/libavutil/fifo.c                            |  137 
  trunk/src/ffmpeg/libavutil/fifo.h                            |   25 
  trunk/src/ffmpeg/libavutil/integer.c                         |  222 
  trunk/src/ffmpeg/libavutil/integer.h                         |   49 
  trunk/src/ffmpeg/libavutil/internal.h                        |  237 
  trunk/src/ffmpeg/libavutil/intfloat_readwrite.c              |   97 
  trunk/src/ffmpeg/libavutil/intfloat_readwrite.h              |   39 
  trunk/src/ffmpeg/libavutil/lls.c                             |  151 
  trunk/src/ffmpeg/libavutil/lls.h                             |   45 
  trunk/src/ffmpeg/libavutil/log.c                             |   82 
  trunk/src/ffmpeg/libavutil/log.h                             |   62 
  trunk/src/ffmpeg/libavutil/mathematics.c                     |  139 
  trunk/src/ffmpeg/libavutil/mathematics.h                     |   51 
  trunk/src/ffmpeg/libavutil/md5.c                             |  186 
  trunk/src/ffmpeg/libavutil/md5.h                             |   34 
  trunk/src/ffmpeg/libavutil/mem.c                             |  171 
  trunk/src/ffmpeg/libavutil/rational.c                        |  111 
  trunk/src/ffmpeg/libavutil/rational.h                        |   71 
  trunk/src/ffmpeg/libavutil/softfloat.c                       |   72 
  trunk/src/ffmpeg/libavutil/softfloat.h                       |  122 
  trunk/src/ffmpeg/libavutil/x86_cpu.h                         |   60 
  428 files changed, 264680 insertions(+)


2007-03-12 18:03:24 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1714]
  - make use of new millisecond seek API.
  
  trunk/src/madplug/decoder.c |   20 ++++++++------------
  trunk/src/madplug/plugin.c  |   11 ++++++++---
  trunk/src/madplug/plugin.h  |    2 +-
  3 files changed, 17 insertions(+), 16 deletions(-)


2007-03-12 17:59:21 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1712]
  - fork wma plugin
  
  0 files changed


2007-03-12 16:12:26 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1708]
  - should check data != NULL before clear data->playing.
  
  trunk/src/cue/cuesheet.c |    3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)


2007-03-12 15:52:04 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1706]
  - need to clear data->playing when stopped.
  
  trunk/src/cue/cuesheet.c |    2 ++
  1 file changed, 2 insertions(+)


2007-03-12 09:08:26 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1704]
  - performer and title of each track should be NULL after freed.
  
  trunk/src/cue/cuesheet.c |    2 ++
  1 file changed, 2 insertions(+)


2007-03-12 06:39:38 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1702]
  - add cleanup code.
  
  trunk/src/madplug/plugin.c |    7 +++++++
  1 file changed, 7 insertions(+)


2007-03-11 17:09:52 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1700]
  - implement stricter detection rules for MP3. patch by Matti Hamalainen (ccr).
  
  trunk/src/madplug/plugin.c |  118 ++++++++++++++++++++++++++++++++++++---------
  1 file changed, 95 insertions(+), 23 deletions(-)


2007-03-11 13:31:32 +0000  Giacomo Lozito <james@develia.org>
  revision [1698]
  amidi-plug: changed VERSION to AMIDIPLUG_VERSION in fluidsynth backend; not that trivial, but this is how it's supposed to be
  trunk/src/amidi-plug/backend-fluidsynth/b-fluidsynth.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-10 06:47:38 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1696]
  - convert filename into utf8 in debug messages.
  
  trunk/src/madplug/fileinfo.c   |    6 +++++-
  trunk/src/madplug/input.c      |    4 +++-
  trunk/src/madplug/plugin.c     |   22 +++++++++++++++++-----
  trunk/src/madplug/replaygain.c |    4 +++-
  4 files changed, 28 insertions(+), 8 deletions(-)


2007-03-09 20:42:48 +0000  Giacomo Lozito <james@develia.org>
  revision [1694]
  - amidi-plug: change version number to reflect the code differences between audacious version and stand-alone version
  trunk/src/amidi-plug/i_common.h |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-08 17:24:04 +0000  Giacomo Lozito <james@develia.org>
  revision [1692]
  - madplug: do not call set_info repeatedly in input_process_remote_metadata, only call it when the built title string actually differs from the previous one
  trunk/src/madplug/input.c  |   19 ++++++++++++++++---
  trunk/src/madplug/plugin.h |    1 +
  2 files changed, 17 insertions(+), 3 deletions(-)


2007-03-08 12:20:23 +0000  Giacomo Lozito <james@develia.org>
  revision [1690]
  statusicon: improvements in title changes detection while the popup is being displayed
  trunk/src/statusicon/si_ui.c |   17 ++++++++++++++---
  1 file changed, 14 insertions(+), 3 deletions(-)


2007-03-08 00:45:38 +0000  Giacomo Lozito <james@develia.org>
  revision [1688]
  - statusicon: re-display statusicon popup with updated information when song (or title) changes, closes bug #846
  trunk/src/statusicon/si.c        |    4 
  trunk/src/statusicon/si_common.h |    2 
  trunk/src/statusicon/si_ui.c     |  182 ++++++++++++++++++++++++++++-----------
  3 files changed, 135 insertions(+), 53 deletions(-)


2007-03-07 14:49:54 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1686]
  - same sanity check on rarely executed part.
  
  trunk/src/madplug/decoder.c |   12 +++++++++++-
  1 file changed, 11 insertions(+), 1 deletion(-)


2007-03-07 14:16:04 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1684]
  - add sanity check for open audio parameters.
  
  trunk/src/madplug/decoder.c |   12 +++++++++++-
  1 file changed, 11 insertions(+), 1 deletion(-)


2007-03-07 13:36:20 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1682]
  - I was noticed vfs_fread check still causes problem. disable for now.
  
  trunk/src/madplug/decoder.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-03-07 13:08:55 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1680]
  - only perform vfs fseek against info::infile if it is available.
  
  trunk/src/madplug/input.c |    8 +++++---
  1 file changed, 5 insertions(+), 3 deletions(-)


2007-03-07 08:53:24 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1678]
  - translate curl error number into corresponding error message. patch by Joker.
  
  trunk/src/curl/curl.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-07 06:08:18 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1676]
  revising vfs_fread() check code.
  - check vfs handle code has been restored to original position.
  - accidentally removed substitution to ret has been restored.
  - in audmad_is_our_fd(), check code just puts log message instead of return. please let me know if log message would be put upon proper mp3 file.
  - in scan_file(), check code returns if vfs_fread() fails. this fixes open audio with bogus parameters problem.
  
  trunk/src/madplug/decoder.c |    6 ++----
  trunk/src/madplug/input.c   |    5 ++---
  trunk/src/madplug/plugin.c  |   25 +++++++++++++++----------
  3 files changed, 19 insertions(+), 17 deletions(-)


2007-03-06 23:43:15 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1674]
  - revert r1664 as it breaks too much
  
  trunk/src/madplug/decoder.c |    4 ++--
  trunk/src/madplug/input.c   |    5 +++--
  trunk/src/madplug/plugin.c  |   17 ++++++++---------
  3 files changed, 13 insertions(+), 13 deletions(-)


2007-03-06 14:53:31 +0000  Giacomo Lozito <james@develia.org>
  revision [1672]
  aosd: do not use str_to_utf8
  trunk/src/aosd/aosd_common.h  |    2 +-
  trunk/src/aosd/aosd_trigger.c |    4 ++--
  2 files changed, 3 insertions(+), 3 deletions(-)


2007-03-06 13:17:29 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1670]
  - avoid crash when error message doesn't contain <TITLE>.
  
  trunk/src/scrobbler/gerpok.c    |   13 ++++++++-----
  trunk/src/scrobbler/hatena.c    |   13 ++++++++-----
  trunk/src/scrobbler/scrobbler.c |   13 ++++++++-----
  3 files changed, 24 insertions(+), 15 deletions(-)


2007-03-06 12:44:26 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1668]
  - don't use a vfs buffered source for local files
  
  trunk/src/aac/src/libmp4.c |    6 +++++-
  1 file changed, 5 insertions(+), 1 deletion(-)


2007-03-06 09:12:16 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1666]
  - fix read_replaygain(). necessary fseek was missing in reuse fd code. closes #843.
  - minor cleanups.
  
  trunk/src/madplug/decoder.c    |    4 +++-
  trunk/src/madplug/input.c      |    2 +-
  trunk/src/madplug/replaygain.c |   18 +++++++-----------
  3 files changed, 11 insertions(+), 13 deletions(-)


2007-03-05 08:48:01 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1664]
  - check the result of vfs_fread() strictly.
  
  trunk/src/madplug/decoder.c |    4 ++--
  trunk/src/madplug/input.c   |    5 ++---
  trunk/src/madplug/plugin.c  |   17 +++++++++--------
  3 files changed, 13 insertions(+), 13 deletions(-)


2007-03-05 08:28:52 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1662]
  - reject files which use Ogg container magic
  
  trunk/src/madplug/plugin.c |    2 ++
  1 file changed, 2 insertions(+)


2007-03-05 01:32:01 +0000  Giacomo Lozito <james@develia.org>
  revision [1660]
  - aosd: remove no-longer-needed inclusion of pthread.h from aosd_osd.c
  trunk/src/aosd/aosd_osd.c |    1 -
  1 file changed, 1 deletion(-)


2007-03-05 00:45:52 +0000  Giacomo Lozito <james@develia.org>
  revision [1658]
  - aosd: experimental single-threaded osd; now the osd works in the same thread of the player, thus issues related to cairo and pango hopefully should go away; further testing on different system is required
  trunk/src/aosd/aosd_osd.c |  399 +++++++++++++++++++++++++---------------------
  1 file changed, 223 insertions(+), 176 deletions(-)


2007-03-04 09:50:27 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1656]
  - fix for missing ordinals, closes #830.
  
  trunk/src/flac/plugin_common/Makefile |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-04 06:55:57 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1654]
  - hide seek bar for unseekable (info->size = 0) stream.
  
  trunk/src/madplug/decoder.c |   11 +++++++----
  1 file changed, 7 insertions(+), 4 deletions(-)


2007-03-04 03:27:40 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1652]
  - ishttp() should check string is not NULL. closes #832.
  
  trunk/src/scrobbler/plugin.c |    1 +
  1 file changed, 1 insertion(+)


2007-03-04 01:36:01 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1650]
  - by unknown reason, http connection via proxy server needs a transfer stop after tag retrieving.
  
  trunk/src/madplug/input.c |    9 ++++++++-
  1 file changed, 8 insertions(+), 1 deletion(-)


2007-03-03 13:55:23 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1648]
  - with fixed curl, read id3 tag over network works now.
  
  trunk/src/madplug/input.c |   10 +++-------
  1 file changed, 3 insertions(+), 7 deletions(-)


2007-03-03 13:34:23 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1646]
  - fread() should return number of items.
  
  trunk/src/curl/curl.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-03 04:28:55 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1644]
  - reduce connection latency to http stream.
  - remove unnecessary functions.
  - remove redundant dialog which had been shown when madplug failed to open audio output.
  - some cleanups.
  
  trunk/src/madplug/decoder.c    |   51 +++++++---
  trunk/src/madplug/input.c      |   73 ++++++++++-----
  trunk/src/madplug/plugin.c     |  195 ++++++++++++++---------------------------
  trunk/src/madplug/plugin.h     |   16 +--
  trunk/src/madplug/replaygain.c |   28 ++++-
  trunk/src/madplug/replaygain.h |    2 
  6 files changed, 188 insertions(+), 177 deletions(-)


2007-03-03 04:17:50 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1642]
  - include strings.h
  
  trunk/src/vorbis/vorbis.c |    1 +
  1 file changed, 1 insertion(+)


2007-03-02 17:36:54 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1640]
  - some UI improvements from ccr.
  
  trunk/src/sid/xmms-sid.c     |    1 +
  trunk/src/sid/xmms-sid.glade |    3 +++
  trunk/src/sid/xs_interface.c |    3 +++
  3 files changed, 7 insertions(+)


2007-03-02 16:30:36 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1638]
  - audacious-plugins 1.3.0 release.
  
  trunk/NEWS |    6 ++++++
  1 file changed, 6 insertions(+)


2007-03-02 09:45:57 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1636]
  - disable debugging notices.
  
  trunk/src/sid/xmms-sid.h |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-02 08:14:11 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1634]
  - remote metadata handling is moved into input_process_remote_metadata(). this function converts string into utf-8 if necessary (mainly for zina).
  - revise seekable determination logic. duration may be negative value (zina..).
  - if remote url is passed, scan_file() will use fast scan method irrespective of preference value.
  - scattered http:// matching codes are aggregate into audmad_is_remote().
  - some cleanups.
  
  trunk/src/madplug/decoder.c  |    1 
  trunk/src/madplug/fileinfo.c |    4 -
  trunk/src/madplug/input.c    |  111 ++++++++++++++++++++-----------------------
  trunk/src/madplug/plugin.c   |   58 ++++++++++++++--------
  trunk/src/madplug/plugin.h   |    4 -
  5 files changed, 96 insertions(+), 82 deletions(-)


2007-03-02 04:09:48 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1632]
  - try to use str_to_utf8() to fill up tuple. we discovered that indecent ogg stream sends non-utf8 metadata.
  
  trunk/src/vorbis/vorbis.c |   12 ++++++------
  1 file changed, 6 insertions(+), 6 deletions(-)


2007-03-02 02:22:51 +0000  Giacomo Lozito <james@develia.org>
  revision [1630]
  - extra check with g_utf8_validate to avoid the osd crash when a non-utf8 string survives the str_to_utf8 conversion
  trunk/src/aosd/aosd_trigger.c |   22 ++++++++++++++--------
  1 file changed, 14 insertions(+), 8 deletions(-)


2007-03-01 14:31:20 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1628]
  - determine whether stream is seekable or not by checking duration. it is safe to use with proxy.
  
  trunk/src/madplug/input.c  |   14 +++++++++++---
  trunk/src/madplug/plugin.c |    2 +-
  2 files changed, 12 insertions(+), 4 deletions(-)


2007-03-01 12:33:43 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1626]
  - revert r1624 due to the fact that it breaks
  
  trunk/src/curl/curl.c |  134 ++++++++++++++------------------------------------
  1 file changed, 39 insertions(+), 95 deletions(-)


2007-03-01 07:01:41 +0000  Daniel Barkalow <barkalow@iabervon.org>
  revision [1624]
  Add support for resuming lost connections.
  
  trunk/src/curl/curl.c |  134 +++++++++++++++++++++++++++++++++++---------------
  1 file changed, 95 insertions(+), 39 deletions(-)


2007-03-01 05:16:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1622]
  - enable seeking on HTTP streams.
  
  trunk/src/madplug/decoder.c |    2 +-
  trunk/src/madplug/plugin.c  |    1 -
  2 files changed, 1 insertion(+), 2 deletions(-)


2007-03-01 05:02:06 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1620]
  - support id3 reading of static files
  
  trunk/src/madplug/plugin.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-03-01 03:48:28 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1618]
  - add tuple building for ADTS/Shoutcast streams
  
  trunk/src/aac/src/libmp4.c |   23 ++++++++++++++++++++++-
  1 file changed, 22 insertions(+), 1 deletion(-)


2007-03-01 03:26:41 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1616]
  - when shifting the ringbuffer to left by one byte to regain alignment, 
    make sure that buffervalid is decremented.
  
  trunk/src/aac/src/libmp4.c |    1 +
  1 file changed, 1 insertion(+)


2007-03-01 02:25:09 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1614]
  - remove dead header, reported by joecool.
  
  trunk/src/lame/out_lame.c |    1 -
  1 file changed, 1 deletion(-)


2007-03-01 02:22:17 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1612]
  - hook up lame encoder plugin.
  
  trunk/configure.ac |   15 +++++++++++++++
  1 file changed, 15 insertions(+)


2007-03-01 02:19:30 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1610]
  - some missing headers
  
  trunk/src/aac/libfaad2/faad.h     |   32 ++++
  trunk/src/aac/libfaad2/neaacdec.h |  252 ++++++++++++++++++++++++++++++++++++++
  2 files changed, 284 insertions(+)


2007-03-01 02:00:41 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1608]
  - only do shoutcast stuff if info::size = 0. closes #601 again.
  
  trunk/src/madplug/input.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-03-01 01:52:11 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1606]
  - fix a ringbuffering error in curl which caused trouble with icecast2 
    MP3. Closes #816.
  
  trunk/src/curl/curl.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-03-01 01:33:16 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1604]
  - set timeout value to 3 seconds
  
  trunk/src/curl/curl.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-02-28 15:32:41 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1602]
  - fix a stupid C++ error
  
  trunk/src/console/Audacious_Driver.cxx |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-28 15:29:57 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1600]
  - only claim URLs that actually belong to us. Closes #783.
  
  trunk/src/console/Audacious_Driver.cxx |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-28 15:01:26 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1598]
  - handle condition where track_name is not there, but stream_name is.
  
  trunk/src/madplug/input.c |   14 ++++++++++++--
  1 file changed, 12 insertions(+), 2 deletions(-)


2007-02-28 12:38:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1596]
  - vtx input plugin based on a submission from Pavel Vymetalek.
  
  trunk/configure.ac            |    2 
  trunk/src/vtx/Makefile        |   16 +
  trunk/src/vtx/about.c         |   35 ++
  trunk/src/vtx/ay8912.c        |  494 ++++++++++++++++++++++++++++++++++++++++++
  trunk/src/vtx/ayemu.h         |   77 ++++++
  trunk/src/vtx/ayemu_8912.h    |  150 ++++++++++++
  trunk/src/vtx/ayemu_vtxfile.h |   92 +++++++
  trunk/src/vtx/config.c        |   10 
  trunk/src/vtx/info.c          |   49 ++++
  trunk/src/vtx/lh5dec.c        |  297 +++++++++++++++++++++++++
  trunk/src/vtx/vtx.c           |  330 ++++++++++++++++++++++++++++
  trunk/src/vtx/vtx.h           |   28 ++
  trunk/src/vtx/vtxfile.c       |  321 +++++++++++++++++++++++++++
  13 files changed, 1900 insertions(+), 1 deletion(-)


2007-02-28 10:14:00 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1594]
  - using mad.pc makes us dependant on a nonstandard packaging of mad -- 
    which causes breakage on some operating systems
  
  trunk/configure.ac         |    5 +++--
  trunk/src/madplug/Makefile |    4 ++--
  2 files changed, 5 insertions(+), 4 deletions(-)


2007-02-28 07:32:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1592]
  - add czech translation file. Closes #818.
  
  trunk/po/LINGUAS |    1 
  trunk/po/cs.po   | 6610 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
  2 files changed, 6611 insertions(+)


2007-02-28 00:51:52 +0000  Giacomo Lozito <james@develia.org>
  revision [1590]
  - aosd: replaced other occurrencies of glib18n with audacious i18n
  trunk/src/aosd/aosd_style.c   |    2 +-
  trunk/src/aosd/aosd_style.h   |    3 +++
  trunk/src/aosd/aosd_trigger.c |    2 +-
  trunk/src/aosd/aosd_trigger.h |    3 +++
  4 files changed, 8 insertions(+), 2 deletions(-)


2007-02-28 00:45:04 +0000  Giacomo Lozito <james@develia.org>
  revision [1588]
  - aosd: use audacious-plugins as PACKAGE for i18n
  trunk/src/aosd/aosd.c    |    1 +
  trunk/src/aosd/aosd.h    |    3 +++
  trunk/src/aosd/aosd_ui.c |    2 +-
  trunk/src/aosd/aosd_ui.h |    3 +++
  4 files changed, 8 insertions(+), 1 deletion(-)


2007-02-27 18:15:17 +0000  Giacomo Lozito <james@develia.org>
  revision [1586]
  - scrobbler: check that there are files in playlist at all, before looking up whether they are http sources or not
  trunk/src/scrobbler/plugin.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-02-27 14:41:02 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1584]
  - fix a crash reported by grufti.
  
  trunk/src/wav/wav.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-27 13:43:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1582]
  - fix icecast2, i think.
  
  trunk/src/curl/curl.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-27 13:40:42 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1580]
  - add metadata key "content-length", which allows for getting a content length.
  
  trunk/src/curl/curl.c |    2 ++
  1 file changed, 2 insertions(+)


2007-02-27 12:29:52 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1578]
  - some ringbuffering issues could cause crashing. a final review has 
    resulted in this fix.
  
  trunk/src/aac/src/libmp4.c |   39 ++++++++++++++++++++-------------------
  1 file changed, 20 insertions(+), 19 deletions(-)


2007-02-27 12:19:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1576]
  - do not pass a buffered FD to the decoding thread, just use it for 
    determining whether or not the stream is ADTS.
  
  trunk/src/aac/src/libmp4.c |   11 +++++++----
  1 file changed, 7 insertions(+), 4 deletions(-)


2007-02-27 12:17:49 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1574]
  - add read/write support for TLEN frame.
  
  trunk/src/madplug/TODO       |    3 ++-
  trunk/src/madplug/decoder.c  |   26 +++++++++++++++++++++-----
  trunk/src/madplug/fileinfo.c |    5 +++++
  trunk/src/madplug/input.c    |   16 +++++++++++++++-
  trunk/src/madplug/plugin.c   |   25 ++++++++++++++++++++-----
  5 files changed, 63 insertions(+), 12 deletions(-)


2007-02-27 11:45:34 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1572]
  - use vfs_buffered_file_new_from_uri for probing.
  
  trunk/src/aac/src/libmp4.c |    4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)


2007-02-27 10:17:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1570]
  - fix configure.ac lrintf check
  
  trunk/configure.ac |    6 ++++--
  1 file changed, 4 insertions(+), 2 deletions(-)


2007-02-27 09:40:23 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1568]
  - sync audacious-sid with latest xmms-sid, from Matti Hamalainen (ccr).
  
  trunk/src/sid/Makefile       |    7 
  trunk/src/sid/xmms-sid.c     |  538 +++--
  trunk/src/sid/xmms-sid.glade | 4398 +++++++++++++++++++++++++++++++++++++++++++
  trunk/src/sid/xmms-sid.h     |  180 -
  trunk/src/sid/xs_about.c     |  116 -
  trunk/src/sid/xs_config.c    |  508 +++-
  trunk/src/sid/xs_config.h    |   61 
  trunk/src/sid/xs_curve.c     |  721 +++++++
  trunk/src/sid/xs_curve.h     |   68 
  trunk/src/sid/xs_fileinfo.c  |  236 +-
  trunk/src/sid/xs_fileinfo.h  |    2 
  trunk/src/sid/xs_filter.c    |   12 
  trunk/src/sid/xs_genui.c     |   27 
  trunk/src/sid/xs_genui.h     |   16 
  trunk/src/sid/xs_glade.c     |  158 -
  trunk/src/sid/xs_glade.h     |   37 
  trunk/src/sid/xs_init.c      |   20 
  trunk/src/sid/xs_interface.c | 2903 ++++++++++++++--------------
  trunk/src/sid/xs_length.c    |  270 --
  trunk/src/sid/xs_length.h    |   19 
  trunk/src/sid/xs_md5.c       |  479 +---
  trunk/src/sid/xs_md5.h       |   18 
  trunk/src/sid/xs_player.h    |   59 
  trunk/src/sid/xs_sidplay.h   |  183 +
  trunk/src/sid/xs_sidplay1.cc |  200 -
  trunk/src/sid/xs_sidplay1.h  |   22 
  trunk/src/sid/xs_sidplay2.cc |  242 +-
  trunk/src/sid/xs_sidplay2.h  |   20 
  trunk/src/sid/xs_stil.c      |  388 +--
  trunk/src/sid/xs_stil.h      |   21 
  trunk/src/sid/xs_support.c   |  148 +
  trunk/src/sid/xs_support.h   |   62 
  trunk/src/sid/xs_title.c     |  228 +-
  trunk/src/sid/xs_title.h     |    8 
  34 files changed, 9067 insertions(+), 3308 deletions(-)


2007-02-27 09:27:06 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1566]
  - freebsd portability fixes from "The_Paya". Closes #814.
  
  trunk/configure.ac     |    4 +++-
  trunk/src/aosd/ghosd.h |    4 ++--
  trunk/src/tta/id3.c    |    1 -
  3 files changed, 5 insertions(+), 4 deletions(-)


2007-02-26 13:14:22 +0000  Strahinja Kustudic <kustodian@gmail.com>
  revision [1564]
  fixed where srobbler dumps files.
  trunk/src/scrobbler/gerpok.c    |    2 +-
  trunk/src/scrobbler/hatena.c    |    2 +-
  trunk/src/scrobbler/scrobbler.c |    2 +-
  3 files changed, 3 insertions(+), 3 deletions(-)


2007-02-26 11:40:29 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1562]
  - path fixes
  
  trunk/src/scrobbler/gerpok.c    |    3 ++-
  trunk/src/scrobbler/hatena.c    |    3 ++-
  trunk/src/scrobbler/scrobbler.c |    3 ++-
  3 files changed, 6 insertions(+), 3 deletions(-)


2007-02-26 11:38:03 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1560]
  - add a (hidden for now) configuration option, use_local_ip and local_ip 
    which plugins can use to bind to a specific IP/interface.
  
  trunk/src/curl/curl.c |   13 +++++++++++++
  1 file changed, 13 insertions(+)


2007-02-26 07:22:16 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1558]
  - now fileinfo dialog shows "Unknown" instead of "Blues" if genre name isn't specified.
  - when "Unknown" is specified in fileinfo dialog, the dialog removes TCON frame.
  
  trunk/src/madplug/fileinfo.c |   37 +++++++++++++++++++++++++++++++------
  1 file changed, 31 insertions(+), 6 deletions(-)


2007-02-26 01:41:03 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1556]
  - properly report if madplug will not be built.
  
  trunk/configure.ac |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-25 14:01:46 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1554]
  - no vorbis? disallow flac too.
  
  trunk/configure.ac |    9 +++++++--
  1 file changed, 7 insertions(+), 2 deletions(-)


2007-02-25 13:27:51 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1552]
  - ensure that info->remote is set if url begins with http:// so that metadata can be displayed.
  
  trunk/src/madplug/input.c  |    5 ++++-
  trunk/src/madplug/plugin.h |    2 --
  2 files changed, 4 insertions(+), 3 deletions(-)


2007-02-25 11:35:59 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1550]
  - depend on $(OGG_VORBIS_*) for debian's sake
  
  trunk/src/flac/Makefile         |    5 +++--
  trunk/src/flac/libflac/Makefile |    2 +-
  2 files changed, 4 insertions(+), 3 deletions(-)


2007-02-25 04:27:03 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1536]
  - without this, libconsole.so doesn't compile.
  
  trunk/configure.ac |    1 +
  1 file changed, 1 insertion(+)


2007-02-25 01:09:19 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1534]
  - libflac -> libaudflac to prevent collision in the sun studio linker
  - remove some checks wrt vfs which are obsolete due to flac import
  
  trunk/src/flac/Makefile             |    2 +-
  trunk/src/flac/libflac/Makefile     |    4 ++--
  trunk/src/flac/plugin_common/tags.c |    5 -----
  trunk/src/flac/tag.c                |    5 -----
  4 files changed, 3 insertions(+), 13 deletions(-)


2007-02-25 00:36:25 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1532]
  - enforce $(PICFLAGS)
  
  trunk/src/flac/libflac/Makefile |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-25 00:17:26 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [1530]
  * Delete flac112
  * Rename flac113 -> flac
  * Change configure.ac
  
  trunk/configure.ac      |   11 +------
  trunk/src/flac/Makefile |   74 ++++++++++++++++++++++++------------------------
  2 files changed, 39 insertions(+), 46 deletions(-)


2007-02-24 19:40:20 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [1528]
  More VFS stuff.
  trunk/src/flac113/libflac/FLAC/stream_decoder.h |    5 +-
  trunk/src/flac113/libflac/stream_decoder.c      |   58 +++++++++++++++++++-----
  2 files changed, 50 insertions(+), 13 deletions(-)


2007-02-24 19:04:38 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [1526]
  * Link libogg and static libflac
  * First steps towards using VFS
  
  trunk/src/flac113/Makefile                     |    2 
  trunk/src/flac113/libflac/config.h             |    1 
  trunk/src/flac113/libflac/metadata_iterators.c |  174 ++++++++++++-------------
  3 files changed, 87 insertions(+), 90 deletions(-)


2007-02-24 18:57:24 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1524]
  - always bail on http streams
  
  trunk/src/scrobbler/plugin.c |   19 ++++++-------------
  1 file changed, 6 insertions(+), 13 deletions(-)


2007-02-24 18:53:12 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1522]
  - remove leftovers
  
  trunk/src/curl/curl.c |    2 --
  1 file changed, 2 deletions(-)


2007-02-24 18:32:25 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1520]
  - store proxy info
  
  trunk/src/curl/curl.c |   33 ++++++++++++++++++---------------
  1 file changed, 18 insertions(+), 15 deletions(-)


2007-02-24 18:21:48 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [1518]
  We don't need .pc.in files for FLAC...
  trunk/src/flac113/libflac/flac.pc.in |   10 ----------
  1 file changed, 10 deletions(-)


2007-02-24 18:20:58 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [1516]
  Import flac. Please test.
  trunk/src/flac113/Makefile                                      |    6 
  trunk/src/flac113/libflac/COPYING.Xiph                          |   28 
  trunk/src/flac113/libflac/FLAC/all.h                            |  344 
  trunk/src/flac113/libflac/FLAC/assert.h                         |   45 
  trunk/src/flac113/libflac/FLAC/callback.h                       |  184 
  trunk/src/flac113/libflac/FLAC/export.h                         |   87 
  trunk/src/flac113/libflac/FLAC/format.h                         |  985 ++
  trunk/src/flac113/libflac/FLAC/metadata.h                       | 2112 ++++
  trunk/src/flac113/libflac/FLAC/ordinals.h                       |   80 
  trunk/src/flac113/libflac/FLAC/private/all.h                    |   49 
  trunk/src/flac113/libflac/FLAC/private/bitmath.h                |   42 
  trunk/src/flac113/libflac/FLAC/private/bitreader.h              |   90 
  trunk/src/flac113/libflac/FLAC/private/bitwriter.h              |  103 
  trunk/src/flac113/libflac/FLAC/private/cpu.h                    |   94 
  trunk/src/flac113/libflac/FLAC/private/crc.h                    |   61 
  trunk/src/flac113/libflac/FLAC/private/fixed.h                  |   97 
  trunk/src/flac113/libflac/FLAC/private/float.h                  |   97 
  trunk/src/flac113/libflac/FLAC/private/format.h                 |   44 
  trunk/src/flac113/libflac/FLAC/private/lpc.h                    |  214 
  trunk/src/flac113/libflac/FLAC/private/md5.h                    |   48 
  trunk/src/flac113/libflac/FLAC/private/memory.h                 |   56 
  trunk/src/flac113/libflac/FLAC/private/metadata.h               |   45 
  trunk/src/flac113/libflac/FLAC/private/ogg_decoder_aspect.h     |   79 
  trunk/src/flac113/libflac/FLAC/private/ogg_encoder_aspect.h     |   62 
  trunk/src/flac113/libflac/FLAC/private/ogg_helper.h             |   43 
  trunk/src/flac113/libflac/FLAC/private/ogg_mapping.h            |   63 
  trunk/src/flac113/libflac/FLAC/private/stream_encoder_framing.h |   45 
  trunk/src/flac113/libflac/FLAC/private/window.h                 |   71 
  trunk/src/flac113/libflac/FLAC/protected/all.h                  |   38 
  trunk/src/flac113/libflac/FLAC/protected/stream_decoder.h       |   58 
  trunk/src/flac113/libflac/FLAC/protected/stream_encoder.h       |  109 
  trunk/src/flac113/libflac/FLAC/stream_decoder.h                 | 1559 +++
  trunk/src/flac113/libflac/FLAC/stream_encoder.h                 | 1769 +++
  trunk/src/flac113/libflac/Makefile                              |   36 
  trunk/src/flac113/libflac/bitmath.c                             |  149 
  trunk/src/flac113/libflac/bitreader.c                           | 1175 ++
  trunk/src/flac113/libflac/bitwriter.c                           |  849 +
  trunk/src/flac113/libflac/config.h                              |    4 
  trunk/src/flac113/libflac/cpu.c                                 |  193 
  trunk/src/flac113/libflac/crc.c                                 |  142 
  trunk/src/flac113/libflac/fixed.c                               |  435 
  trunk/src/flac113/libflac/flac.pc.in                            |   10 
  trunk/src/flac113/libflac/float.c                               |  308 
  trunk/src/flac113/libflac/format.c                              |  571 +
  trunk/src/flac113/libflac/lpc.c                                 |  497 +
  trunk/src/flac113/libflac/md5.c                                 |  314 
  trunk/src/flac113/libflac/memory.c                              |  194 
  trunk/src/flac113/libflac/metadata_iterators.c                  | 3302 +++++++
  trunk/src/flac113/libflac/metadata_object.c                     | 1789 +++
  trunk/src/flac113/libflac/ogg_decoder_aspect.c                  |  253 
  trunk/src/flac113/libflac/ogg_encoder_aspect.c                  |  227 
  trunk/src/flac113/libflac/ogg_helper.c                          |  208 
  trunk/src/flac113/libflac/ogg_mapping.c                         |   47 
  trunk/src/flac113/libflac/stream_decoder.c                      | 3313 +++++++
  trunk/src/flac113/libflac/stream_encoder.c                      | 4514 ++++++++++
  trunk/src/flac113/libflac/stream_encoder_framing.c              |  515 +
  trunk/src/flac113/libflac/window.c                              |  225 
  57 files changed, 28074 insertions(+), 3 deletions(-)


2007-02-24 17:43:51 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1514]
  - fix proxy_use vs use_proxy. reported by joker on IRC.
  
  trunk/src/curl/curl.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-24 17:22:04 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1512]
  - reset position if we were passed a live FD.
  
  trunk/src/madplug/replaygain.c |    3 +++
  1 file changed, 3 insertions(+)


2007-02-24 17:17:39 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1510]
  - rename parser.y to parser.yacc so braindead GNU make gets the picture
  
  trunk/src/paranormal/libcalc/parser.y    |  298 -------------------------------
  trunk/src/paranormal/libcalc/parser.yacc |  298 +++++++++++++++++++++++++++++++
  trunk/src/rovascope/libcalc/parser.y     |  298 -------------------------------
  trunk/src/rovascope/libcalc/parser.yacc  |  298 +++++++++++++++++++++++++++++++
  4 files changed, 596 insertions(+), 596 deletions(-)


2007-02-24 17:03:09 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1508]
  - always close/unref the fd
  
  trunk/src/madplug/replaygain.c |    5 +----
  1 file changed, 1 insertion(+), 4 deletions(-)


2007-02-24 17:02:41 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1506]
  - C99 style enforcement
  
  trunk/src/madplug/replaygain.c |    9 ++++-----
  1 file changed, 4 insertions(+), 5 deletions(-)


2007-02-24 16:59:37 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1504]
  - ensure that we only operate on a duplicated fd if our source is 
    from a live fd
  
  trunk/src/madplug/replaygain.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-24 16:58:32 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1502]
  - close configdb handle
  
  trunk/src/curl/curl.c |    3 ++-
  1 file changed, 2 insertions(+), 1 deletion(-)


2007-02-24 16:09:24 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1500]
  - proxy support. somebody test this.
  
  trunk/src/curl/curl.c |   50 ++++++++++++++++++++++++++++++++++++++++++++++++++
  1 file changed, 50 insertions(+)


2007-02-24 15:49:06 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1498]
  - make use of the new id3_file_vfsopen() function.
  Patch by Christian Birchinger (joker).
  
  trunk/src/madplug/input.c      |    5 ++++-
  trunk/src/madplug/replaygain.c |   25 +++++++++++++++++--------
  2 files changed, 21 insertions(+), 9 deletions(-)


2007-02-24 13:58:15 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [1496]
  Steal parser from paranormal and make sure all datestamps are the same so yacc does not run.
  trunk/src/rovascope/libcalc/parser.y |    3 +++
  1 file changed, 3 insertions(+)


2007-02-24 04:30:42 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1494]
  - VFS probing support patch by Christian Birchinger (joker).
  
  trunk/src/modplug/modplugbmp.cxx |  134 ++++++++++++---------------------------
  trunk/src/modplug/modplugbmp.h   |    2 
  trunk/src/modplug/plugin.cxx     |    8 +-
  3 files changed, 49 insertions(+), 95 deletions(-)


2007-02-24 04:23:34 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1492]
  - rework AdPlug to use VFS properly
  see http://sacredspiral.co.uk/~nenolod/adplug-vfs-ng.diff for a diff.
  
  trunk/src/adplug/adplug-xmms.cc        |   62 ++++++++++++++++++++++++++++-----
  trunk/src/adplug/core/README.audacious |   10 +++++
  trunk/src/adplug/core/a2m.cxx          |    4 +-
  trunk/src/adplug/core/a2m.h            |    2 -
  trunk/src/adplug/core/adl.cxx          |    5 +-
  trunk/src/adplug/core/adl.h            |    2 -
  trunk/src/adplug/core/adplug.cxx       |   11 ++---
  trunk/src/adplug/core/adplug.h         |    2 -
  trunk/src/adplug/core/adtrack.cxx      |   11 +++--
  trunk/src/adplug/core/adtrack.h        |    2 -
  trunk/src/adplug/core/amd.cxx          |    4 +-
  trunk/src/adplug/core/amd.h            |    2 -
  trunk/src/adplug/core/bam.cxx          |    4 +-
  trunk/src/adplug/core/bam.h            |    2 -
  trunk/src/adplug/core/binio_virtual.h  |   20 +++++-----
  trunk/src/adplug/core/cff.cxx          |    4 +-
  trunk/src/adplug/core/cff.h            |    2 -
  trunk/src/adplug/core/d00.cxx          |    5 +-
  trunk/src/adplug/core/d00.h            |    2 -
  trunk/src/adplug/core/dfm.cxx          |    4 +-
  trunk/src/adplug/core/dfm.h            |    2 -
  trunk/src/adplug/core/dmo.cxx          |    5 +-
  trunk/src/adplug/core/dmo.h            |    2 -
  trunk/src/adplug/core/dro.cxx          |    4 +-
  trunk/src/adplug/core/dro.h            |    2 -
  trunk/src/adplug/core/dtm.cxx          |    4 +-
  trunk/src/adplug/core/dtm.h            |    2 -
  trunk/src/adplug/core/fmc.cxx          |    4 +-
  trunk/src/adplug/core/fmc.h            |    2 -
  trunk/src/adplug/core/fprovide.cxx     |    4 +-
  trunk/src/adplug/core/fprovide.h       |    4 +-
  trunk/src/adplug/core/hsc.cxx          |    8 ++--
  trunk/src/adplug/core/hsc.h            |    2 -
  trunk/src/adplug/core/hsp.cxx          |    5 +-
  trunk/src/adplug/core/hsp.h            |    2 -
  trunk/src/adplug/core/imf.cxx          |    8 ++--
  trunk/src/adplug/core/imf.h            |    2 -
  trunk/src/adplug/core/ksm.cxx          |    9 +++-
  trunk/src/adplug/core/ksm.h            |    2 -
  trunk/src/adplug/core/lds.cxx          |    5 +-
  trunk/src/adplug/core/lds.h            |    2 -
  trunk/src/adplug/core/mad.cxx          |    4 +-
  trunk/src/adplug/core/mad.h            |    2 -
  trunk/src/adplug/core/mid.cxx          |   11 +++--
  trunk/src/adplug/core/mid.h            |    2 -
  trunk/src/adplug/core/mkj.cxx          |    6 +--
  trunk/src/adplug/core/mkj.h            |    2 -
  trunk/src/adplug/core/msc.cxx          |    4 +-
  trunk/src/adplug/core/msc.h            |    2 -
  trunk/src/adplug/core/mtk.cxx          |    4 +-
  trunk/src/adplug/core/mtk.h            |    2 -
  trunk/src/adplug/core/player.h         |    2 -
  trunk/src/adplug/core/rad.cxx          |    4 +-
  trunk/src/adplug/core/rad.h            |    2 -
  trunk/src/adplug/core/raw.cxx          |    4 +-
  trunk/src/adplug/core/raw.h            |    2 -
  trunk/src/adplug/core/rix.cxx          |    5 +-
  trunk/src/adplug/core/rix.h            |    2 -
  trunk/src/adplug/core/rol.cxx          |    9 +++-
  trunk/src/adplug/core/rol.h            |    2 -
  trunk/src/adplug/core/s3m.cxx          |    4 +-
  trunk/src/adplug/core/s3m.h            |    2 -
  trunk/src/adplug/core/sa2.cxx          |    6 +--
  trunk/src/adplug/core/sa2.h            |    2 -
  trunk/src/adplug/core/sng.cxx          |    4 +-
  trunk/src/adplug/core/sng.h            |    2 -
  trunk/src/adplug/core/u6m.cxx          |    4 +-
  trunk/src/adplug/core/u6m.h            |    2 -
  trunk/src/adplug/core/xad.cxx          |    4 +-
  trunk/src/adplug/core/xad.h            |    2 -
  trunk/src/adplug/core/xsm.cxx          |    4 +-
  trunk/src/adplug/core/xsm.h            |    2 -
  72 files changed, 210 insertions(+), 139 deletions(-)


2007-02-22 15:19:39 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1490]
  - remove %expect 37
  
  trunk/src/rovascope/libcalc/parser.y |    3 ---
  1 file changed, 3 deletions(-)


2007-02-21 12:41:29 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1488]
  - remove workaround.
  
  trunk/src/madplug/input.c |    4 ----
  1 file changed, 4 deletions(-)


2007-02-21 10:02:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1486]
  - fix a ringbuffering error. found by purify.
  
  trunk/src/aac/src/libmp4.c |   11 +++++++----
  1 file changed, 7 insertions(+), 4 deletions(-)


2007-02-21 02:12:05 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1484]
  - TCON frame without string crashes mad_parse_genre().
  
  trunk/src/madplug/input.c |    3 +++
  1 file changed, 3 insertions(+)


2007-02-20 21:50:17 +0000  Derek Pomery <nemo@m8y.org>
  revision [1482]
  Bug #806
  Pretty sure freeing InputPlayback here is a bad idea.
  
  
  trunk/src/metronom/metronom.c |    5 ++---
  1 file changed, 2 insertions(+), 3 deletions(-)


2007-02-20 17:12:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1480]
  - temporarily cheat and disable certain codepaths for local files
  
  trunk/src/aac/src/libmp4.c |    5 +++--
  1 file changed, 3 insertions(+), 2 deletions(-)


2007-02-20 17:02:15 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1478]
  - temporary workaround for ISO-8859-1 8bit character does not appear correctly.
  
  
  trunk/src/madplug/input.c |    4 ++++
  1 file changed, 4 insertions(+)


2007-02-20 16:52:37 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1476]
  - no idea why we were using a dynamically allocated buffer for raw aac
  
  trunk/src/aac/src/libmp4.c |   13 +------------
  1 file changed, 1 insertion(+), 12 deletions(-)


2007-02-20 16:47:44 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1474]
  - handle a situation where buffer could be NULL (e.g. bail)
  
  trunk/src/aac/src/libmp4.c |   17 ++++++++---------
  1 file changed, 8 insertions(+), 9 deletions(-)


2007-02-20 15:18:47 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1472]
  - shoutcast title streaming. sucks, could probably be improved upon, but 
    will do for now.
  
  trunk/src/aac/src/libmp4.c |   51 ++++++++++++++++++++++++++++++++++++++++++++-
  1 file changed, 50 insertions(+), 1 deletion(-)


2007-02-20 15:00:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1470]
  - fix another potential synchronization problem
  - be more efficient wrt fds
  
  trunk/src/aac/src/libmp4.c |   18 ++++++------------
  1 file changed, 6 insertions(+), 12 deletions(-)


2007-02-20 14:38:03 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1468]
  - oh yes, commit mplayer patches as well
  
  trunk/src/aac/libfaad2/analysis.h        |   11 
  trunk/src/aac/libfaad2/bits.c            |  158 +----
  trunk/src/aac/libfaad2/bits.h            |  163 +-----
  trunk/src/aac/libfaad2/cfft.c            |   23 
  trunk/src/aac/libfaad2/cfft.h            |   11 
  trunk/src/aac/libfaad2/cfft_tab.h        |   19 
  trunk/src/aac/libfaad2/codebook/hcb.h    |   11 
  trunk/src/aac/libfaad2/codebook/hcb_1.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_10.h |   11 
  trunk/src/aac/libfaad2/codebook/hcb_11.h |   11 
  trunk/src/aac/libfaad2/codebook/hcb_2.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_3.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_4.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_5.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_6.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_7.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_8.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_9.h  |   11 
  trunk/src/aac/libfaad2/codebook/hcb_sf.h |   11 
  trunk/src/aac/libfaad2/common.c          |   25 
  trunk/src/aac/libfaad2/common.h          |   70 ++
  trunk/src/aac/libfaad2/decoder.c         |  125 ----
  trunk/src/aac/libfaad2/decoder.h         |   11 
  trunk/src/aac/libfaad2/drc.c             |   11 
  trunk/src/aac/libfaad2/drc.h             |   11 
  trunk/src/aac/libfaad2/drm_dec.c         |  119 ++--
  trunk/src/aac/libfaad2/drm_dec.h         |   13 
  trunk/src/aac/libfaad2/error.c           |   18 
  trunk/src/aac/libfaad2/error.h           |   13 
  trunk/src/aac/libfaad2/filtbank.c        |   11 
  trunk/src/aac/libfaad2/filtbank.h        |   11 
  trunk/src/aac/libfaad2/fixed.h           |   12 
  trunk/src/aac/libfaad2/hcr.c             |   32 -
  trunk/src/aac/libfaad2/huffman.c         |   11 
  trunk/src/aac/libfaad2/huffman.h         |   11 
  trunk/src/aac/libfaad2/ic_predict.c      |   22 
  trunk/src/aac/libfaad2/ic_predict.h      |   11 
  trunk/src/aac/libfaad2/iq_table.h        |   11 
  trunk/src/aac/libfaad2/is.c              |   13 
  trunk/src/aac/libfaad2/is.h              |   11 
  trunk/src/aac/libfaad2/kbd_win.h         |   11 
  trunk/src/aac/libfaad2/lt_predict.c      |   16 
  trunk/src/aac/libfaad2/lt_predict.h      |   11 
  trunk/src/aac/libfaad2/mdct.c            |   11 
  trunk/src/aac/libfaad2/mdct.h            |   11 
  trunk/src/aac/libfaad2/mdct_tab.h        |   11 
  trunk/src/aac/libfaad2/mp4.c             |   25 
  trunk/src/aac/libfaad2/mp4.h             |   11 
  trunk/src/aac/libfaad2/ms.c              |   13 
  trunk/src/aac/libfaad2/ms.h              |   11 
  trunk/src/aac/libfaad2/output.c          |   71 ++
  trunk/src/aac/libfaad2/output.h          |   11 
  trunk/src/aac/libfaad2/pns.c             |   36 -
  trunk/src/aac/libfaad2/pns.h             |   14 
  trunk/src/aac/libfaad2/ps_dec.c          |  140 ++---
  trunk/src/aac/libfaad2/ps_dec.h          |   11 
  trunk/src/aac/libfaad2/ps_syntax.c       |   24 
  trunk/src/aac/libfaad2/ps_tables.h       |   21 
  trunk/src/aac/libfaad2/pulse.c           |   14 
  trunk/src/aac/libfaad2/pulse.h           |   11 
  trunk/src/aac/libfaad2/rvlc.c            |   11 
  trunk/src/aac/libfaad2/rvlc.h            |   11 
  trunk/src/aac/libfaad2/sbr_dct.c         |  840 +++++++++++++++----------------
  trunk/src/aac/libfaad2/sbr_dct.h         |   11 
  trunk/src/aac/libfaad2/sbr_dec.c         |  111 ----
  trunk/src/aac/libfaad2/sbr_dec.h         |   21 
  trunk/src/aac/libfaad2/sbr_e_nf.c        |   11 
  trunk/src/aac/libfaad2/sbr_e_nf.h        |   11 
  trunk/src/aac/libfaad2/sbr_fbt.c         |   11 
  trunk/src/aac/libfaad2/sbr_fbt.h         |   11 
  trunk/src/aac/libfaad2/sbr_hfadj.c       |   56 --
  trunk/src/aac/libfaad2/sbr_hfadj.h       |   17 
  trunk/src/aac/libfaad2/sbr_hfgen.c       |   12 
  trunk/src/aac/libfaad2/sbr_hfgen.h       |   11 
  trunk/src/aac/libfaad2/sbr_huff.c        |   11 
  trunk/src/aac/libfaad2/sbr_huff.h        |   11 
  trunk/src/aac/libfaad2/sbr_noise.h       |   11 
  trunk/src/aac/libfaad2/sbr_qmf.c         |   29 -
  trunk/src/aac/libfaad2/sbr_qmf.h         |   11 
  trunk/src/aac/libfaad2/sbr_qmf_c.h       |   19 
  trunk/src/aac/libfaad2/sbr_syntax.c      |   73 --
  trunk/src/aac/libfaad2/sbr_syntax.h      |   14 
  trunk/src/aac/libfaad2/sbr_tf_grid.c     |   11 
  trunk/src/aac/libfaad2/sbr_tf_grid.h     |   11 
  trunk/src/aac/libfaad2/sine_win.h        |   11 
  trunk/src/aac/libfaad2/specrec.c         |  181 +-----
  trunk/src/aac/libfaad2/specrec.h         |   11 
  trunk/src/aac/libfaad2/ssr.c             |   11 
  trunk/src/aac/libfaad2/ssr.h             |   11 
  trunk/src/aac/libfaad2/ssr_fb.c          |   11 
  trunk/src/aac/libfaad2/ssr_fb.h          |   17 
  trunk/src/aac/libfaad2/ssr_ipqf.c        |   11 
  trunk/src/aac/libfaad2/ssr_ipqf.h        |   17 
  trunk/src/aac/libfaad2/ssr_win.h         |   17 
  trunk/src/aac/libfaad2/structs.h         |   29 -
  trunk/src/aac/libfaad2/syntax.c          |  304 +++--------
  trunk/src/aac/libfaad2/syntax.h          |   18 
  trunk/src/aac/libfaad2/tns.c             |   21 
  trunk/src/aac/libfaad2/tns.h             |   11 
  99 files changed, 1324 insertions(+), 2287 deletions(-)


2007-02-20 14:31:29 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1466]
  - ringbuffering underrun fixups -- found with purify
  
  trunk/src/aac/src/libmp4.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-02-20 14:23:44 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1464]
  - some additional cleanups
  
  trunk/src/aac/src/libmp4.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-20 14:17:27 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1462]
  - some ringbuffering fixes -- aac+ shouldn't crash now, but more 
    extensive testing will be needed.
  
  trunk/src/aac/src/libmp4.c |   12 ++++++++++--
  1 file changed, 10 insertions(+), 2 deletions(-)


2007-02-20 14:11:10 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [1460]
  Revert r1456, this gives problems with some files with broken ID3-Tags.
  trunk/src/madplug/input.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-20 13:51:43 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1458]
  - remove some pointless bloat
  
  trunk/src/aac/src/libmp4.c |   39 ++++++++-------------------------------
  1 file changed, 8 insertions(+), 31 deletions(-)


2007-02-20 13:51:23 +0000  Jonathan Schleifer <js-audacious@webkeks.org>
  revision [1456]
  Use g_convert instead of str_to_utf8. This fixes ID3-Tags with ISO8859-1 encoded umlauts.
  trunk/src/madplug/input.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-20 13:47:25 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1454]
  - aacplus shoutcast support. prepare for segfaults.
  
  trunk/src/aac/src/libmp4.c |   55 ++++++++++++++++++++++++++++++++++++++++-----
  1 file changed, 49 insertions(+), 6 deletions(-)


2007-02-20 12:56:39 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1452]
  - sbr decoding is not fixed point
  
  trunk/src/aac/libfaad2/common.h |    3 +++
  1 file changed, 3 insertions(+)


2007-02-20 12:42:48 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1450]
  - i really hate this plugin
  
  trunk/src/aac/src/libmp4.c |   11 +----------
  1 file changed, 1 insertion(+), 10 deletions(-)


2007-02-20 12:37:37 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1448]
  - synchronise with FAAD 2.5
  
  trunk/src/aac/libfaad2/analysis.h        |   13 
  trunk/src/aac/libfaad2/bits.c            |  160 ++++-
  trunk/src/aac/libfaad2/bits.h            |  162 ++++-
  trunk/src/aac/libfaad2/cfft.c            |   25 
  trunk/src/aac/libfaad2/cfft.h            |   13 
  trunk/src/aac/libfaad2/cfft_tab.h        |   21 
  trunk/src/aac/libfaad2/codebook/hcb.h    |   13 
  trunk/src/aac/libfaad2/codebook/hcb_1.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_10.h |   13 
  trunk/src/aac/libfaad2/codebook/hcb_11.h |   13 
  trunk/src/aac/libfaad2/codebook/hcb_2.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_3.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_4.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_5.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_6.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_7.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_8.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_9.h  |   13 
  trunk/src/aac/libfaad2/codebook/hcb_sf.h |   13 
  trunk/src/aac/libfaad2/common.c          |   27 
  trunk/src/aac/libfaad2/decoder.c         |  127 ++++
  trunk/src/aac/libfaad2/decoder.h         |   13 
  trunk/src/aac/libfaad2/drc.c             |   13 
  trunk/src/aac/libfaad2/drc.h             |   13 
  trunk/src/aac/libfaad2/drm_dec.c         |  121 +---
  trunk/src/aac/libfaad2/drm_dec.h         |   15 
  trunk/src/aac/libfaad2/error.c           |   20 
  trunk/src/aac/libfaad2/error.h           |   15 
  trunk/src/aac/libfaad2/filtbank.c        |   13 
  trunk/src/aac/libfaad2/filtbank.h        |   13 
  trunk/src/aac/libfaad2/fixed.h           |   14 
  trunk/src/aac/libfaad2/hcr.c             |   34 +
  trunk/src/aac/libfaad2/huffman.c         |   13 
  trunk/src/aac/libfaad2/huffman.h         |   13 
  trunk/src/aac/libfaad2/ic_predict.c      |   42 -
  trunk/src/aac/libfaad2/ic_predict.h      |   13 
  trunk/src/aac/libfaad2/iq_table.h        |   13 
  trunk/src/aac/libfaad2/is.c              |   15 
  trunk/src/aac/libfaad2/is.h              |   13 
  trunk/src/aac/libfaad2/kbd_win.h         |   13 
  trunk/src/aac/libfaad2/lt_predict.c      |   18 
  trunk/src/aac/libfaad2/lt_predict.h      |   13 
  trunk/src/aac/libfaad2/mdct.c            |   13 
  trunk/src/aac/libfaad2/mdct.h            |   13 
  trunk/src/aac/libfaad2/mdct_tab.h        |   13 
  trunk/src/aac/libfaad2/mp4.c             |   27 
  trunk/src/aac/libfaad2/mp4.h             |   13 
  trunk/src/aac/libfaad2/ms.c              |   15 
  trunk/src/aac/libfaad2/ms.h              |   13 
  trunk/src/aac/libfaad2/output.c          |   21 
  trunk/src/aac/libfaad2/output.h          |   13 
  trunk/src/aac/libfaad2/pns.c             |   38 -
  trunk/src/aac/libfaad2/pns.h             |   16 
  trunk/src/aac/libfaad2/ps_dec.c          |  151 ++---
  trunk/src/aac/libfaad2/ps_dec.h          |   13 
  trunk/src/aac/libfaad2/ps_syntax.c       |   26 
  trunk/src/aac/libfaad2/ps_tables.h       |   23 
  trunk/src/aac/libfaad2/pulse.c           |   16 
  trunk/src/aac/libfaad2/pulse.h           |   13 
  trunk/src/aac/libfaad2/rvlc.c            |   13 
  trunk/src/aac/libfaad2/rvlc.h            |   13 
  trunk/src/aac/libfaad2/sbr_dct.c         |  842 +++++++++++++++----------------
  trunk/src/aac/libfaad2/sbr_dct.h         |   13 
  trunk/src/aac/libfaad2/sbr_dec.c         |  110 +++-
  trunk/src/aac/libfaad2/sbr_dec.h         |   23 
  trunk/src/aac/libfaad2/sbr_e_nf.c        |   13 
  trunk/src/aac/libfaad2/sbr_e_nf.h        |   13 
  trunk/src/aac/libfaad2/sbr_fbt.c         |   13 
  trunk/src/aac/libfaad2/sbr_fbt.h         |   13 
  trunk/src/aac/libfaad2/sbr_hfadj.c       |   59 +-
  trunk/src/aac/libfaad2/sbr_hfadj.h       |   19 
  trunk/src/aac/libfaad2/sbr_hfgen.c       |   14 
  trunk/src/aac/libfaad2/sbr_hfgen.h       |   13 
  trunk/src/aac/libfaad2/sbr_huff.c        |   13 
  trunk/src/aac/libfaad2/sbr_huff.h        |   13 
  trunk/src/aac/libfaad2/sbr_noise.h       |   13 
  trunk/src/aac/libfaad2/sbr_qmf.c         |   31 -
  trunk/src/aac/libfaad2/sbr_qmf.h         |   13 
  trunk/src/aac/libfaad2/sbr_qmf_c.h       |   21 
  trunk/src/aac/libfaad2/sbr_syntax.c      |   75 ++
  trunk/src/aac/libfaad2/sbr_syntax.h      |   16 
  trunk/src/aac/libfaad2/sbr_tf_grid.c     |   13 
  trunk/src/aac/libfaad2/sbr_tf_grid.h     |   13 
  trunk/src/aac/libfaad2/sine_win.h        |   13 
  trunk/src/aac/libfaad2/specrec.c         |  149 +++--
  trunk/src/aac/libfaad2/specrec.h         |   13 
  trunk/src/aac/libfaad2/ssr.c             |   13 
  trunk/src/aac/libfaad2/ssr.h             |   13 
  trunk/src/aac/libfaad2/ssr_fb.c          |   13 
  trunk/src/aac/libfaad2/ssr_fb.h          |   19 
  trunk/src/aac/libfaad2/ssr_ipqf.c        |   13 
  trunk/src/aac/libfaad2/ssr_ipqf.h        |   19 
  trunk/src/aac/libfaad2/ssr_win.h         |   19 
  trunk/src/aac/libfaad2/structs.h         |  445 ++++++++--------
  trunk/src/aac/libfaad2/syntax.c          |  308 +++++++----
  trunk/src/aac/libfaad2/syntax.h          |   20 
  trunk/src/aac/libfaad2/tns.c             |   23 
  trunk/src/aac/libfaad2/tns.h             |   13 
  98 files changed, 2557 insertions(+), 1532 deletions(-)


2007-02-20 12:36:01 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1446]
  - satisfy Nero AG attribution requirement for FAAD 2.5 code import
  
  trunk/src/aac/src/libmp4.c |    1 +
  1 file changed, 1 insertion(+)


2007-02-20 12:13:46 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1444]
  - remove a bunch of pointless code. we don't do ID3 for raw AAC files at this time.
  
  trunk/src/aac/src/libmp4.c |   10 ++++------
  1 file changed, 4 insertions(+), 6 deletions(-)


2007-02-20 12:10:41 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1442]
  - allow static AAC files to play. working on AACplus, but this brings us closer.
  
  trunk/src/aac/src/libmp4.c |   99 ++++++++++++++++++++++++++++++++++-----------
  1 file changed, 76 insertions(+), 23 deletions(-)


2007-02-20 10:18:49 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1440]
  - fix missing names in the ChangeLog.
  
  trunk/ChangeLog |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-20 03:39:42 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1438]
  - show dynamic bitrate for vbr is off by default. now it is configurable from preferences.
  
  trunk/src/madplug/configure.c |   23 ++++++++++++++++-------
  trunk/src/madplug/decoder.c   |    2 +-
  trunk/src/madplug/plugin.c    |    3 +++
  trunk/src/madplug/plugin.h    |    1 +
  4 files changed, 21 insertions(+), 8 deletions(-)


2007-02-20 02:53:25 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1436]
  - if genre name is generated from number, it may exceed allocated memory block.
  
  trunk/src/madplug/input.c |   11 ++++++++---
  1 file changed, 8 insertions(+), 3 deletions(-)


2007-02-20 02:08:27 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1434]
  madplug bug fix:
  - no longer crashes on extra long TCON tag.
  - now scan_file() calculates track length properly.
  
  trunk/src/madplug/decoder.c |   14 ++++++++++----
  trunk/src/madplug/input.c   |   12 +++++++++---
  trunk/src/madplug/plugin.c  |    2 ++
  3 files changed, 21 insertions(+), 7 deletions(-)


2007-02-19 12:55:14 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1432]
  - calculate vbr bitrate properly.
  - mainwin shows dynamic bitrate for vbr.
  
  trunk/src/madplug/decoder.c |   17 +++++++++++++++--
  1 file changed, 15 insertions(+), 2 deletions(-)


2007-02-19 08:02:50 +0000  Goetz Waschk <waschk@mandriva.org>
  revision [1430]
  fix flac detection, now flac >= 1.1.4 is supported as well
  
  trunk/configure.ac |    6 +++++-
  1 file changed, 5 insertions(+), 1 deletion(-)


2007-02-18 22:51:23 +0000  Daniel Bradshaw <nazca@atheme.org>
  revision [1428]
  - Tweak to check we found a file extension before using it to prevent segfault
  trunk/src/madplug/plugin.c |    8 +++++---
  1 file changed, 5 insertions(+), 3 deletions(-)


2007-02-18 11:38:05 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1426]
  - don't crash on startup by passing NULL to opendir(2)
  
  trunk/src/lame/out_lame.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-18 08:09:31 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1424]
  - remove .depend
  
  0 files changed


2007-02-18 08:07:48 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1422]
  - add lame encoder plugin. not yet hooked up.
  - with this plugin, audacious can rip cd with tags using cddb, and can cut out tracks with tags from one big data file with a cue sheet.
  
  trunk/src/lame/Makefile   |   15 
  trunk/src/lame/out_lame.c | 2348 ++++++++++++++++++++++++++++++++++++++++++++++
  2 files changed, 2363 insertions(+)


2007-02-18 04:57:15 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1420]
  - make use of playlist->eof effectively.
  
  trunk/src/wav/wav-sndfile.c |   11 ++++-------
  1 file changed, 4 insertions(+), 7 deletions(-)


2007-02-18 04:50:45 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1418]
  - some further adjustments
  
  trunk/src/wav/wav-sndfile.c |   22 +++++++++++++++++-----
  1 file changed, 17 insertions(+), 5 deletions(-)


2007-02-18 04:42:10 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1416]
  Rewrote the entire plugin:
     - now uses conditional variables to ensure that sndfile mutex is
       entirely protected.
     - pausing works now
     - fixed some potential race conditions when dealing with NFS.
     - TITLE_LEN removed
  
  trunk/src/wav/wav-sndfile.c |  143 ++++++++++++++++++++++++++++++--------------
  trunk/src/wav/wav-sndfile.h |    2 
  2 files changed, 100 insertions(+), 45 deletions(-)


2007-02-18 03:58:29 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1414]
  - wav-sndfile engine: correctly compute the bitrate
  
  trunk/src/wav/wav-sndfile.c |    8 +++++---
  1 file changed, 5 insertions(+), 3 deletions(-)


2007-02-17 15:46:52 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [1412]
  Cast those pointers properly, and do not use deprecated GTK+ functions.
  trunk/src/projectm/main.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-02-17 09:41:14 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1410]
  - remove a bunch of audacious-core cruft
  - make taglib unavailability not cause configure to die
  
  trunk/configure.ac |   51 +++++----------------------------------------------
  1 file changed, 5 insertions(+), 46 deletions(-)


2007-02-17 09:34:18 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1408]
  - id3tag.h -> audacious/id3tag.h
  
  trunk/src/tta/aud-tta.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-17 09:32:56 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1406]
  - id3tag.h -> audacious/id3tag.h
  
  trunk/src/madplug/plugin.h |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-17 03:12:45 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1404]
  - disable broken APETag support for now, can cause crashes
  
  trunk/src/musepack/libmpc.cxx |    2 ++
  1 file changed, 2 insertions(+)


2007-02-16 07:36:36 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1402]
  - disk writer: do effects processing.
  - flac113 plugin: pass a valid InputPlayback reference to the thread 
    constructor. closes #797 for real.
  
  trunk/src/disk_writer/disk_writer.c |   32 ++++++++++++++++++++++++++++++++
  trunk/src/flac113/plugin.c          |    2 +-
  2 files changed, 33 insertions(+), 1 deletion(-)


2007-02-16 03:28:20 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1400]
  - do not unescape streaming uri.
  
  trunk/src/xspf/xspf.c |   20 ++++++++++++++------
  1 file changed, 14 insertions(+), 6 deletions(-)


2007-02-16 03:04:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1398]
  - disable debugging in preparation for alpha5 release
  
  trunk/src/madplug/plugin.h |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-16 01:04:00 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1396]
  - fix double free bug in vorbis fileinfo.
  
  trunk/src/vorbis/fileinfo.c |    2 +-
  trunk/src/vorbis/vorbis.c   |    2 +-
  2 files changed, 2 insertions(+), 2 deletions(-)


2007-02-15 23:18:39 +0000  Michael Farber <01mf02@gmail.com>
  revision [1394]
  - adapted to new INI routines
  
  
  trunk/src/pls/pls.c |   56 ++++++++++++++++++++++++++++------------------------
  1 file changed, 31 insertions(+), 25 deletions(-)


2007-02-15 13:10:08 +0000  Giacomo Lozito <james@develia.org>
  revision [1392]
  - madplug: check that text is not null before using g_strtod
  trunk/src/madplug/plugin.c |   10 ++++++++--
  1 file changed, 8 insertions(+), 2 deletions(-)


2007-02-15 07:23:21 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1390]
  - import xmlPathToURI() from libxml2-2.6.27 as audPathToURI(). this function is newly introduced at 2.6.27.
  
  trunk/src/xspf/xspf.c |   27 ++++++++++++++++++++++++++-
  1 file changed, 26 insertions(+), 1 deletion(-)


2007-02-15 02:03:22 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1388]
  - strings in audmad_config should be freed before update. thus constant initializer has been replaced with g_strdup().
  
  trunk/src/madplug/configure.c |    3 +++
  trunk/src/madplug/plugin.c    |   13 +++++++++----
  2 files changed, 12 insertions(+), 4 deletions(-)


2007-02-14 18:15:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1386]
  - make sure audmad_config.id3_format is not NULL. closes #795.
  
  trunk/src/madplug/plugin.c |    2 ++
  1 file changed, 2 insertions(+)


2007-02-14 15:24:59 +0000  
  revision [1384]
  * Update Japanese translation.
  
  trunk/po/ja.po | 1224 ++++++++++++++++++++++++++++-----------------------------
  1 file changed, 612 insertions(+), 612 deletions(-)


2007-02-14 09:43:35 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1382]
  - fix timing on fades
  
  trunk/src/console/Audacious_Driver.cxx |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-14 06:58:09 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1380]
  - add mms:// as a streaming scheme.
  
  trunk/src/xspf/xspf.c |   19 +++++++++++--------
  1 file changed, 11 insertions(+), 8 deletions(-)


2007-02-14 06:54:57 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1378]
  - screening by extension had not worked.
  
  trunk/src/madplug/plugin.c |    8 +++++---
  1 file changed, 5 insertions(+), 3 deletions(-)


2007-02-14 06:10:05 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1376]
  - revise input_id3_get_string().
  - make audmad_get_file_info() use mad_parse_genre() to obtain genre description.
  
  trunk/src/madplug/Makefile   |    2 +-
  trunk/src/madplug/fileinfo.c |   10 +++++++---
  trunk/src/madplug/input.c    |   22 ++++++++++------------
  3 files changed, 18 insertions(+), 16 deletions(-)


2007-02-14 05:50:01 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1374]
  temporary fix for SIGSEGV in g_utf8_validate() when xmlURIEscape returns NULL.
  thank nhjm449 for reporting.
  
  trunk/src/xspf/xspf.c |    4 +++-
  1 file changed, 3 insertions(+), 1 deletion(-)


2007-02-13 13:55:00 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1372]
  - switch from pseudo delete tag call back to genuine one.
  
  trunk/src/madplug/TODO       |    2 -
  trunk/src/madplug/fileinfo.c |   44 -------------------------------------------
  2 files changed, 1 insertion(+), 45 deletions(-)


2007-02-13 05:58:47 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1370]
  - remove a debug output.
  
  trunk/src/xspf/xspf.c |    1 -
  1 file changed, 1 deletion(-)


2007-02-13 04:02:17 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1368]
  libxspf improvements:
  
  - now libxspf can parse relative path with xml:base notation.
  - backward compatibility support for base64 and locale_to_utf8 has been removed.
  - make use of libxml2's url encoding/decoding.
  - now mtime is always recorded even if the value is 0.
  - tentative support for "staticlist".
   -- if a mtime entry for each track is set to 0, metadata for corresponding track will not be updated automatically.
   -- if there is an element shown below in the playlist-element, all mtime entries in the playlist will be regarded as 0 so that whole metadata in the playlist will be conserved.
  
     staticlist element:
     <extension application="audacious">
       <options staticlist="true"/>
     </extension>
  
  trunk/src/xspf/Makefile |    4 
  trunk/src/xspf/xspf.c   |  243 ++++++++++++++++++++++++++----------------------
  2 files changed, 135 insertions(+), 112 deletions(-)


2007-02-12 20:54:12 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1366]
  - add Catalan translation file. Closes #787.
  
  trunk/po/LINGUAS |    1 
  trunk/po/ca.po   | 2126 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
  2 files changed, 2127 insertions(+)


2007-02-12 18:12:29 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1364]
  - follow the changes of libaudid3tag.
  
  trunk/src/madplug/Makefile |    4 ++--
  trunk/src/tta/Makefile     |    4 ++--
  2 files changed, 4 insertions(+), 4 deletions(-)


2007-02-12 16:02:53 +0000  Giacomo Lozito <james@develia.org>
  revision [1362]
  - aosd: prevent aosd_cleanup from freeing stuff if aosd_init has never been called, closes bug #790
  trunk/src/aosd/aosd.c |   21 ++++++++++++++-------
  1 file changed, 14 insertions(+), 7 deletions(-)


2007-02-12 15:20:56 +0000  Giacomo Lozito <james@develia.org>
  revision [1360]
  - aosd: completed volume change trigger, works now
  trunk/src/aosd/aosd_trigger.c |   50 +++++++++++++++++++++++++++++++++++++++---
  1 file changed, 47 insertions(+), 3 deletions(-)


2007-02-12 09:39:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1358]
  - update Welsh translation: ~75% completed
  
  trunk/po/cy.po |  248 +++++++++++++++++++++++++++++++--------------------------
  1 file changed, 135 insertions(+), 113 deletions(-)


2007-02-11 14:22:20 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1356]
  - add rpath to make sure that plugins pick libid3tag up from libdir.
  
  trunk/src/madplug/Makefile |    2 ++
  trunk/src/tta/Makefile     |    2 ++
  2 files changed, 4 insertions(+)


2007-02-11 13:39:56 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1354]
  - make use of integrated libid3tag
  
  trunk/configure.ac           |   15 +++------------
  trunk/src/madplug/Makefile   |    2 +-
  trunk/src/madplug/fileinfo.c |    2 +-
  trunk/src/tta/Makefile       |    2 +-
  4 files changed, 6 insertions(+), 15 deletions(-)


2007-02-11 10:44:18 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1352]
  - filter out .ogg extension
  
  trunk/src/madplug/plugin.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-02-11 09:46:36 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1350]
  - remove some fuzzies
  
  trunk/po/cy.po | 1376 +++++++++++++++++++++++++++++++--------------------------
  1 file changed, 771 insertions(+), 605 deletions(-)


2007-02-11 09:21:46 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1348]
  - run make update-po
  
  trunk/po/audacious-plugins.pot | 2887 +++++++++++++++++++++++++------
  trunk/po/cy.po                 | 3712 +++++++++++++++++++++++++++++------------
  trunk/po/de.po                 | 3160 +++++++++++++++++++++++++++-------
  trunk/po/ja.po                 | 3608 ++++++++++++++++++++++++++++++---------
  trunk/po/ru.po                 | 3493 +++++++++++++++++++++++++++++---------
  trunk/po/tr.po                 | 3680 +++++++++++++++++++++++++++++-----------
  6 files changed, 15519 insertions(+), 5021 deletions(-)


2007-02-11 09:20:26 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1346]
  - update POTFILES.in.
  
  trunk/po/POTFILES.in |   39 +++++++++++++++++++++++++++++++++++----
  1 file changed, 35 insertions(+), 4 deletions(-)


2007-02-11 05:50:45 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1344]
  - revise save tag callback
  - remove unnecessary code
  
  trunk/src/madplug/fileinfo.c |  306 ++++++-------------------------------------
  1 file changed, 44 insertions(+), 262 deletions(-)


2007-02-10 20:36:14 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1342]
  - patch from Mark Glines to polish up https:// support.
  
  trunk/src/alarm/alarm.c     |    2 +-
  trunk/src/vorbis/fileinfo.c |    7 ++++++-
  2 files changed, 7 insertions(+), 2 deletions(-)


2007-02-10 20:06:11 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [1340]
  Break out of the loop once we know the length. No using spinning around all day.
  trunk/src/madplug/decoder.c |    4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)


2007-02-10 04:38:32 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1338]
  - error code must be initialized.
  
  trunk/src/wma/libffwma/avio.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-10 03:38:32 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1336]
  - set CURLOPT_FOLLOWLOCATION to true, closes #771.
  
  trunk/src/curl/curl.c |    2 ++
  1 file changed, 2 insertions(+)


2007-02-09 15:21:13 +0000  Giacomo Lozito <james@develia.org>
  revision [1334]
  - aosd: put back override_redirect=True
  trunk/src/aosd/ghosd.c |    6 +++---
  1 file changed, 3 insertions(+), 3 deletions(-)


2007-02-09 00:20:27 +0000  Giacomo Lozito <james@develia.org>
  revision [1332]
  - aosd: revert window type setting
  trunk/src/aosd/Makefile       |    4 +--
  trunk/src/aosd/aosd_osd.c     |    1 
  trunk/src/aosd/aosd_style.c   |    1 
  trunk/src/aosd/aosd_trigger.c |   36 ++++++++++++++++++++++------
  trunk/src/aosd/ghosd-main.c   |    2 -
  trunk/src/aosd/ghosd-text.c   |   53 ------------------------------------------
  trunk/src/aosd/ghosd-text.h   |   14 -----------
  trunk/src/aosd/ghosd.c        |    9 -------
  8 files changed, 32 insertions(+), 88 deletions(-)


2007-02-08 17:10:38 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1330]
  - remove the buggy memoryleaking mpg123 and integrate madplug into the 
    buildsystem
  
  trunk/configure.ac         |   20 +++++++++++---------
  trunk/mk/rules.mk.in       |    2 ++
  trunk/src/madplug/Makefile |    5 ++---
  3 files changed, 15 insertions(+), 12 deletions(-)


2007-02-08 09:52:27 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1328]
  - remove ID3_FIELD_TEXTENCODING_UTF_16 case.
  
  trunk/src/madplug/input.c |    4 ----
  1 file changed, 4 deletions(-)


2007-02-08 09:14:33 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1326]
  revise input_id3_get_string():
  - make use of strcmp()
  - remove debug g_print()
  
  trunk/src/madplug/input.c |   10 +++-------
  1 file changed, 3 insertions(+), 7 deletions(-)


2007-02-08 08:55:06 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1324]
  - now title_override works.
  
  trunk/src/madplug/configure.c |    6 ++++++
  trunk/src/madplug/decoder.c   |    5 ++---
  trunk/src/madplug/plugin.c    |    1 +
  3 files changed, 9 insertions(+), 3 deletions(-)


2007-02-08 07:31:26 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1322]
  - revise input_id3_get_string() to take encoding of field into account.
  - restore title_override options I accidentally dropped.
  - remove unnecessary code.
  
  trunk/src/madplug/configure.c |  110 ------------------------------------------
  trunk/src/madplug/input.c     |   60 +++++++++++-----------
  trunk/src/madplug/plugin.c    |    4 +
  3 files changed, 33 insertions(+), 141 deletions(-)


2007-02-08 02:26:47 +0000  Giacomo Lozito <james@develia.org>
  revision [1320]
  - aosd: added window class hints (aosd.Audacious)
  trunk/src/aosd/ghosd.c |   16 +++++++++++-----
  1 file changed, 11 insertions(+), 5 deletions(-)


2007-02-08 01:46:12 +0000  Giacomo Lozito <james@develia.org>
  revision [1318]
  - aosd: added _NET_WM_WINDOW_TYPE_DOCK to osd window hints
  trunk/src/aosd/ghosd.c |    9 +++++++++
  1 file changed, 9 insertions(+)


2007-02-07 18:35:13 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1316]
  - avoid NULL dereference. closes mandriva #28603.
  
  trunk/src/vorbis/vorbis.c |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-07 11:52:25 +0000  Giacomo Lozito <james@develia.org>
  revision [1314]
  - aosd, further work on ghosd source: do not use a override_redirect=true window and give the WM information about initial pos/size of osd (prevents flickering with normal windows); now the osd won't be displayed in multiple workspaces, only in the one where it's initially triggered
  trunk/src/aosd/ghosd.c |   38 +++++++++++++++++++++++++++++++++++++-
  1 file changed, 37 insertions(+), 1 deletion(-)


2007-02-07 09:10:37 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1312]
  - press F5 on not yet played stream no longer hangs.
  - some cleanups.
  
  trunk/src/madplug/TODO       |    4 +-
  trunk/src/madplug/fileinfo.c |    5 +--
  trunk/src/madplug/input.c    |    1 
  trunk/src/madplug/plugin.c   |   65 +++++++++++++++++++++++++++----------------
  4 files changed, 47 insertions(+), 28 deletions(-)


2007-02-07 05:01:15 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1310]
  - fix for audmad_is_our_fd()
  - added my TODO list ;p
  
  trunk/src/madplug/TODO     |   15 ++++++++
  trunk/src/madplug/input.c  |    2 -
  trunk/src/madplug/plugin.c |   79 +++++++--------------------------------------
  3 files changed, 30 insertions(+), 66 deletions(-)


2007-02-06 20:11:42 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1308]
  merge recent changes from yaz's branch.
  - stable shoutcast playback.
  - tag handling improvement.
  - view track detail on streaming won't crash. (disabled.)
  - filepopup for streaming is partially supported. filepopup displays track name and stream name, but not updated automatically.
  
  trunk/src/madplug/configure.c  |  119 +++++++++++++
  trunk/src/madplug/decoder.c    |  113 ++++++++----
  trunk/src/madplug/fileinfo.c   |  369 +++++++++++++++++++++++++++++++++++++----
  trunk/src/madplug/input.c      |  100 +++++++----
  trunk/src/madplug/input.h      |    2 
  trunk/src/madplug/plugin.c     |  168 +++++++++++++++---
  trunk/src/madplug/plugin.h     |   25 ++
  trunk/src/madplug/replaygain.c |   55 +++---
  8 files changed, 779 insertions(+), 172 deletions(-)


2007-02-05 20:28:01 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1306]
  - add madplug. It is not yet hooked up, I'll do that later.
  
  trunk/src/madplug/Makefile     |   25 +
  trunk/src/madplug/configure.c  |  251 ++++++++++
  trunk/src/madplug/decoder.c    |  567 ++++++++++++++++++++++++
  trunk/src/madplug/dither.c     |  115 ++++
  trunk/src/madplug/fileinfo.c   |  644 +++++++++++++++++++++++++++
  trunk/src/madplug/input.c      |  518 ++++++++++++++++++++++
  trunk/src/madplug/input.h      |   35 +
  trunk/src/madplug/mp3.xpm      |  963 +++++++++++++++++++++++++++++++++++++++++
  trunk/src/madplug/plugin.c     |  568 ++++++++++++++++++++++++
  trunk/src/madplug/plugin.h     |  131 +++++
  trunk/src/madplug/replaygain.c |  254 ++++++++++
  trunk/src/madplug/replaygain.h |   44 +
  trunk/src/madplug/xing.c       |   91 +++
  trunk/src/madplug/xing.h       |   48 ++
  14 files changed, 4254 insertions(+)


2007-02-05 00:43:27 +0000  Giacomo Lozito <james@develia.org>
  revision [1304]
  - aosd: avoid collision between playback start trigger and titlechange trigger, that occurred when the next file in playlist was played
  trunk/src/aosd/aosd_trigger.c |    4 ++++
  1 file changed, 4 insertions(+)


2007-02-04 21:40:53 +0000  Tony Vroon <chainsaw@gentoo.org>
  revision [1302]
  Obliterate empty tags, just like in mpg123.
  trunk/src/vorbis/vorbis.c |    9 +++++++++
  1 file changed, 9 insertions(+)


2007-02-04 20:21:34 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1300]
  - remove streaming configuration since it's no longer relevant.
  
  trunk/src/vorbis/configure.c |  123 -------------------------------------------
  1 file changed, 123 deletions(-)


2007-02-04 20:19:29 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1298]
  - clean up the configure GUI a little.
  
  trunk/src/flac112/configure.c |    7 ++++---
  trunk/src/flac113/configure.c |    7 ++++---
  2 files changed, 8 insertions(+), 6 deletions(-)


2007-02-04 20:12:53 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1296]
  - remove streaming configuration since it's no longer relevant.
  
  trunk/src/mpg123/configure.c |  140 -------------------------------------------
  1 file changed, 1 insertion(+), 139 deletions(-)


2007-02-04 04:18:59 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1294]
  - Process inline STIL information correctly.
  
  trunk/src/console/Sap_Emu.cxx |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-04 04:06:57 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1292]
  - don't fill in tuple fields with "".
  
  trunk/src/console/Audacious_Driver.cxx |   16 ++++++++++++----
  1 file changed, 12 insertions(+), 4 deletions(-)


2007-02-03 16:55:23 +0000  Yoshiki Yazawa <yaz@cc.rim.or.jp>
  revision [1290]
  - adaptation for playback API. make cuesheet plugin pass playback->output to real_ip.
  
  trunk/src/cue/cuesheet.c |   10 ++++++----
  1 file changed, 6 insertions(+), 4 deletions(-)


2007-02-02 22:42:27 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1288]
  - handle unavailable tuples better
  
  trunk/src/scrobbler/plugin.c |    6 ++++++
  1 file changed, 6 insertions(+)


2007-02-02 21:43:43 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1286]
  - forgot to svn add
  
  trunk/po/tr.po | 2320 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  1 file changed, 2320 insertions(+)


2007-02-02 21:21:37 +0000  William Pitcock <nenolod@sacredspiral.co.uk>
  revision [1284]
  - new turkish translation from Murat Senel
  
  trunk/po/LINGUAS |    2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)


2007-02-02 12:34:35 +0000  Giacomo Lozito <james@develia.org>
  revision [1282]
  - aosd: stability fixes for triggers (handle situation where a plentry exists but plentry->title is null)
  trunk/src/aosd/aosd_trigger.c |   22 ++++++++++++++++++----
  1 file changed, 18 insertions(+), 4 deletions(-)


2007-02-02 00:46:20 +0000  Giacomo Lozito <james@develia.org>
  revision [1280]
  - aosd: add missing aosd_trigger* sources
  trunk/src/aosd/aosd_trigger.c         |  233 ++++++++++++++++++++++++++++++++++
  trunk/src/aosd/aosd_trigger.h         |   37 +++++
  trunk/src/aosd/aosd_trigger_private.h |   45 ++++++
  3 files changed, 315 insertions(+)


2007-02-02 00:45:47 +0000  Giacomo Lozito <james@develia.org>
  revision [1278]
  - aosd: replaced polling with hooks; added trigger options as well, working triggers are playback start and title changes
  trunk/src/aosd/Makefile   |    4 -
  trunk/src/aosd/aosd.c     |   57 +------------------------
  trunk/src/aosd/aosd_cfg.c |   41 ++++++++++++++++++
  trunk/src/aosd/aosd_cfg.h |    9 ++++
  trunk/src/aosd/aosd_ui.c  |  102 ++++++++++++++++++++++++++++++++++++++++------
  5 files changed, 145 insertions(+), 68 deletions(-)


